<?php

namespace App\Apis;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Crypto extends Model
{
    use HasFactory;
    
    public function validateBTCAddress($btcAddress)
    {
        $url = "https://blockchain.info/q/addressvalidate/$btcAddress";
        
        // Get the response (1 for valid, 0 for invalid)
        $response = file_get_contents($url);
        
        return ($response == 1) ? true : false;
    }
    
    function validateERC20Address($usdtAddress)
{
    $apiKey = "YourApiKeyToken";
    $url = "https://api.etherscan.io/api?module=account&action=txlist&address=$usdtAddress&startblock=0&endblock=99999999&sort=asc&apikey=$apiKey";

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);

    $data = json_decode($response, true);

    return (isset($data['status']) && $data['status'] == 1); // Returns true if valid
}
    
    public function validateTRC20Address($usdtAddress)
    {
        $url = "https://apilist.tronscan.org/api/account?address=$usdtAddress";
        
        $response = file_get_contents($url);
        $data = json_decode($response, true);
        
        return isset($data['balance']); // If balance or account info exists, it's valid
    }
    
    public function validateBEP20Address($usdtAddress)
    {
        $apiKey = "YourApiKeyToken";
        $url = "https://api.bscscan.com/api?module=account&action=txlist&address=$usdtAddress&startblock=0&endblock=99999999&sort=asc&apikey=$apiKey";
        
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        $response = curl_exec($ch);
        curl_close($ch);
        
        $data = json_decode($response, true);
        
        return (isset($data['status']) && $data['status'] == 1); // Returns true if valid
    }
    
    public function validateEthereumAddressUsingAPI($address)
{
    $apiKey = 'YourApiKeyToken';
    $url = "https://api.etherscan.io/api?module=account&action=balance&address=$address&tag=latest&apikey=$apiKey";

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

    $response = curl_exec($ch);
    curl_close($ch);

    $data = json_decode($response, true);

    // If the response contains a result, the address is valid
    return isset($data['result']);
}
}
