<?php

namespace App\Apis;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CryptoCompare extends Model
{
    use HasFactory;
    
   private $ApiURL = [
    'www' => 'https://www.cryptocompare.com/api/data/',
    'min-api' => 'https://min-api.cryptocompare.com/data/'
  ];
  
    //private $apikey = '&api_key=';
    
    private $apikey = "52933da6ad1411e5686b2d1260e10e0ed5d3d58cc5939b3bd95844441fda03bf";
    private $forexkey = "47e097cf18-fae508c72f-r8kspf";
    private $stockkey = "c57aee86b7d3c1271d0b75af7cfbdfe0";
    
    private $CacheRate = [
    'pricemultifull' => 10,
    'price' => 10,
    'pricemulti' => 10,
    'generateAvg' => 10,
    'histoday' => 610,
    'histohour' => 610,
    'histominute' => 40,
    'pricehistorical' => 86400,
    'dayAvg' => 610,
    'exchange/histoday' => 610,
    'exchange/histohour' => 610,
    'top/exchanges' => 120,
    'top/exchanges/full' => 120,
    'top/volumes' => 120,
    'top/pairs' => 120,
    'top/totalvol' => 120,
    'all/exchanges' => 60,
    'all/coinlist' => 60
  ];
  
  /**
   * Get API URl
   * @param  string $tapi Type api (www or min-apî)
   * @return String Api URL
   */
  private function _getApiURL($tapi = "min-api"){ return $this->ApiURL[$tapi]; }
  
      /**
   * Get data from API
   * @param  String $service Service called
   * @param  Array $args     Service args
   * @param  string $tapi    Type api
   * @return Array           Service respond
   */
  public function _getCurl($url = ""){
  
  $ch =  curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
    curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 5);
    curl_setopt($ch, CURLOPT_ENCODING,  '');
    curl_setopt($ch, CURLOPT_IPRESOLVE, CURL_IPRESOLVE_V4 );
    curl_setopt($ch, CURLOPT_TIMEOUT, 3);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json'));

    $s = json_decode(curl_exec($ch), true);
    curl_close($ch);
 
    return $s;
   
  }
  
  
  public function get_crypto_price($curr1 , $curr2){
        
    $url = $this->ApiURL['min-api']."pricemulti?";
    $url .= "fsyms=".$curr1;
    $url .= "&tsyms=".$curr2;
    $url .= '&api_key='.$this->apikey;

     return $this->_getCurl($url);
  }
  
  public function get_crypto_full($curr1 , $curr2){
        
    $url = $this->ApiURL['min-api']."pricemultifull?";
    $url .= "fsyms=".$curr1;
    $url .= "&tsyms=".$curr2;
    $url .= '&api_key='.$this->apikey;

     return $this->_getCurl($url);
  }
  
  public function get_multi_forex_price($curr1 , $curr2){
        
    $url = $this->forexURL['multi'];
    $url .= "?from=".$curr1;
    $url .= "&to=".$curr2;
    $url .= '&api_key='.$this->forexkey;
    
 
     return $this->_getCurl($url);
  }
  
  public function get_forex_price($curr1 , $curr2){
        
    $url = $this->forexURL['one'];
    $url .= "?from=".$curr1;
    $url .= "&to=".$curr2;
    $url .= '&api_key='.$this->forexkey;
    

     return $this->_getCurl($url);
  }
  
  public function get_price_history($curr1, $curr2 , $limit){
        
    $url = $this->ApiURL['min-api']."v2/histoday?";
    $url .= "fsym=".$curr1;
    $url .= "&tsym=".$curr2;
    $url .= "&limit=".$limit;
    $url .= '&api_key='.$this->apikey;
    return $this->_getCurl($url);
  }
  
  public function get_stock_price($symbol , $interval = '5min'){
        
    $url = $this->stockURL['daily'];
    $url .= "?access_key=".$this->stockkey;
    $url .= "&symbols=".$symbol;
    $url .= '&interval='.$interval;
    
    return $this->_getCurl($url);
  }
  
  public function get_stock_eod($symbol){
        
    $url = $this->stockURL['daily'];
    $url .= "?access_key=".$this->stockkey;
    $url .= "&symbols=".$symbol;
    $url .= "&limit=5";
    
    return $this->_getCurl($url);
  }
}
