<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller as BaseController;

use App\Models\User;

use App\Services\AuthService;

use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Str;
use Illuminate\Validation\ValidationException;
use Illuminate\View\View;

use Arr;
use Carbon\Carbon;
use DB;
use Session;



class ProfileController extends BaseController{
     
    function __construct(
        AuthService $authService
    ){
        $this->authService = $authService;
    }
    
    /****
     * 
     * **/
    public function profile(): View{
        $title = "Admin Dashboard";
        $user = auth()->user();
        return view('admin.profile.profile' , [
            'title' => $title ,
            'user' => $user
        ]);
    }
    
    public function updateProfile(Request $request): RedirectResponse{
       
       

        Auth::user()->update([
            'name' => $request['name'],
            'email' => $request['email'],
           
        ]);

        return redirect()
            ->back()
            ->with('sucmessage', 'Admin Details updated successfully');
    }
    
    public function changePassword(): View
    {
        $user = auth()->user();
       
      

        return view('admin.profile.password', [
            'user' => $user,
        
        ]);
    }

    public function changePasswordPost(Request $request): RedirectResponse
    {
        $data = [];
        $data['status'] = true;
        $user = auth()->user();


        if (!$this->authService->checkPassword($user, $request->old_password)) {
            return redirect()
                ->back()
                ->with('errmessage', 'Old password incorrect');
        }

        if ($request->password != $request->password_confirmation) {
            return redirect()
                ->back()
                ->with('errmessage', 'Password does not match');
        }

        $userData = [
            'password' => Hash::make($request->password),
        ];

        Auth::user()->update($userData);
     

        return redirect()
            ->back()
            ->with('sucmessage', 'Admin password updated successfully');
    }
}