<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller as BaseController;
use App\Models\Payment_method;
use App\Models\Setting;
use App\Models\TierLevel;
use App\Models\User;

use App\Services\AuthService;

use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Str;
use Illuminate\Validation\ValidationException;
use Illuminate\View\View;

use Arr;
use Carbon\Carbon;
use DB;
use Session;



class SettingsController extends BaseController{
     
    function __construct(
        AuthService $authService
    ){
        $this->authService = $authService;
        $this->settings = Setting::first();
    }
    
    /****
     * 
     * **/
    public function settings(): View{
        $title = "Admin Dashboard";
        $user = auth()->user();
        return view('admin.settings.settings' , [
            'title' => $title ,
            'user' => $user
        ]);
    }
    
    public function general(): View{
        $title = "Admin Dashboard";
        $user = auth()->user();
      
        return view('admin.settings.general' , [
            'title' => $title ,
            'user' => $user,
            'settings' => $this->settings
        ]);
    }
    
    public function updateGeneral(Request $request): RedirectResponse{
       
      
       $data = [
           'site_name' => $request->site_name ?? $this->settings->site_name,
           'site_domain' => $request->site_domain ?? $this->settings->site_domain,
           'date_form' => $request->date_format ?? $this->settings->date_form,
           'time_form' => $request->time_format ?? $this->settings->time_form,
           'time_zone' => $request->timezone ?? $this->settings->time_zone,
           'currency' => $request->currency ?? $this->settings->currency,
           'crypto_currency' => $request->crypto_currency ?? $this->settings->crypto_currency,
           'site_email' => $request->site_email ?? $this->settings->site_email,
           'site_phone_number' => $request->site_phone_number ?? $this->settings->site_phone_number,
           'txn_prefix' => $request->txn_prefix ?? $this->settings->txn_prefix,
           'per_page' => $request->paginate_number ?? $this->settings->per_page,
           
           
           ];
        
        $this->settings->forceFill($data)->save();

        return redirect()
            ->back()
            ->with('sucmessage', 'General Settings updated successfully');
    }
    
    public function logo(): View{
        $title = "Admin Dashboard";
        $user = auth()->user();
        return view('admin.settings.logo' , [
            'title' => $title ,
            'user' => $user
        ]);
    }
    
    public function updateLogo(Request $request): RedirectResponse{
       
      dd($request); 

        Auth::user()->update([
            'name' => $request['name'],
            'email' => $request['email'],
           
        ]);

        return redirect()
            ->back()
            ->with('sucmessage', 'Admin Details updated successfully');
    }
    
    public function permissions(): View{
        $title = "Admin Dashboard";
        $user = auth()->user();
        return view('admin.settings.permissions' , [
            'title' => $title ,
            'user' => $user
        ]);
    }
    
    public function updatePermissions(Request $request): RedirectResponse{
       
      dd($request); 

        Auth::user()->update([
            'name' => $request['name'],
            'email' => $request['email'],
           
        ]);

        return redirect()
            ->back()
            ->with('sucmessage', 'Admin Details updated successfully');
    }
    
    public function api(): View{
        $title = "Admin Dashboard";
        $user = auth()->user();
        return view('admin.settings.api' , [
            'title' => $title ,
            'user' => $user
        ]);
    }
    
    public function updateApi(Request $request): RedirectResponse{
       
      dd($request); 

        Auth::user()->update([
            'name' => $request['name'],
            'email' => $request['email'],
           
        ]);

        return redirect()
            ->back()
            ->with('sucmessage', 'Admin Details updated successfully');
    }
    
    public function seo(): View{
        $title = "Admin Dashboard";
        $user = auth()->user();
        return view('admin.settings.seo' , [
            'title' => $title ,
            'user' => $user
        ]);
    }
    
    public function updateSeo(Request $request): RedirectResponse{
       
      dd($request); 

        Auth::user()->update([
            'name' => $request['name'],
            'email' => $request['email'],
           
        ]);

        return redirect()
            ->back()
            ->with('sucmessage', 'Admin Details updated successfully');
    }
   
    public function extensions(): View{
        $title = "Admin Dashboard";
        $user = auth()->user();
        return view('admin.settings.extensions' , [
            'title' => $title ,
            'user' => $user
        ]);
    }
    
    public function updateExtensions(Request $request): RedirectResponse{
       
      dd($request); 

        Auth::user()->update([
            'name' => $request['name'],
            'email' => $request['email'],
           
        ]);

        return redirect()
            ->back()
            ->with('sucmessage', 'Admin Details updated successfully');
    }
    
    public function payment($userid = NULL){
        $user = auth()->user();
        $pmethods = Payment_method::all();
       
        return view('admin.payment.index' , [
            'user'=>$user,
            'pmethods' => $pmethods,
          
            ]);
    }
    
    public function deletePayment($id){
        
        $plan = Payment_method::where('id' , $id)->first();
        
        if(empty($plan)){
           return redirect()->back()->with('errmessage' , 'Payment Plan not  found');
        }
        $plan->delete();
        $message = $plan->name . ' was deleted successfully';  
        return redirect()->back()
    ->with('sucmessage', $message);
    }
    
    public function updatePayment(Request $request){
        
             $planx = Payment_method::where('id' , $request->gixd)->first();
        if(empty($planx)){

        return redirect()->back()->with('errmessage' , 'Payment method update failed');
        }
      
      $plan = array();

      $plan['name']= $request['name'];
      $plan['symbol']= $request['sym'];
      $plan['min_deposit']= $request['price'];
      $plan['max_deposit']= $request['maxi'];
      $plan['type']= $request['crypt'];
      $plan['details']= $request['details'];
      $plan['deposit_charge']= $request['perc'];
      $plan['status']= $request['stats'];
    
    Payment_method::where('id' , $planx->id)->update($plan);
    return redirect()->back()
    ->with('sucmessage', $planx->name.' - Payment method  updated Sucessful!');
  }
  
  public function tier($userid = NULL){
        $user = auth()->user();
        $pmethods = TierLevel::all();
       
        return view('admin.tier.index' , [
            'user'=>$user,
            'pmethods' => $pmethods,
          
            ]);
    }
    
    public function deleteTier($id){
        
        $plan = TierLevel::where('id' , $id)->first();
        
        if(empty($plan)){
           return redirect()->back()->with('errmessage' , 'Payment Plan not  found');
        }
        $plan->delete();
        $message = $plan->name . ' was deleted successfully';  
        return redirect()->back()
    ->with('sucmessage', $message);
    }
    
    public function updateTier(Request $request){
        
             $planx = TierLevel::where('id' , $request->gixd)->first();
        if(empty($planx)){

        return redirect()->back()->with('errmessage' , 'Payment method update failed');
        }
      
      $plan = array();

      $plan['name']= $request['name'];
      $plan['amount']= $request['sym'];
      $plan['trades']= $request['details'];
   
    
    TierLevel::where('id' , $planx->id)->update($plan);
    return redirect()->back()
    ->with('sucmessage', $planx->name.' -   updated Sucessful!');
  }
}