<?php

namespace App\Http\Controllers\Admin;

use App\Models\Users;
use App\Models\User_balance;
use App\Models\Symbol;
use App\Models\Symbol_group;
use App\Models\Plan;
use App\Models\Transaction;
use App\Models\User_plan;
use App\Models\Wallet_name;
use App\Models\Wallet_io;
use App\Models\Trade;

use App\Enums\WithdrawStatus;
use App\Enums\PlanStatus;
use App\Enums\TransactionType;
use App\Enums\TransactionCalcType;
use App\Jobs\ProcessEmail;
use App\Http\Controllers\Controller as BaseController;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use DB;
use Config;
use Cache;
use Illuminate\Support\Facades\Auth;

class TradeController extends BaseController
{
    function __construct()
    {
 
    }

    public function index()
    {
        $user = auth()->user();
        $trades = Trade::paginate(20);
        return view('admin.trade.index', [
            'user' => $user,
            'trades' => $trades,
        ]);
    }

    public function addSymbols(Request $request)
    {
     
        $trade = new Trade();

        $trade->base_curr = $request['base_curr'];
        $trade->quote_curr = $request['qcurr'];
        $trade->symbol = $request['symbol'];
        $trade->cat = $request['cat'];
        $trade->name = $request['name'];
        $trade->trade_view = $request['tview'];
        $trade->spread = $request['spread'];
        $trade->digits = $request['digits'];
        $trade->active = $request['acts'];

        $trade->save();
        return redirect()
            ->back()
            ->with('sucmessage', 'Symbols created Sucessful!');
    }

    public function editSymbols(Request $request)
    {
        $tradex = Trade::where('id', $request->gixd)->first();
        if (empty($tradex)) {
            return redirect()
                ->back()
                ->with('errmessage', 'Symbols update failed');
        }

        $trade = [];

        $trade['base_curr'] = $request['base_curr'];
        $trade['quote_curr'] = $request['qcurr'];
        $trade['symbol'] = $request['symbol'];
        $trade['cat'] = $request['cat'];
        $trade['name'] = $request['name'];
        $trade['trade_view'] = $request['tview'];
        $trade['spread'] = $request['spread'];
        $trade['digits'] = $request['digits'];
        $trade['active'] = $request['acts'];
        //dd($trade);
        Trade::where('id', $tradex->id)->update($trade);
        return redirect()
            ->back()
            ->with('sucmessage', $request['name'] . ' Symbols updated Sucessful!');
    }

    public function deleteSymbols($id)
    {
        $trade = Trade::where('id', $id)->first();
        if (empty($trade)) {
            return redirect()
                ->back()
                ->with('errmessage', 'Symbols not  found');
        }
        $trade->delete();
        $message = $trade->name . ' was deleted successfully';
        return redirect()
            ->back()
            ->with('sucmessage', $message);
    }
}
