<?php

namespace App\Http\Controllers\User;
use App\Models\AccountIo;
use App\Models\AccountName;
use App\Models\User;
use App\Http\Controllers\User\UserController as BaseController;
use Illuminate\Http\Request;

class AccountController extends BaseController
{
    //
    public function myAccount(){
      
        $title = 'My Account';
      $user = auth()->user();
      $accountx = $user->account();
      $acc = AccountName::titleLike('Ira')->pluck('id')->toArray();
      $crypt = AccountName::titleLike('crypto')->pluck('id')->toArray();
      $broker = AccountName::titleLike('brokerage')->pluck('id')->toArray();
      $na = AccountIo::find(2);
      return view('user.account.my_account' , [
          'title' => 'Deposits',
          'user' => $user,
          'accountx' => $accountx,
          'accounts' => AccountIo::where('user' , $user->id)->orderBy('balance', 'desc')->get(),
          'acc' => $acc,
          'brokerage' => array_merge($crypt , $broker),
          'crypto' => $crypt 
          ]);
    }
    
    public function createAccount(){
        
        $user = auth()->user();
    
        $myaccounts = AccountIo::where('user', $user->id)->distinct()->pluck('account')->toArray();
    
        $accMangagement = AccountName::where('status', 'active')
            ->whereNotIn('id', $myaccounts)
            ->get();
    
        return view('user.account.accounts' , [
            'user' => $user,
            'accounts' => $accMangagement,
        ]);
       
    } 
    
    public function openNewAccount($id){
        
        $user = auth()->user();
    
       $account = AccountName::where('id' , __get_hash($id))->first();
        if(blank($account)){
           return redirect()->back()->with('errmessage' , 'Invalid Account Type');
        }
        
        $accountx = AccountIo::where('account' , __get_hash($id))->where('user' , $user->id)->first();
       
        if(!blank($accountx)){
           return redirect()->back()->with('errmessage' , 'Account type already created');
        }
        
        $this->authService->addAccount($user->id , $account->id);
       return redirect()->route('user.account.my')->with('sucmessage', 'New account created and your profile has been switched to this account: '.$account->title);
    }
    
    public function switchAccount($id){
        
        $user = auth()->user();
        
        if(__get_hash($id) === $user->account_id){
           return redirect()->back()->with('errmessage' , 'Account already selected'); 
        }
    
      
        
       $accountx = AccountIo::where('id' , __get_hash($id))->where('user' , $user->id)->first();
        if(blank($accountx)){
           return redirect()->back()->with('errmessage' , 'Invalid Account Type');
        }
        
       User::where('id' , $user->id)->update([
        'account_id' => $accountx->id
        ]);
       return redirect()->route('user.account.my')->with('sucmessage', 'Your profile has been switched to this account: '.$accountx->accountUnder()->title);
    }
}
