<?php

namespace App\Http\Controllers\User;

use App\Models\BalanceHistory;
use App\Models\Referral;
use App\Models\Stock;
use App\Models\UserPlan;
use App\Models\Transaction;

use App\Http\Controllers\User\UserController as BaseController;
use Illuminate\Http\Request;
use Jenssegers\Agent\Agent;

class DashboardController extends BaseController
{
    //
    public function index(){
        $user = $this->user;
        $isMobile = false;
        $agent = new Agent();
        if ($agent->isMobile()) {
            $isMobile = true;
        }
        
        $sym = __system_settings('currency');
        $start_date = \Carbon\Carbon::now();
        $tnewtime = $start_date->subDays(30);
        $refs = Referral::first_generation_by_date($user->id , $tnewtime) ;
        $ref_amt = Transaction::total_referral_by_date($user->id , $tnewtime);
        
        $etest = BalanceHistory::where('user', $user->id)->get();
     
        $dd = [];
        foreach($etest as $e){
          $dd[$e->start_date] = $e->balance;   
        }
        $perchange = 0;
        if(!blank($dd) && count($dd) > 1){
            $end = end($dd);
            $second = prev($dd);
            $perchange = __perc_change_without($second , $end);
        }
        $packages = UserPlan::where('user' , $user->id)->where('active' , 'active')->get();
        $accounts = $user->accounts()->count();
        $tradingaccounts = $user->tradingAccounts()->get();
        //dd($tradingaccounts->first()->accountUnder());
        $transactionSummary = Transaction::transactionSummary($user->id);
        $mystock =  Stock::where('user_id' , $user->id)->where('status' , 'Open')->get();
        $totalstock = Stock::total_stock_per_user($user->id);
        //dd($accounts);
        return view('user.dashboard', [
            'user' => $user,
            'isMobile' => $isMobile,
            'dat' => $dd,
            'perchange' => $perchange,
            'myPlans' => $packages,
            'total_ref' => count($refs),
            'ref_amt' => $ref_amt->count,
            'accounts' => $accounts,
            'tradingaccounts' => $tradingaccounts,
            'transactionSummary' => $transactionSummary,
            'mystocks' => $mystock,
          'totalstock' => $totalstock,
            ]);
    }
    
    public function  referrals(){
      $title = 'Referral';
      $user = auth()->user();
      $ref = new Referral();
      $referrals = $ref->first_generation($user->id);
     
      return view('user.referrals' , [
          'title' => 'Referral',
          'user' => $user,
          'referrals' => $referrals,
          'trefers' => Transaction::where('user' , $user->id)->where('type','referral')->get(),
          ] );
    }
    
    public function  support(){
      $title = 'Support';
      $user = auth()->user();
    
     
      return view('user.support' , [
          'title' => $title,
          'user' => $user,
          ] );
    }
}
