<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Contracts\Auth\Guard;
use Illuminate\Support\Facades\Auth;
use App\Enums\UserRoles;
use App\Enums\UserStatus;

class AdminMiddleware
{

	/**
	 * The Guard implementation.
	 *
	 * @var Guard
	 */
	protected $auth;

	/**
	 * Create a new filter instance.
	 *
	 * @param  Guard  $auth
	 * @return void
	 */
	public function __construct(Guard $auth)
	{
		$this->auth = $auth;
	}

	/**
	 * Handle an incoming request.
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @param  \Closure  $next
	 * @return mixed
	 */
	public function handle($request, Closure $next)
	{
        
		if (Auth::user()->role != UserRoles::ADMIN) {
            Auth::logout();
            return redirect()->route('auth.login');
        }
      

        if ( Auth::user()->status !== 'active') { 
            Auth::logout();
            return redirect()->route('auth.login');
        }

		return $next($request);
	}

}
