<?php

namespace App\Models;
use App\Models\AccountName;
use App\Models\TradingAccount;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class AccountIo extends Model
{
    use HasFactory;
    protected $table = 'account_io';
    protected $fillable = [
            'user',
            'realaccount_id',
            'account',
            'real_account',
            'demoaccount_id',
            'demo_account',
            'account_type',
    ];
    
    
    public function accountUnder(){
        return $this->belongsTo(AccountName::class , 'account')->first();
    }
    
    public function webTrader()
    {
    return $this->hasOne(TradingAccount::class, 'account_id', 'id')->first();
    }
    
    public function get_sys_balance(){
        $exchange_rate = get_sys_exchange_rate();
        return $this->balance * $exchange_rate;
    } 
    
    public function user(){
        return $this->belongsTo(User::class , 'user')->first();
    }
    
    public static function total_bal($id){
        $data = DB::table('account_io')->select(DB::raw("SUM(balance) as count"))->where('user', $id)->first();
        return $data;
    }
}
