<?php

namespace App\Models;

use App\Models\Plan;
use App\Models\User_plan;
use App\Models\Wallet_name;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Plan extends Model
{
    use HasFactory;
    
    public static function getMainPlan(){
        $plan = Plan::where('type' , 'Main')->where('status' , '1')->get();
        return $plan;
    }
    
    public static function getPromoPlan(){
        $plan = Plan::where('type' , 'Promo')->where('status' , '1')->get();
        return $plan;
    }
    
    public static function getUpgradePlan($id){
        $userPlanIds = User_plan::where('user', $id)
        ->pluck('plan')
        ->unique()
        ->toArray();
        
        if (empty($userPlanIds)) {
        return Self::where('type', 'Main')->get();
        }
        
        return Self::where('type' , 'Main')->whereNotIn('id' , $userPlanIds)->get();
    }
    
    
    public function c_price(){
        $exchange_rate = __system_exchange_rate();
        return round($this->price * $exchange_rate);
    }
    
    public function c_max(){
        $exchange_rate = __system_exchange_rate();
        return round($this->max_price * $exchange_rate);
    }
    
  
}
