<?php

namespace App\Models;
use App\Models\Symbol;
use App\Models\User;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Stock extends Model
{
    use HasFactory;
    
    public $fillable = [
            'user_id',
            'order_num', // More unique
            'symbol',
            'volume',
            'wallet_id',
            'type',
            'price',
            'status',
            'start_date',
        ];
    public function symbols(){
        return $this->belongsTo(Symbol::class , 'symbol', 'id')->where('id' , $this->symbol)->first();
    }
    
    public function total_perc($total){
        $init = $this->volume * $this->price;
        
        if($init === 0 || $total === 0){
            return "0%";
        }
         $percentage = ($init / $total) * 100;
        return number_format($percentage, 2) . '%';
    }
    
    public static function total_stock_per_user($userId){
    return self::where('user_id', $userId)
    ->selectRaw('SUM(volume * price) as total_value')
    ->value('total_value');
    }
    
    public function stockprice(){
       return $this->symbols()->dstockprice()->first();
    }
    
     public function duser(){
    	return $this->belongsTo(User::class, 'user_id' , 'id')->where('id' , $this->user_id)->first();
    }
}
