<?php

namespace App\Models;
use App\Models\Symbol;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SymbolGroup extends Model
{
    use HasFactory;
    
    public function scopeNameLike($query, $name) {
    return $query->where('name', 'like', "%$name%");
}

public function symbols()
{
    return $this->hasMany(Symbol::class, 'cat', 'id');
}

public static function symbolByType($name)
{
  
    $symbolTypeIds = self::nameLike($name)->pluck('id')->toArray();
    if (empty($symbolTypeIds)) {
        return [];
    }
    return Symbol::whereIn('cat', $symbolTypeIds)->get();
    
}
}
