<?php

namespace App\Models;

use App\Models\AccountIo;
use App\Models\User;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TradingAccount extends Model
{
    use HasFactory;
    protected $casts = [
        'instrument' => 'array'
        ];
    public $fillable = [
         'user_id',
         'trade_id',
         'account_used',
         'currency',
         'status',
         'account_id',
         'demo_balance',
         'leverage',
         'instrument',
         'password',
         'date_made'
         ];
    
    public function user()
    {
    return $this->belongsTo(User::class , 'user_id' , 'id')->first();
    }
    
    public function account()
    {
    return $this->belongsTo(AccountIo::class , 'account_id' , 'id')->first();
    }
    
    public function accountUnder(){
        if($this->account()){
            return $this->account()->accountUnder();
        }
        return collect();
    }
    
    public function instrumentGroup(){
         if(!blank($this->instrument)){
           return SymbolGroup::whereIn('id' , $this->instrument)->get(); 
         }
         return collect();
    }
    public function instrumentName(){
        $groups = $this->instrumentGroup(); 
    if ($groups->isNotEmpty()) {
        return $groups->pluck('group_name')->implode(' , ');  
    }
    return '';
    }
}
