<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;


    
return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(

        commands: __DIR__.'/../routes/console.php',
        health: '/up',
        using: function () {
        $namespace = 'App\\Http\\Controllers';
        $frontendnamespace = 'App\\Http\\Controllers\\Frontend';
        $usernamespace = 'App\\Http\\Controllers\\User';
        $adminnamespace = 'App\\Http\\Controllers\\Admin';
        Route::middleware('api')
                ->prefix('api')
                ->group(base_path('routes/api.php'));

            Route::middleware('web')
                ->namespace($namespace)
                ->group(base_path('routes/web.php'));
                
            Route::middleware(['web', 'auth', 'user'])
                ->namespace($usernamespace)
                ->name('user.')
                ->group(base_path('routes/user.php'));
            
            Route::middleware('web','auth','admin')
                ->namespace($adminnamespace)
                ->name('admin.')
                ->group(base_path('routes/admin.php'));
    },
    )
    ->withMiddleware(function (Middleware $middleware) {
        //
        $middleware->use([
        // \Illuminate\Http\Middleware\TrustHosts::class,
        // \Illuminate\Http\Middleware\TrustProxies::class,
        \Illuminate\Http\Middleware\HandleCors::class,
        \Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull::class,
         \App\Http\Middleware\TrustProxies::class,
        \Illuminate\Http\Middleware\HandleCors::class,
        \App\Http\Middleware\PreventRequestsDuringMaintenance::class,
        \Illuminate\Foundation\Http\Middleware\ValidatePostSize::class,
        \App\Http\Middleware\TrimStrings::class,
        \Illuminate\Foundation\Http\Middleware\ConvertEmptyStringsToNull::class,
       ]);
       
       $middleware->web(append: [
            \App\Http\Middleware\EncryptCookies::class,
             \App\Http\Middleware\VerifyCsrfToken::class,
        ]);
        
        $middleware->alias([
        'subscribed' => EnsureUserIsSubscribed::class,
        'auth' => \App\Http\Middleware\Authenticate::class,
        'guest' => \App\Http\Middleware\RedirectIfAuthenticated::class,
        'signed' => \App\Http\Middleware\ValidateSignature::class,
        'user' => \App\Http\Middleware\UserMiddleware::class,
        'admin' => \App\Http\Middleware\AdminMiddleware::class,
       ]);
 
    })
    ->withExceptions(function (Exceptions $exceptions) {
        //
    })->create();
