<?php

return [
    'USD' => [
        'name' => 'US Dollar',
        'code' => 'USD',
        'symbol' => 'ni-sign-usd',
        'sign' => '$',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'EUR' => [
        'name' => 'Euro',
        'code' => 'EUR',
        'symbol' => 'ni-sign-eur',
        'sign' => '€',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'GBP' => [
        'name' => 'Pound Sterling',
        'code' => 'GBP',
        'symbol' => 'ni-sign-gbp',
        'sign' => '£',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'CAD' => [
        'name' => 'Canadian Dollar',
        'code' => 'CAD',
        'symbol' => 'ni-sign-dollar',
        'sign' => '$',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'AUD' => [
        'name' => 'Australian Dollar',
        'code' => 'AUD',
        'symbol' => 'ni-sign-dollar',
        'sign' => '$',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'TRY' => [
        'name' => 'Turkish Lira',
        'code' => 'TRY',
        'symbol' => 'ni-sign-try',
        'sign' => '₤',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'RUB' => [
        'name' => 'Russian Ruble',
        'code' => 'RUB',
        'symbol' => 'ni-sign-rub',
        'sign' => 'р.',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'INR' => [
        'name' => 'Indian Rupee',
        'code' => 'INR',
        'symbol' => 'ni-sign-inr',
        'sign' => '₹',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'BRL' => [
        'name' => 'Brazilian Real',
        'code' => 'BRL',
        'symbol' => 'ni-sign-brl',
        'sign' => 'R$',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'NGN' => [
        'name' => 'Nigerian Naira',
        'code' => 'NGN',
        'symbol' => 'ni-sign-kobo',
        'sign' => '₦',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'PKR' => [
        'name' => 'Pakistani Rupee',
        'code' => 'PKR',
        'symbol' => 'ni-sign-dollar',
        'sign' => '₨',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'VND' => [
        'name' => 'Vietnamese đồng',
        'code' => 'VND',
        'symbol' => 'ni-sign-vnd',
        'sign' => '₫',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'TZS' => [
        'name' => 'Tanzanian Shilling',
        'code' => 'TZS',
        'symbol' => 'ni-sign-dollar',
        'sign' => 'TSh',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'SAR' => [
        'name' => 'Saudi Riyal',
        'code' => 'SAR',
        'symbol' => 'ni-sign-dollar',
        'sign' => 'SR',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'MXN' => [
        'name' => 'Mexican Peso',
        'code' => 'MXN',
        'symbol' => 'ni-sign-mxn',
        'sign' => '$',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'GHS' => [
        'name' => 'Ghanaian Cedi',
        'code' => 'GHS',
        'symbol' => 'ni-sign-dollar',
        'sign' => 'GH₵',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'KES' => [
        'name' => 'Kenyan Shilling',
        'code' => 'KES',
        'symbol' => 'ni-sign-dollar',
        'sign' => 'Ksh',
        'decimal' => 3,
        'type' => 'fiat',
    ],

    // Crypto
    'BTC' => [
        'name' => 'Bitcoin',
        'code' => 'BTC',
        'symbol' => 'ni-sign-btc',
        'sign' => 'BTC',
        'decimal' => 8,
        'type' => 'crypto',
    ],
    'ETH' => [
        'name' => 'Ethereum',
        'code' => 'ETH',
        'symbol' => 'ni-sign-eth',
        'sign' => 'ETH',
        'decimal' => 8,
        'type' => 'crypto',
    ],
    'LTC' => [
        'name' => 'Litecoin',
        'code' => 'LTC',
        'symbol' => 'ni-sign-ltc',
        'sign' => 'LTC',
        'decimal' => 8,
        'type' => 'crypto',
    ],
    'BCH' => [
        'name' => 'Bitcoin Cash',
        'code' => 'BCH',
        'symbol' => 'ni-sign-bch',
        'sign' => 'BCH',
        'decimal' => 8,
        'type' => 'crypto',
    ],
    'BNB' => [
        'name' => 'Binance Coin',
        'code' => 'BNB',
        'symbol' => 'ni-sign-bnb',
        'sign' => 'BNB',
        'decimal' => 6,
        'type' => 'crypto',
    ],
    'ADA' => [
        'name' => 'Cardano',
        'code' => 'ADA',
        'symbol' => 'ni-sign-ada',
        'sign' => 'ADA',
        'decimal' => 6,
        'type' => 'crypto',
    ],
    'XRP' => [
        'name' => 'Ripple',
        'code' => 'XRP',
        'symbol' => 'ni-sign-xrp',
        'sign' => 'XRP',
        'decimal' => 6,
        'type' => 'crypto',
    ],
    'USDC' => [
        'name' => 'USD Coin',
        'code' => 'USDC',
        'symbol' => 'ni-sign-usdc',
        'sign' => 'USDC',
        'decimal' => 8,
        'type' => 'crypto',
    ],
    'USDT' => [
        'name' => 'Tether',
        'code' => 'USDT',
        'symbol' => 'ni-sign-usdt',
        'sign' => 'USDT',
        'decimal' => 6,
        'type' => 'crypto',
    ],
    'TRX' => [
        'name' => 'TRON',
        'code' => 'TRX',
        'symbol' => 'ni-sign-trx',
        'sign' => 'TRX',
        'decimal' => 6,
        'type' => 'crypto',
    ],
    
    'FIAT' =>[
        'USD' => [
        'name' => 'US Dollar',
        'code' => 'USD',
        'symbol' => 'ni-sign-usd',
        'sign' => '$',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'EUR' => [
        'name' => 'Euro',
        'code' => 'EUR',
        'symbol' => 'ni-sign-eur',
        'sign' => '€',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'GBP' => [
        'name' => 'Pound Sterling',
        'code' => 'GBP',
        'symbol' => 'ni-sign-gbp',
        'sign' => '£',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'CAD' => [
        'name' => 'Canadian Dollar',
        'code' => 'CAD',
        'symbol' => 'ni-sign-dollar',
        'sign' => '$',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    'AUD' => [
        'name' => 'Australian Dollar',
        'code' => 'AUD',
        'symbol' => 'ni-sign-dollar',
        'sign' => '$',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    
    'SAR' => [
        'name' => 'Saudi Riyal',
        'code' => 'SAR',
        'symbol' => 'ni-sign-dollar',
        'sign' => 'SR',
        'decimal' => 3,
        'type' => 'fiat',
    ],
    
        ],
        
    'CRYPTO' =>[
        'BTC' => [
        'name' => 'Bitcoin',
        'code' => 'BTC',
        'symbol' => 'ni-sign-btc',
        'sign' => 'BTC',
        'decimal' => 8,
        'type' => 'crypto',
    ],
    'ETH' => [
        'name' => 'Ethereum',
        'code' => 'ETH',
        'symbol' => 'ni-sign-eth',
        'sign' => 'ETH',
        'decimal' => 8,
        'type' => 'crypto',
    ],
    'LTC' => [
        'name' => 'Litecoin',
        'code' => 'LTC',
        'symbol' => 'ni-sign-ltc',
        'sign' => 'LTC',
        'decimal' => 8,
        'type' => 'crypto',
    ],
    'BCH' => [
        'name' => 'Bitcoin Cash',
        'code' => 'BCH',
        'symbol' => 'ni-sign-bch',
        'sign' => 'BCH',
        'decimal' => 8,
        'type' => 'crypto',
    ],
    'BNB' => [
        'name' => 'Binance Coin',
        'code' => 'BNB',
        'symbol' => 'ni-sign-bnb',
        'sign' => 'BNB',
        'decimal' => 6,
        'type' => 'crypto',
    ],
    
    'XRP' => [
        'name' => 'Ripple',
        'code' => 'XRP',
        'symbol' => 'ni-sign-xrp',
        'sign' => 'XRP',
        'decimal' => 6,
        'type' => 'crypto',
    ],
    
    'USDT' => [
        'name' => 'Tether',
        'code' => 'USDT',
        'symbol' => 'ni-sign-usdt',
        'sign' => 'USDT',
        'decimal' => 6,
        'type' => 'crypto',
    ],
    'TRX' => [
        'name' => 'TRON',
        'code' => 'TRX',
        'symbol' => 'ni-sign-trx',
        'sign' => 'TRX',
        'decimal' => 6,
        'type' => 'crypto',
    ],
        ]
];
