@extends('layouts.admin')
@section('css')
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.3/css/jquery.dataTables.min.css">
@endsection
@section('content')

            <main class="content">
				<div class="container-fluid p-0">

					<div class="row mb-2 mb-xl-3">
						<div class="col-auto d-none d-sm-block">
							<h3>TRANSACTIONS / LIST @if(!blank($client)) ({{$client->email}}) @endif</h3>
							
							@if(!blank($client))
							<p><a href='{{route("admin.user.single", $client->username)}}'>Back to User Page</a></p>
							@endif
							<input type="hidden" id="clid" value="@if(!blank($client)) ({{$client->id}}) @endif" />
						</div>

					</div>
				
@include('components.admin.error-message')
  <div class="card">
         <div class="card-datatable table-responsive">
            <div id="DataTables_Table_0_wrapper" class="dataTables_wrapper dt-bootstrap5 no-footer">
             
                <table class="datatables-users table border-top dataTable no-footer dtr-column" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info" style="width: 1033px;">
                    <thead>
                        <tr role="row">
                            <th class="control" rowspan="1" colspan="1" style="width: 0px; display: none;" aria-label=""></th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 237px;" aria-label="User: activate to sort column ascending" aria-sort="descending">Txn ID</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 237px;" aria-label="User: activate to sort column ascending" aria-sort="descending">User</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 112px;" aria-label="Role: activate to sort column ascending">Plan</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 73px;" aria-label="Plan: activate to sort column ascending">Amount</th>
                            
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 73px;" aria-label="Plan: activate to sort column ascending">Profit</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 74px;" aria-label="Status: activate to sort column ascending">Auto top up</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 74px;" aria-label="Status: activate to sort column ascending">Initiated At</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 74px;" aria-label="Status: activate to sort column ascending">Duration</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 141px;" aria-label="Billing: activate to sort column ascending">Status</th>
                            <th class="_disabled" rowspan="1" colspan="1" style="width: 85px;" aria-label="Actions">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if(!empty($investments))
                                @for($i = 0; $i < count($investments); $i++)
                       @if(!blank($investments[$i]->duser()) && !blank($investments[$i]->duser()))
                       <tr class="@if($i % 2 == 0 ) odd @else even @endif">
                            <td class="control" tabindex="0" style="display: none;"></td>
                            <td>{{$investments[$i]->txn_id}}</td>
                            <td class="_1">
                                <div class="d-flex justify-content-start align-items-center user-name">
                               
                                    <div class="d-flex flex-column">
                                        <a href="{{secure_url('/admin/user/'.$investments[$i]->duser()->username)}}" class="text-body text-truncate"><span class="fw-semibold">{{$investments[$i]->duser()->fname}} {{$investments[$i]->duser()->lname}}</span>
                                        </a>
                                    </div>
                                </div>
                            </td>
                           <td>{{$investments[$i]->dplan()->name}}</td>
                            <td>
                               
                            <span class="text-truncate d-flex align-items-center">
                                   {{number_format($investments[$i]->amount,2,'.',',')}}</span> <span>{{$client->user_curr()}}
                                </span>
                            
                            </td>
                            
                            <td>
                                <span class="text-truncate d-flex align-items-center">
                                   {{number_format($investments[$i]->roi,2,'.',',')}}</span> <span>{{$client->user_curr()}}
                                </span>
                                </td>
                            <td>
                               {{$investments[$i]->autot}} 
                            </td>
                            <td>{{\Carbon\Carbon::parse($investments[$i]->created_at)->toDayDateTimeString()}}</td>
                            <td>{{$investments[$i]->inv_duration}}</td>
                            <td>{{strtoupper($investments[$i]->active)}}</td>
                            <td>
                                <div class="d-inline-block text-nowrap">
                                   <div class="d-inline-block text-nowrap">
   
    <button class="btn btn-sm btn-icon dropdown-toggle hide-arrow" data-bs-toggle="dropdown" aria-expanded="false"><i class="bx bx-dots-vertical-rounded"></i></button>
    <div class="dropdown-menu dropdown-menu-end m-0" style="">
        @if($investments[$i]->active == 'active')
        <a href="#" class="dropdown-item pause_plan" data-id="{{$investments[$i]->id}}" data-name="{{$investments[$i]->txn_id}}">Pause</a>
        <a href="javascript:;" class="dropdown-item end_plan" data-id="{{$investments[$i]->id}}"  data-name="{{$investments[$i]->txn_id}}">End</a>
        @if($investments[$i]->autot == 'yes')
         <a href="javascript:;" class="dropdown-item end_auto" data-id="{{$investments[$i]->id}}"  data-name="{{$investments[$i]->txn_id}}">End Auto</a>
         
         @else
         <a href="javascript:;" class="dropdown-item start_auto" data-id="{{$investments[$i]->id}}"  data-name="{{$investments[$i]->txn_id}}">Start Auto</a>
         @endif
         <a href="javascript:;" class="dropdown-item" data-bs-target="#topPlan{{$investments[$i]->txn_id}}" data-bs-toggle="modal" >Top Up</a>
        @elseif($investments[$i]->active == 'paused')
        <a href="#" class="dropdown-item resume_plan" data-id="{{$investments[$i]->id}}"  data-name="{{$investments[$i]->txn_id}}">Resume</a>
        @elseif($investments[$i]->active == 'ended')
        
        
        @endif
        
    </div>
</div>

                                    
                                
                                </div>
                            </td>
                        </tr>
                        
                        <div class="modal fade" id="topPlan{{$investments[$i]->txn_id}}" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-simple modal-edit-user">
        <div class="modal-content p-3 p-md-5">
            <div class="modal-body">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                <div class="text-center mb-4">
                    <h3>Top Up ( {{$investments[$i]->dplan()->name}} - {{$investments[$i]->txn_id}} )</h3>
             
                </div>
                <form  class="row g-3 " method="post" action="{{route('admin.investment.topup')}}">
                 
                   @csrf
                    <div class="col-12 col-md-12">
                        <label class="form-label" for="modalEditUserEmail">Amount</label>
                        <input type="text" id="modalEditUserEmail" name="amount" class="form-control"  />
                    </div>
                   
                    
                   
                   
               
                    <div class="col-12 text-center mt-4">
                        <button type="submit" class="btn btn-primary me-sm-3 me-1">Submit</button>
                        <button type="reset" class="btn btn-label-secondary" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                    </div>
                    <div></div>
                    <input type="hidden" name="gixd" value="{{$investments[$i]->id}}" />
                </form>
            </div>
        </div>
    </div>
</div>
                   @endif
                         @endfor
                                @endif
                       
                    </tbody>
                </table>
                <div class="row mx-2">
                    <div class="col-sm-12 col-md-6"><div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite"></div></div>
                    <div class="col-sm-12 col-md-6">
                        <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
                           {{ $investments->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Offcanvas to add new user -->
    
    </div>
				</div>
			</main>

@endsection
@section('script')
<script>
    $(function(){
        
        $('.pause_plan').on('click' , function(){
        var dataid = $(this).attr('data-id');    
        var dataname = $(this).data('name');

        if (confirm(`are you sure want to pause this plan - ${dataname}?`)) {

            window.location.href = "{{secure_url('admin/investment/pause')}}/"+dataid;
            

        }
        })
        
        $('.resume_plan').on('click' , function(){
        var dataid = $(this).attr('data-id');    
        var dataname = $(this).data('name');

        if (confirm(`are you sure want to resume this plan - ${dataname}?`)) {

            window.location.href = "{{secure_url('admin/investment/resume')}}/"+dataid;
        }
        })
        
        $('.end_plan').on('click' , function(){
        var dataid = $(this).attr('data-id');    
        var dataname = $(this).data('name');

        if (confirm(`are you sure want to end this plan - ${dataname}?`)) {

            window.location.href = "{{secure_url('admin/investment/end')}}/"+dataid;
            

        }
        })
        $('.end_auto').on('click' , function(){
        var dataid = $(this).attr('data-id');    
        var dataname = $(this).data('name');

        if (confirm(`are you sure want to end auto topup - ${dataname}? `)) {

            window.location.href = "{{secure_url('admin/investment/end_auto')}}/"+dataid;
            

        }
        })
        
        $('.start_auto').on('click' , function(){
        var dataid = $(this).attr('data-id');    
       var dataname = $(this).data('name');

        if (confirm(`are you sure want to start auto topup - ${dataname}?`)) {

            window.location.href = "{{secure_url('admin/investment/auto')}}/"+dataid;
            

        }
        })
    })
</script>
@endsection
