@extends('layouts.admin')

@section('css')

<style>
    table .user {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}
table .user .thumb {
    width: 40px;
    height: 40px;
}
.plugin_bg {
    width: auto;
    height: 65px;
    border-radius: 75%;
}
table .user .thumb img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    object-fit: cover;
    -o-object-fit: cover;
    object-position: center;
    -o-object-position: center;
    border: 2px solid #ffffff;
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.2);
}
table .user .name {
    width: calc(100% - 40px);
    padding-left: 10px;
}

</style>

@endsection
@section('content')

            <main class="content">
				<div class="container-fluid p-0">

					<div class="row mb-2 mb-xl-3">
						<div class="col-auto d-none d-sm-block">
							<h3>Third Party Extensions</h3>
							<p><a href='{{route("admin.settings")}}'>Back to Settings</a></p>
						</div>

					</div>
				
@include('components.admin.error-message')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body p-0" style="padding-top: 0px;">
                <div class="table-responsive-sm table-responsive">
                    <table class="table table-light style-two custom-data-table">
                        <thead>
                            <tr>
                                <th>Extension</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td data-label="Extension">
                                    <div class="user">
                                        <div class="thumb"><img src="https://script.viserlab.com/bitlab/assets/images/extensions/customcaptcha.png" alt="Custom Captcha" class="plugin_bg" /></div>
                                        <span class="name">Custom Captcha</span>
                                    </div>
                                </td>
                                <td data-label="Status">
                                    <span class="badge bg-warning">Disabled</span>
                                </td>
                                <td data-label="Action">
                                    <div class="button-group">
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-primary ms-1 mb-2 editBtn"
                                            data-name="Custom Captcha"
                                            data-shortcode='{"random_key":{"title":"Random String","value":"SecureString"}}'
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/update/3"
                                        >
                                            <i class="la la-cogs"></i> Configure
                                        </button>
                                        <button type="button" class="btn btn-sm btn-outline-dark ms-1 mb-2 helpBtn" data-description="Just put any random string" data-support="na"><i class="la la-question"></i> Help</button>
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-success ms-1 mb-2 confirmationBtn"
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/status/3"
                                            data-question="Are you sure to enable this extension?"
                                        >
                                            <i class="la la-eye"></i> Enable
                                        </button>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td data-label="Extension">
                                    <div class="user">
                                        <div class="thumb"><img src="https://script.viserlab.com/bitlab/assets/images/extensions/Facebook.png" alt="Facebook Comment " class="plugin_bg" /></div>
                                        <span class="name">Facebook Comment </span>
                                    </div>
                                </td>
                                <td data-label="Status">
                                    <span class="badge bg-warning">Disabled</span>
                                </td>
                                <td data-label="Action">
                                    <div class="button-group">
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-primary ms-1 mb-2 editBtn"
                                            data-name="Facebook Comment "
                                            data-shortcode='{"app_key":{"title":"App Key","value":"--"}}'
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/update/5"
                                        >
                                            <i class="la la-cogs"></i> Configure
                                        </button>
                                        <button type="button" class="btn btn-sm btn-outline-dark ms-1 mb-2 helpBtn" data-description="Key location is shown bellow" data-support="fb_com.png"><i class="la la-question"></i> Help</button>
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-success ms-1 mb-2 confirmationBtn"
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/status/5"
                                            data-question="Are you sure to enable this extension?"
                                        >
                                            <i class="la la-eye"></i> Enable
                                        </button>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td data-label="Extension">
                                    <div class="user">
                                        <div class="thumb"><img src="https://script.viserlab.com/bitlab/assets/images/extensions/google_analytics.png" alt="Google Analytics" class="plugin_bg" /></div>
                                        <span class="name">Google Analytics</span>
                                    </div>
                                </td>
                                <td data-label="Status">
                                    <span class="badge bg-warning">Disabled</span>
                                </td>
                                <td data-label="Action">
                                    <div class="button-group">
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-primary ms-1 mb-2 editBtn"
                                            data-name="Google Analytics"
                                            data-shortcode='{"measurement_id":{"title":"Measurement ID","value":"---"}}'
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/update/4"
                                        >
                                            <i class="la la-cogs"></i> Configure
                                        </button>
                                        <button type="button" class="btn btn-sm btn-outline-dark ms-1 mb-2 helpBtn" data-description="Key location is shown bellow" data-support="ganalytics.png"><i class="la la-question"></i> Help</button>
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-success ms-1 mb-2 confirmationBtn"
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/status/4"
                                            data-question="Are you sure to enable this extension?"
                                        >
                                            <i class="la la-eye"></i> Enable
                                        </button>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td data-label="Extension">
                                    <div class="user">
                                        <div class="thumb"><img src="https://script.viserlab.com/bitlab/assets/images/extensions/recaptcha3.png" alt="Google Recaptcha 2" class="plugin_bg" /></div>
                                        <span class="name">Google Recaptcha 2</span>
                                    </div>
                                </td>
                                <td data-label="Status">
                                    <span class="badge bg-success">Enabled</span>
                                </td>
                                <td data-label="Action">
                                    <div class="button-group">
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-primary ms-1 mb-2 editBtn"
                                            data-name="Google Recaptcha 2"
                                            data-shortcode='{"site_key":{"title":"Site Key","value":"6LdPC88fAAAAADQlUf_DV6Hrvgm-pZuLJFSLDOWV"},"secret_key":{"title":"Secret Key","value":"6LdPC88fAAAAAG5SVaRYDnV2NpCrptLg2XLYKRKB"}}'
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/update/2"
                                        >
                                            <i class="la la-cogs"></i> Configure
                                        </button>
                                        <button type="button" class="btn btn-sm btn-outline-dark ms-1 mb-2 helpBtn" data-description="Key location is shown bellow" data-support="recaptcha.png"><i class="la la-question"></i> Help</button>
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-danger mb-2 confirmationBtn"
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/status/2"
                                            data-question="Are you sure to disable this extension?"
                                        >
                                            <i class="la la-eye-slash"></i> Disable
                                        </button>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td data-label="Extension">
                                    <div class="user">
                                        <div class="thumb"><img src="https://script.viserlab.com/bitlab/assets/images/extensions/tawky_big.png" alt="Tawk.to" class="plugin_bg" /></div>
                                        <span class="name">Tawk.to</span>
                                    </div>
                                </td>
                                <td data-label="Status">
                                    <span class="badge bg-warning">Disabled</span>
                                </td>
                                <td data-label="Action">
                                    <div class="button-group">
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-primary ms-1 mb-2 editBtn"
                                            data-name="Tawk.to"
                                            data-shortcode='{"app_key":{"title":"App Key","value":"---"}}'
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/update/1"
                                        >
                                            <i class="la la-cogs"></i> Configure
                                        </button>
                                        <button type="button" class="btn btn-sm btn-outline-dark ms-1 mb-2 helpBtn" data-description="Key location is shown bellow" data-support="twak.png"><i class="la la-question"></i> Help</button>
                                        <button
                                            type="button"
                                            class="btn btn-sm btn-outline-success ms-1 mb-2 confirmationBtn"
                                            data-action="https://script.viserlab.com/bitlab/admin/extensions/status/1"
                                            data-question="Are you sure to enable this extension?"
                                        >
                                            <i class="la la-eye"></i> Enable
                                        </button>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


				</div>
			</main>


@endsection
