@extends('layouts.admin')

@section('content')

            <main class="content">
				<div class="container-fluid p-0">

					<div class="row mb-2 mb-xl-3">
						<div class="col-auto d-none d-sm-block">
							<h3>General Settings</h3>
							<p><a href='{{route("admin.settings")}}'>Back to Settings</a></p>
						</div>

					</div>
				
@include('components.admin.error-message')
<div class="row mb-none-30">
    <div class="col-lg-12 col-md-12 mb-30">
        <div class="card">
            <div class="card-body">
                <form method="POST" action="{{route('admin.settings.general.update')}}">
                    @csrf
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group py-2">
                                <label for="site_name" class="required"> Site Title</label>
                                <input class="form-control" type="text" name="site_name" required="" value="{{$settings->site_name}}" id="site_name" />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group py-2">
                                <label for="site_domain" class="required"> Site Url</label>
                                <input class="form-control" type="text" name="site_domain" required="" value="{{$settings->site_domain}}" id="site_domain" />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group py-2">
                                <label for="date_format" class="required"> Date Format</label>
                                <input class="form-control" type="text" name="date_format" required="" value="{{$settings->date_form}}" id="date_format" />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group py-2">
                                <label for="time_format" class="required"> Time Format</label>
                                <input class="form-control" type="text" name="time_format" required="" value="{{$settings->time_form}}" id="time_format" />
                            </div>
                        </div>
                        <div class="form-group py-2 col-sm-6">
                            <label class="required" for="timezone"> Timezone</label>
                            <div class="position-relative">
                                <select class="select2 form-control select2-hidden-accessible" name="timezone" id="timezone" data-select2-id="select2-data-timezone" tabindex="-1" aria-hidden="true">
                                    <option value="0">Africa/Abidjan</option>
                                    <option value="1">Africa/Accra</option>
                                    <option value="2">Africa/Addis_Ababa</option>
                                    <option value="3">Africa/Algiers</option>
                                    <option value="4">Africa/Asmara</option>
                                    <option value="5">Africa/Bamako</option>
                                    <option value="6">Africa/Bangui</option>
                                    <option value="7">Africa/Banjul</option>
                                    <option value="8">Africa/Bissau</option>
                                    <option value="9">Africa/Blantyre</option>
                                    <option value="10">Africa/Brazzaville</option>
                                    <option value="11">Africa/Bujumbura</option>
                                    <option value="12">Africa/Cairo</option>
                                    <option value="13">Africa/Casablanca</option>
                                    <option value="14">Africa/Ceuta</option>
                                    <option value="15">Africa/Conakry</option>
                                    <option value="16">Africa/Dakar</option>
                                    <option value="17">Africa/Dar_es_Salaam</option>
                                    <option value="18">Africa/Djibouti</option>
                                    <option value="19">Africa/Douala</option>
                                    <option value="20">Africa/El_Aaiun</option>
                                    <option value="21">Africa/Freetown</option>
                                    <option value="22">Africa/Gaborone</option>
                                    <option value="23">Africa/Harare</option>
                                    <option value="24">Africa/Johannesburg</option>
                                    <option value="25">Africa/Juba</option>
                                    <option value="26">Africa/Kampala</option>
                                    <option value="27">Africa/Khartoum</option>
                                    <option value="28">Africa/Kigali</option>
                                    <option value="29">Africa/Kinshasa</option>
                                    <option value="30">Africa/Lagos</option>
                                    <option value="31">Africa/Libreville</option>
                                    <option value="32">Africa/Lome</option>
                                    <option value="33">Africa/Luanda</option>
                                    <option value="34">Africa/Lubumbashi</option>
                                    <option value="35">Africa/Lusaka</option>
                                    <option value="36">Africa/Malabo</option>
                                    <option value="37">Africa/Maputo</option>
                                    <option value="38">Africa/Maseru</option>
                                    <option value="39">Africa/Mbabane</option>
                                    <option value="40">Africa/Mogadishu</option>
                                    <option value="41">Africa/Monrovia</option>
                                    <option value="42">Africa/Nairobi</option>
                                    <option value="43">Africa/Ndjamena</option>
                                    <option value="44">Africa/Niamey</option>
                                    <option value="45">Africa/Nouakchott</option>
                                    <option value="46">Africa/Ouagadougou</option>
                                    <option value="47">Africa/Porto-Novo</option>
                                    <option value="48">Africa/Sao_Tome</option>
                                    <option value="49">Africa/Tripoli</option>
                                    <option value="50">Africa/Tunis</option>
                                    <option value="51">Africa/Windhoek</option>
                                    <option value="52">America/Adak</option>
                                    <option value="53">America/Anchorage</option>
                                    <option value="54">America/Anguilla</option>
                                    <option value="55">America/Antigua</option>
                                    <option value="56">America/Araguaina</option>
                                    <option value="57">America/Argentina/Buenos_Aires</option>
                                    <option value="58">America/Argentina/Catamarca</option>
                                    <option value="59">America/Argentina/Cordoba</option>
                                    <option value="60">America/Argentina/Jujuy</option>
                                    <option value="61">America/Argentina/La_Rioja</option>
                                    <option value="62">America/Argentina/Mendoza</option>
                                    <option value="63">America/Argentina/Rio_Gallegos</option>
                                    <option value="64">America/Argentina/Salta</option>
                                    <option value="65">America/Argentina/San_Juan</option>
                                    <option value="66">America/Argentina/San_Luis</option>
                                    <option value="67">America/Argentina/Tucuman</option>
                                    <option value="68">America/Argentina/Ushuaia</option>
                                    <option value="69">America/Aruba</option>
                                    <option value="70">America/Asuncion</option>
                                    <option value="71">America/Atikokan</option>
                                    <option value="72">America/Bahia</option>
                                    <option value="73">America/Bahia_Banderas</option>
                                    <option value="74">America/Barbados</option>
                                    <option value="75">America/Belem</option>
                                    <option value="76">America/Belize</option>
                                    <option value="77">America/Blanc-Sablon</option>
                                    <option value="78">America/Boa_Vista</option>
                                    <option value="79">America/Bogota</option>
                                    <option value="80">America/Boise</option>
                                    <option value="81">America/Cambridge_Bay</option>
                                    <option value="82">America/Campo_Grande</option>
                                    <option value="83">America/Cancun</option>
                                    <option value="84">America/Caracas</option>
                                    <option value="85">America/Cayenne</option>
                                    <option value="86">America/Cayman</option>
                                    <option value="87">America/Chicago</option>
                                    <option value="88">America/Chihuahua</option>
                                    <option value="89">America/Ciudad_Juarez</option>
                                    <option value="90">America/Costa_Rica</option>
                                    <option value="91">America/Creston</option>
                                    <option value="92">America/Cuiaba</option>
                                    <option value="93">America/Curacao</option>
                                    <option value="94">America/Danmarkshavn</option>
                                    <option value="95">America/Dawson</option>
                                    <option value="96">America/Dawson_Creek</option>
                                    <option value="97">America/Denver</option>
                                    <option value="98">America/Detroit</option>
                                    <option value="99">America/Dominica</option>
                                    <option value="100">America/Edmonton</option>
                                    <option value="101">America/Eirunepe</option>
                                    <option value="102">America/El_Salvador</option>
                                    <option value="103">America/Fort_Nelson</option>
                                    <option value="104">America/Fortaleza</option>
                                    <option value="105">America/Glace_Bay</option>
                                    <option value="106">America/Goose_Bay</option>
                                    <option value="107">America/Grand_Turk</option>
                                    <option value="108">America/Grenada</option>
                                    <option value="109">America/Guadeloupe</option>
                                    <option value="110">America/Guatemala</option>
                                    <option value="111">America/Guayaquil</option>
                                    <option value="112">America/Guyana</option>
                                    <option value="113">America/Halifax</option>
                                    <option value="114">America/Havana</option>
                                    <option value="115">America/Hermosillo</option>
                                    <option value="116">America/Indiana/Indianapolis</option>
                                    <option value="117">America/Indiana/Knox</option>
                                    <option value="118">America/Indiana/Marengo</option>
                                    <option value="119">America/Indiana/Petersburg</option>
                                    <option value="120">America/Indiana/Tell_City</option>
                                    <option value="121">America/Indiana/Vevay</option>
                                    <option value="122">America/Indiana/Vincennes</option>
                                    <option value="123">America/Indiana/Winamac</option>
                                    <option value="124">America/Inuvik</option>
                                    <option value="125">America/Iqaluit</option>
                                    <option value="126">America/Jamaica</option>
                                    <option value="127">America/Juneau</option>
                                    <option value="128">America/Kentucky/Louisville</option>
                                    <option value="129">America/Kentucky/Monticello</option>
                                    <option value="130">America/Kralendijk</option>
                                    <option value="131">America/La_Paz</option>
                                    <option value="132">America/Lima</option>
                                    <option value="133">America/Los_Angeles</option>
                                    <option value="134">America/Lower_Princes</option>
                                    <option value="135">America/Maceio</option>
                                    <option value="136">America/Managua</option>
                                    <option value="137">America/Manaus</option>
                                    <option value="138">America/Marigot</option>
                                    <option value="139">America/Martinique</option>
                                    <option value="140">America/Matamoros</option>
                                    <option value="141">America/Mazatlan</option>
                                    <option value="142">America/Menominee</option>
                                    <option value="143">America/Merida</option>
                                    <option value="144">America/Metlakatla</option>
                                    <option value="145">America/Mexico_City</option>
                                    <option value="146">America/Miquelon</option>
                                    <option value="147">America/Moncton</option>
                                    <option value="148">America/Monterrey</option>
                                    <option value="149">America/Montevideo</option>
                                    <option value="150">America/Montserrat</option>
                                    <option value="151">America/Nassau</option>
                                    <option value="152">America/New_York</option>
                                    <option value="153">America/Nome</option>
                                    <option value="154">America/Noronha</option>
                                    <option value="155">America/North_Dakota/Beulah</option>
                                    <option value="156">America/North_Dakota/Center</option>
                                    <option value="157">America/North_Dakota/New_Salem</option>
                                    <option value="158">America/Nuuk</option>
                                    <option value="159">America/Ojinaga</option>
                                    <option value="160">America/Panama</option>
                                    <option value="161">America/Paramaribo</option>
                                    <option value="162">America/Phoenix</option>
                                    <option value="163">America/Port-au-Prince</option>
                                    <option value="164">America/Port_of_Spain</option>
                                    <option value="165">America/Porto_Velho</option>
                                    <option value="166">America/Puerto_Rico</option>
                                    <option value="167">America/Punta_Arenas</option>
                                    <option value="168">America/Rankin_Inlet</option>
                                    <option value="169">America/Recife</option>
                                    <option value="170">America/Regina</option>
                                    <option value="171">America/Resolute</option>
                                    <option value="172">America/Rio_Branco</option>
                                    <option value="173">America/Santarem</option>
                                    <option value="174">America/Santiago</option>
                                    <option value="175">America/Santo_Domingo</option>
                                    <option value="176">America/Sao_Paulo</option>
                                    <option value="177">America/Scoresbysund</option>
                                    <option value="178">America/Sitka</option>
                                    <option value="179">America/St_Barthelemy</option>
                                    <option value="180">America/St_Johns</option>
                                    <option value="181">America/St_Kitts</option>
                                    <option value="182">America/St_Lucia</option>
                                    <option value="183">America/St_Thomas</option>
                                    <option value="184">America/St_Vincent</option>
                                    <option value="185">America/Swift_Current</option>
                                    <option value="186">America/Tegucigalpa</option>
                                    <option value="187">America/Thule</option>
                                    <option value="188">America/Tijuana</option>
                                    <option value="189">America/Toronto</option>
                                    <option value="190">America/Tortola</option>
                                    <option value="191">America/Vancouver</option>
                                    <option value="192">America/Whitehorse</option>
                                    <option value="193">America/Winnipeg</option>
                                    <option value="194">America/Yakutat</option>
                                    <option value="195">Antarctica/Casey</option>
                                    <option value="196">Antarctica/Davis</option>
                                    <option value="197">Antarctica/DumontDUrville</option>
                                    <option value="198">Antarctica/Macquarie</option>
                                    <option value="199">Antarctica/Mawson</option>
                                    <option value="200">Antarctica/McMurdo</option>
                                    <option value="201">Antarctica/Palmer</option>
                                    <option value="202">Antarctica/Rothera</option>
                                    <option value="203">Antarctica/Syowa</option>
                                    <option value="204">Antarctica/Troll</option>
                                    <option value="205">Antarctica/Vostok</option>
                                    <option value="206">Arctic/Longyearbyen</option>
                                    <option value="207">Asia/Aden</option>
                                    <option value="208">Asia/Almaty</option>
                                    <option value="209">Asia/Amman</option>
                                    <option value="210">Asia/Anadyr</option>
                                    <option value="211">Asia/Aqtau</option>
                                    <option value="212">Asia/Aqtobe</option>
                                    <option value="213">Asia/Ashgabat</option>
                                    <option value="214">Asia/Atyrau</option>
                                    <option value="215">Asia/Baghdad</option>
                                    <option value="216">Asia/Bahrain</option>
                                    <option value="217">Asia/Baku</option>
                                    <option value="218">Asia/Bangkok</option>
                                    <option value="219">Asia/Barnaul</option>
                                    <option value="220">Asia/Beirut</option>
                                    <option value="221">Asia/Bishkek</option>
                                    <option value="222">Asia/Brunei</option>
                                    <option value="223">Asia/Chita</option>
                                    <option value="224">Asia/Choibalsan</option>
                                    <option value="225">Asia/Colombo</option>
                                    <option value="226">Asia/Damascus</option>
                                    <option value="227">Asia/Dhaka</option>
                                    <option value="228">Asia/Dili</option>
                                    <option value="229">Asia/Dubai</option>
                                    <option value="230">Asia/Dushanbe</option>
                                    <option value="231">Asia/Famagusta</option>
                                    <option value="232">Asia/Gaza</option>
                                    <option value="233">Asia/Hebron</option>
                                    <option value="234">Asia/Ho_Chi_Minh</option>
                                    <option value="235">Asia/Hong_Kong</option>
                                    <option value="236">Asia/Hovd</option>
                                    <option value="237">Asia/Irkutsk</option>
                                    <option value="238">Asia/Jakarta</option>
                                    <option value="239">Asia/Jayapura</option>
                                    <option value="240">Asia/Jerusalem</option>
                                    <option value="241">Asia/Kabul</option>
                                    <option value="242">Asia/Kamchatka</option>
                                    <option value="243">Asia/Karachi</option>
                                    <option value="244">Asia/Kathmandu</option>
                                    <option value="245">Asia/Khandyga</option>
                                    <option value="246">Asia/Kolkata</option>
                                    <option value="247">Asia/Krasnoyarsk</option>
                                    <option value="248">Asia/Kuala_Lumpur</option>
                                    <option value="249">Asia/Kuching</option>
                                    <option value="250">Asia/Kuwait</option>
                                    <option value="251">Asia/Macau</option>
                                    <option value="252">Asia/Magadan</option>
                                    <option value="253">Asia/Makassar</option>
                                    <option value="254">Asia/Manila</option>
                                    <option value="255">Asia/Muscat</option>
                                    <option value="256">Asia/Nicosia</option>
                                    <option value="257">Asia/Novokuznetsk</option>
                                    <option value="258">Asia/Novosibirsk</option>
                                    <option value="259">Asia/Omsk</option>
                                    <option value="260">Asia/Oral</option>
                                    <option value="261">Asia/Phnom_Penh</option>
                                    <option value="262">Asia/Pontianak</option>
                                    <option value="263">Asia/Pyongyang</option>
                                    <option value="264">Asia/Qatar</option>
                                    <option value="265">Asia/Qostanay</option>
                                    <option value="266">Asia/Qyzylorda</option>
                                    <option value="267">Asia/Riyadh</option>
                                    <option value="268">Asia/Sakhalin</option>
                                    <option value="269">Asia/Samarkand</option>
                                    <option value="270">Asia/Seoul</option>
                                    <option value="271">Asia/Shanghai</option>
                                    <option value="272">Asia/Singapore</option>
                                    <option value="273">Asia/Srednekolymsk</option>
                                    <option value="274">Asia/Taipei</option>
                                    <option value="275">Asia/Tashkent</option>
                                    <option value="276">Asia/Tbilisi</option>
                                    <option value="277">Asia/Tehran</option>
                                    <option value="278">Asia/Thimphu</option>
                                    <option value="279">Asia/Tokyo</option>
                                    <option value="280">Asia/Tomsk</option>
                                    <option value="281">Asia/Ulaanbaatar</option>
                                    <option value="282">Asia/Urumqi</option>
                                    <option value="283">Asia/Ust-Nera</option>
                                    <option value="284">Asia/Vientiane</option>
                                    <option value="285">Asia/Vladivostok</option>
                                    <option value="286">Asia/Yakutsk</option>
                                    <option value="287">Asia/Yangon</option>
                                    <option value="288">Asia/Yekaterinburg</option>
                                    <option value="289">Asia/Yerevan</option>
                                    <option value="290">Atlantic/Azores</option>
                                    <option value="291">Atlantic/Bermuda</option>
                                    <option value="292">Atlantic/Canary</option>
                                    <option value="293">Atlantic/Cape_Verde</option>
                                    <option value="294">Atlantic/Faroe</option>
                                    <option value="295">Atlantic/Madeira</option>
                                    <option value="296">Atlantic/Reykjavik</option>
                                    <option value="297">Atlantic/South_Georgia</option>
                                    <option value="298">Atlantic/St_Helena</option>
                                    <option value="299">Atlantic/Stanley</option>
                                    <option value="300">Australia/Adelaide</option>
                                    <option value="301">Australia/Brisbane</option>
                                    <option value="302">Australia/Broken_Hill</option>
                                    <option value="303">Australia/Darwin</option>
                                    <option value="304">Australia/Eucla</option>
                                    <option value="305">Australia/Hobart</option>
                                    <option value="306">Australia/Lindeman</option>
                                    <option value="307">Australia/Lord_Howe</option>
                                    <option value="308">Australia/Melbourne</option>
                                    <option value="309">Australia/Perth</option>
                                    <option value="310">Australia/Sydney</option>
                                    <option value="311">Europe/Amsterdam</option>
                                    <option value="312">Europe/Andorra</option>
                                    <option value="313">Europe/Astrakhan</option>
                                    <option value="314">Europe/Athens</option>
                                    <option value="315">Europe/Belgrade</option>
                                    <option value="316">Europe/Berlin</option>
                                    <option value="317">Europe/Bratislava</option>
                                    <option value="318">Europe/Brussels</option>
                                    <option value="319">Europe/Bucharest</option>
                                    <option value="320">Europe/Budapest</option>
                                    <option value="321">Europe/Busingen</option>
                                    <option value="322">Europe/Chisinau</option>
                                    <option value="323">Europe/Copenhagen</option>
                                    <option value="324">Europe/Dublin</option>
                                    <option value="325">Europe/Gibraltar</option>
                                    <option value="326">Europe/Guernsey</option>
                                    <option value="327">Europe/Helsinki</option>
                                    <option value="328">Europe/Isle_of_Man</option>
                                    <option value="329">Europe/Istanbul</option>
                                    <option value="330">Europe/Jersey</option>
                                    <option value="331">Europe/Kaliningrad</option>
                                    <option value="332">Europe/Kirov</option>
                                    <option value="333">Europe/Kyiv</option>
                                    <option value="334">Europe/Lisbon</option>
                                    <option value="335">Europe/Ljubljana</option>
                                    <option value="336">Europe/London</option>
                                    <option value="337">Europe/Luxembourg</option>
                                    <option value="338">Europe/Madrid</option>
                                    <option value="339">Europe/Malta</option>
                                    <option value="340">Europe/Mariehamn</option>
                                    <option value="341">Europe/Minsk</option>
                                    <option value="342">Europe/Monaco</option>
                                    <option value="343">Europe/Moscow</option>
                                    <option value="344">Europe/Oslo</option>
                                    <option value="345">Europe/Paris</option>
                                    <option value="346">Europe/Podgorica</option>
                                    <option value="347">Europe/Prague</option>
                                    <option value="348">Europe/Riga</option>
                                    <option value="349">Europe/Rome</option>
                                    <option value="350">Europe/Samara</option>
                                    <option value="351">Europe/San_Marino</option>
                                    <option value="352">Europe/Sarajevo</option>
                                    <option value="353">Europe/Saratov</option>
                                    <option value="354">Europe/Simferopol</option>
                                    <option value="355">Europe/Skopje</option>
                                    <option value="356">Europe/Sofia</option>
                                    <option value="357">Europe/Stockholm</option>
                                    <option value="358">Europe/Tallinn</option>
                                    <option value="359">Europe/Tirane</option>
                                    <option value="360">Europe/Ulyanovsk</option>
                                    <option value="361">Europe/Vaduz</option>
                                    <option value="362">Europe/Vatican</option>
                                    <option value="363">Europe/Vienna</option>
                                    <option value="364">Europe/Vilnius</option>
                                    <option value="365">Europe/Volgograd</option>
                                    <option value="366">Europe/Warsaw</option>
                                    <option value="367">Europe/Zagreb</option>
                                    <option value="368">Europe/Zurich</option>
                                    <option value="369">Indian/Antananarivo</option>
                                    <option value="370">Indian/Chagos</option>
                                    <option value="371">Indian/Christmas</option>
                                    <option value="372">Indian/Cocos</option>
                                    <option value="373">Indian/Comoro</option>
                                    <option value="374">Indian/Kerguelen</option>
                                    <option value="375">Indian/Mahe</option>
                                    <option value="376">Indian/Maldives</option>
                                    <option value="377">Indian/Mauritius</option>
                                    <option value="378">Indian/Mayotte</option>
                                    <option value="379">Indian/Reunion</option>
                                    <option value="380">Pacific/Apia</option>
                                    <option value="381">Pacific/Auckland</option>
                                    <option value="382">Pacific/Bougainville</option>
                                    <option value="383">Pacific/Chatham</option>
                                    <option value="384">Pacific/Chuuk</option>
                                    <option value="385">Pacific/Easter</option>
                                    <option value="386">Pacific/Efate</option>
                                    <option value="387">Pacific/Fakaofo</option>
                                    <option value="388">Pacific/Fiji</option>
                                    <option value="389">Pacific/Funafuti</option>
                                    <option value="390">Pacific/Galapagos</option>
                                    <option value="391">Pacific/Gambier</option>
                                    <option value="392">Pacific/Guadalcanal</option>
                                    <option value="393">Pacific/Guam</option>
                                    <option value="394">Pacific/Honolulu</option>
                                    <option value="395">Pacific/Kanton</option>
                                    <option value="396">Pacific/Kiritimati</option>
                                    <option value="397">Pacific/Kosrae</option>
                                    <option value="398">Pacific/Kwajalein</option>
                                    <option value="399">Pacific/Majuro</option>
                                    <option value="400">Pacific/Marquesas</option>
                                    <option value="401">Pacific/Midway</option>
                                    <option value="402">Pacific/Nauru</option>
                                    <option value="403">Pacific/Niue</option>
                                    <option value="404">Pacific/Norfolk</option>
                                    <option value="405">Pacific/Noumea</option>
                                    <option value="406">Pacific/Pago_Pago</option>
                                    <option value="407">Pacific/Palau</option>
                                    <option value="408">Pacific/Pitcairn</option>
                                    <option value="409">Pacific/Pohnpei</option>
                                    <option value="410">Pacific/Port_Moresby</option>
                                    <option value="411">Pacific/Rarotonga</option>
                                    <option value="412">Pacific/Saipan</option>
                                    <option value="413">Pacific/Tahiti</option>
                                    <option value="414">Pacific/Tarawa</option>
                                    <option value="415">Pacific/Tongatapu</option>
                                    <option value="416">Pacific/Wake</option>
                                    <option value="417">Pacific/Wallis</option>
                                    <option value="418" selected="" data-select2-id="select2-data-2-uigc">UTC</option>
                                </select>
                               
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group py-2">
                                <label for="currency" class="required">Currency</label>
                                
                                <select id="currency" class="form-control" name="currency" >
                                    {!!get_currency_select('fiat' , $settings->currency)!!}
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group py-2">
                                <label for="crypto_currency" class="required">Crypto Currency</label>
                                <select id="crypto_currency" class="form-control" name="crypto_currency" >
                                    {!!get_currency_select('crypto' , $settings->crypto_currency)!!}
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group py-2">
                                <label for="site_email" class="required">Site Email</label>
                                <input class="form-control" type="text" name="site_email" required="" value="{{$settings->site_email}}" id="site_email" />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group py-2">
                                <label for="site_phone_number" class="required">Site Phone Number</label>
                                <input class="form-control" type="text" name="site_phone_number" required="" value="{{$settings->site_phone_number}}" id="site_phone_number" />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group py-2">
                                <label for="txn_prefix" class="required">Site Prefix</label>
                                <input class="form-control" type="text" name="txn_prefix" required="" value="{{$settings->txn_prefix}}" id="txn_prefix" />
                            </div>
                        </div>
                       
                        <div class="form-group py-2 col-sm-6">
                            <label for="paginate_number"> Record to Display Per page</label>
                            <div class="position-relative">
                                <select
                                    class="select2 form-control select2-hidden-accessible"
                                    name="paginate_number"
                                    data-minimum-results-for-search="-1"
                                    id="paginate_number"
                                    data-select2-id="select2-data-paginate_number"
                                    tabindex="-1"
                                    aria-hidden="true"
                                >
                            <option value="10"  {{__getSelected('10' , $settings->per_page)}} >10 items per page</option>
                                    <option value="20" {{__getSelected('20' , $settings->per_page)}} >20 items per page</option>
                                    <option value="50" {{__getSelected('50' , $settings->per_page)}}>50 items per page</option>
                                    <option value="100" {{__getSelected('100' , $settings->per_page)}}>100 items per page</option>
                                </select>
                         
                            </div>
                        </div>

                    </div>

                    <div class="form-group py-2">
                        <button type="submit" class="btn btn-primary w-100 h-45">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>




				</div>
			</main>


@endsection
