@extends('layouts.admin')

@section('content')

            <main class="content">
				<div class="container-fluid p-0">

					<div class="row mb-2 mb-xl-3">
						<div class="col-auto d-none d-sm-block">
							<h3>Logo & Favicon</h3>
							<p><a href='{{route("admin.settings")}}'>Back to Settings</a></p>
						</div>

					</div>
				
@include('components.admin.error-message')

<div class="row mb-none-30">
    <div class="col-md-12 mb-30">
        <div class="card ">
            <div class="card-body">
                
                <div class="alert alert-primary alert-outline-coloured alert-dismissible" role="alert">
   
    <div class="alert-icon">
        <i class="far fa-fw fa-bell"></i>
    </div>
    <div class="alert-message"><p class="text-primary">
                    If the logo and favicon are not changed after you update from this page, please
                    <a href="https://script.viserlab.com/bitlab/admin/system/optimize-clear" class="text-info text-decoration-underline">clear the cache</a> from your browser. As we keep the filename the same after the update, it may show
                    the old image for the cache. usually, it works after clear the cache but if you still see the old logo or favicon, it may be caused by server level or network level caching. Please clear them too.
                </p></div>
</div>

                
            </div>
        </div>
    </div>
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <form method="POST" action="{{route('admin.settings.logo.update')}}" enctype="multipart/form-data">
                   @csrf
                    <div class="row justify-content-center">
                        <div class="form-group col-md-4 col-sm-6">
                            <label> Logo</label>
                            <div class="image-uploader w-100">
                                <div class="image-upload-wrapper">
                                    <div class="image-upload-preview bg-dark" style="background-image: url(https://script.viserlab.com/bitlab/assets/images/logo_icon/logo.png?1725428887);"></div>
                                    <div class="image-upload-input-wrapper">
                                        <input type="file" class="image-upload-input" name="logo" id="uploadLogo" accept=".png, .jpg, .jpeg" />
                                        <label for="uploadLogo" class="bg-primary"><i class="la la-cloud-upload"></i></label>
                                    </div>
                                </div>

                                <div class="mt-2">
                                    <small class="mt-3 text-muted"> Supported Files: <b>.png, .jpg, .jpeg.</b> </small>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-4 col-sm-6">
                            <label> Favicon</label>
                            <div class="image-uploader w-100">
                                <div class="image-upload-wrapper">
                                    <div class="image-upload-preview" style="background-image: url(https://script.viserlab.com/bitlab/assets/images/logo_icon/favicon.png?1725428887);"></div>
                                    <div class="image-upload-input-wrapper">
                                        <input type="file" class="image-upload-input" name="favicon" id="uploadFavicon" accept=".png, .jpg, .jpeg" />
                                        <label for="uploadFavicon" class="bg-primary"><i class="la la-cloud-upload"></i></label>
                                    </div>
                                </div>

                                <div class="mt-2">
                                    <small class="mt-3 text-muted"> Supported Files: <b>.png, .jpg, .jpeg.</b> </small>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary w-100 h-45 mt-2">Submit</button>
                </form>
            </div>
        </div>
    </div>
</div>

				</div>
			</main>


@endsection
