
@extends('layouts.admin')
@section('css')
<style>
    .form-switch .form-check-input{
        width:80px;
        height:30px;
    }
</style>
@endsection
@section('content')

            <main class="content">
				<div class="container-fluid p-0">

					<div class="row mb-2 mb-xl-3">
						<div class="col-auto d-none d-sm-block">
							<h3>System Permissions</h3>
							<p><a href='{{route("admin.settings")}}'>Back to Settings</a></p>
						</div>

					</div>
				
@include('components.admin.error-message')

<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <form method="post" action="{{route('admin.settings.permissions.update')}}">
                @csrf
                <div class="card-body">
                    <ul class="list-group">
                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">User Registration</p>
                                <p class="mb-0">
                                    <small>If you disable this module, no one can register on this system.</small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="form-check form-switch">
										<input class="form-check-input" type="checkbox" id="flexSwitchCheckChecked" checked="">
										
									</div>
                            </div>
                        </li>
                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">Force SSL</p>
                                <p class="mb-0">
                                    <small>
                                        By enabling <span class="fw-bold">Force SSL (Secure Sockets Layer)</span> the system will force a visitor that he/she must have to visit in secure mode. Otherwise, the site will be loaded in secure
                                        mode.
                                    </small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="toggle btn btn-danger off btn-lg" data-bs-toggle="toggle" style="width: 100%; height: 35px;">
                                    <input
                                        type="checkbox"
                                        data-width="100%"
                                        data-size="large"
                                        data-onstyle="-success"
                                        data-offstyle="-danger"
                                        data-bs-toggle="toggle"
                                        data-height="35"
                                        data-on="Enable"
                                        data-off="Disable"
                                        name="force_ssl"
                                        id="force_ssl"
                                    />
                                    <div class="toggle-group">
                                        <label class="btn btn-success btn-lg toggle-on" style="line-height: 18.3334px;">Enable</label><label class="btn btn-danger btn-lg active toggle-off" style="line-height: 18.3334px;">Disable</label>
                                        <span class="toggle-handle btn btn-default btn-lg"></span>
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">Agree Policy</p>
                                <p class="mb-0">
                                    <small>
                                        If you enable this module, that means a user must have to agree with your system's <a href="https://script.viserlab.com/bitlab/admin/frontend/frontend-sections/policy_pages">policies</a> during
                                        registration.
                                    </small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="toggle btn btn-success btn-lg" data-bs-toggle="toggle" style="width: 100%; height: 35px;">
                                    <input
                                        type="checkbox"
                                        data-width="100%"
                                        data-size="large"
                                        data-onstyle="-success"
                                        data-offstyle="-danger"
                                        data-bs-toggle="toggle"
                                        data-height="35"
                                        data-on="Enable"
                                        data-off="Disable"
                                        name="agree"
                                        checked=""
                                        id="agree"
                                    />
                                    <div class="toggle-group">
                                        <label class="btn btn-success btn-lg toggle-on" style="line-height: 18.3334px;">Enable</label><label class="btn btn-danger btn-lg active toggle-off" style="line-height: 18.3334px;">Disable</label>
                                        <span class="toggle-handle btn btn-default btn-lg"></span>
                                    </div>
                                </div>
                            </div>
                        </li>

                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">Force Secure Password</p>
                                <p class="mb-0">
                                    <small>By enabling this module, a user must set a secure password while signing up or changing the password.</small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="toggle btn btn-danger off btn-lg" data-bs-toggle="toggle" style="width: 100%; height: 35px;">
                                    <input
                                        type="checkbox"
                                        data-width="100%"
                                        data-size="large"
                                        data-onstyle="-success"
                                        data-offstyle="-danger"
                                        data-bs-toggle="toggle"
                                        data-height="35"
                                        data-on="Enable"
                                        data-off="Disable"
                                        name="secure_password"
                                        id="secure_password"
                                    />
                                    <div class="toggle-group">
                                        <label class="btn btn-success btn-lg toggle-on" style="line-height: 18.3334px;">Enable</label><label class="btn btn-danger btn-lg active toggle-off" style="line-height: 18.3334px;">Disable</label>
                                        <span class="toggle-handle btn btn-default btn-lg"></span>
                                    </div>
                                </div>
                            </div>
                        </li>

                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">Email Verification</p>
                                <p class="mb-0">
                                    <small>
                                        If you enable <span class="fw-bold">Email Verification</span>, users have to verify their email to access the dashboard. A 6-digit verification code will be sent to their email to be verified. <br />
                                        <span class="fw-bold"><i>Note:</i></span> <i>Make sure that the <span class="fw-bold">Email Notification </span> module is enabled</i>
                                    </small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="toggle btn btn-danger off btn-lg" data-bs-toggle="toggle" style="width: 100%; height: 35px;">
                                    <input type="checkbox" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="Enable" data-off="Disable" name="ev" id="ev" />
                                    <div class="toggle-group">
                                        <label class="btn btn-success btn-lg toggle-on" style="line-height: 18.3334px;">Enable</label><label class="btn btn-danger btn-lg active toggle-off" style="line-height: 18.3334px;">Disable</label>
                                        <span class="toggle-handle btn btn-default btn-lg"></span>
                                    </div>
                                </div>
                            </div>
                        </li>

                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">Email Notification</p>
                                <p class="mb-0">
                                    <small>
                                        If you enable this module, the system will send emails to users where needed. Otherwise, no email will be sent.
                                        <code>So be sure before disabling this module that, the system doesn't need to send any emails.</code>
                                    </small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="toggle btn btn-success btn-lg" data-bs-toggle="toggle" style="width: 100%; height: 35px;">
                                    <input
                                        type="checkbox"
                                        data-width="100%"
                                        data-size="large"
                                        data-onstyle="-success"
                                        data-offstyle="-danger"
                                        data-bs-toggle="toggle"
                                        data-height="35"
                                        data-on="Enable"
                                        data-off="Disable"
                                        name="en"
                                        checked=""
                                        id="en"
                                    />
                                    <div class="toggle-group">
                                        <label class="btn btn-success btn-lg toggle-on" style="line-height: 18.3334px;">Enable</label><label class="btn btn-danger btn-lg active toggle-off" style="line-height: 18.3334px;">Disable</label>
                                        <span class="toggle-handle btn btn-default btn-lg"></span>
                                    </div>
                                </div>
                            </div>
                        </li>

                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">Mobile Verification</p>
                                <p class="mb-0">
                                    <small>
                                        If you enable <span class="fw-bold">Mobile Verification</span>, users have to verify their mobile to access the dashboard. A 6-digit verification code will be sent to their mobile to be verified.
                                        <br />
                                        <span class="fw-bold"><i>Note:</i></span> <i>Make sure that the <span class="fw-bold">SMS Notification </span> module is enabled</i>
                                    </small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="toggle btn btn-danger off btn-lg" data-bs-toggle="toggle" style="width: 100%; height: 35px;">
                                    <input type="checkbox" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="Enable" data-off="Disable" name="sv" id="sv" />
                                    <div class="toggle-group">
                                        <label class="btn btn-success btn-lg toggle-on" style="line-height: 18.3334px;">Enable</label><label class="btn btn-danger btn-lg active toggle-off" style="line-height: 18.3334px;">Disable</label>
                                        <span class="toggle-handle btn btn-default btn-lg"></span>
                                    </div>
                                </div>
                            </div>
                        </li>

                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">SMS Notification</p>
                                <p class="mb-0">
                                    <small>
                                        If you enable this module, the system will send SMS to users where needed. Otherwise, no SMS will be sent.
                                        <code>So be sure before disabling this module that, the system doesn't need to send any SMS.</code>
                                    </small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="toggle btn btn-success btn-lg" data-bs-toggle="toggle" style="width: 100%; height: 35px;">
                                    <input
                                        type="checkbox"
                                        data-width="100%"
                                        data-size="large"
                                        data-onstyle="-success"
                                        data-offstyle="-danger"
                                        data-bs-toggle="toggle"
                                        data-height="35"
                                        data-on="Enable"
                                        data-off="Disable"
                                        name="sn"
                                        checked=""
                                        id="sn"
                                    />
                                    <div class="toggle-group">
                                        <label class="btn btn-success btn-lg toggle-on" style="line-height: 18.3334px;">Enable</label><label class="btn btn-danger btn-lg active toggle-off" style="line-height: 18.3334px;">Disable</label>
                                        <span class="toggle-handle btn btn-default btn-lg"></span>
                                    </div>
                                </div>
                            </div>
                        </li>

                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">Push Notification</p>
                                <p class="mb-0">
                                    <small>
                                        If you enable this module, the system will send push notifications to users. Otherwise, no push notification will be sent.
                                        <a href="https://script.viserlab.com/bitlab/admin/notification/notification/push/setting">Setting here</a>
                                    </small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="toggle btn btn-success btn-lg" data-bs-toggle="toggle" style="width: 100%; height: 35px;">
                                    <input
                                        type="checkbox"
                                        data-width="100%"
                                        data-size="large"
                                        data-onstyle="-success"
                                        data-offstyle="-danger"
                                        data-bs-toggle="toggle"
                                        data-height="35"
                                        data-on="Enable"
                                        data-off="Disable"
                                        name="pn"
                                        checked=""
                                        id="pn"
                                    />
                                    <div class="toggle-group">
                                        <label class="btn btn-success btn-lg toggle-on" style="line-height: 18.3334px;">Enable</label><label class="btn btn-danger btn-lg active toggle-off" style="line-height: 18.3334px;">Disable</label>
                                        <span class="toggle-handle btn btn-default btn-lg"></span>
                                    </div>
                                </div>
                            </div>
                        </li>

                        <li class="list-group-item d-flex flex-wrap flex-sm-nowrap gap-2 justify-content-between align-items-center">
                            <div>
                                <p class="fw-bold mb-0">Language Option</p>
                                <p class="mb-0">
                                    <small>If you enable this module, users can change the language according to their needs.</small>
                                </p>
                            </div>
                            <div class="form-group">
                                <div class="toggle btn btn-success btn-lg" data-bs-toggle="toggle" style="width: 100%; height: 35px;">
                                    <input
                                        type="checkbox"
                                        data-width="100%"
                                        data-size="large"
                                        data-onstyle="-success"
                                        data-offstyle="-danger"
                                        data-bs-toggle="toggle"
                                        data-height="35"
                                        data-on="Enable"
                                        data-off="Disable"
                                        name="multi_language"
                                        checked=""
                                        id="multi_language"
                                    />
                                    <div class="toggle-group">
                                        <label class="btn btn-success btn-lg toggle-on" style="line-height: 18.3334px;">Enable</label><label class="btn btn-danger btn-lg active toggle-off" style="line-height: 18.3334px;">Disable</label>
                                        <span class="toggle-handle btn btn-default btn-lg"></span>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
                <div class="card-footer">
                    <button type="submit" class="btn btn-primary w-100 h-45">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>

				</div>
			</main>


@endsection
