@extends('layouts.admin')
@section('css')
<style>
[class*='overlay'] {
    position: relative;
    z-index: 1;
}


.widget-two {
    padding: 15px 15px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    position: relative;
    overflow: hidden;
    align-items: center;
    height: 100%;
}
   .has-link {
    position: relative;
}
 .widget-two .overlay-icon {
    position: absolute;
    bottom: -15px;
    right: -15px;
    font-size: 70px;
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
    opacity: 0.15;
}
.widget-two__icon {
    width: 65px;
    height: 65px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
.widget-two__icon i {
    font-size: 42px;
}
.item-link {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9;
}
.widget-two__content {
    width: calc(100% - 65px);
    padding-left: 20px;
}
</style>
@endsection
@section('content')

            <main class="content">
				<div class="container-fluid p-0">

					<div class="row mb-2 mb-xl-3">
						<div class="col-auto d-none d-sm-block">
							<h3>Settings</h3>
						</div>

					</div>
				
@include('components.admin.error-message')
		<div class="row">
    <div class="col-12">
      

        <div class="row gy-4">
            <div class="col-12">
                <div class="emptyArea"></div>
            </div>
            <div class="col-xxl-4 col-md-6 general_setting searchItems">
                <div class="widget-two box-shadow2 b-radius-5 has-link bg-white">
                    <a href="{{route('admin.settings.general')}}" class="item-link"></a>
                    <i class="fa fa-gears overlay-icon text-primary"></i>

                    <div class="widget-two__icon b-radius-5 bg-primary">
                        <i class="fa fa-gears"></i>
                    </div>

                    <div class="widget-two__content">
                        <h3>
                            General Setting
                        </h3>
                        <p>
                            Configure the fundamental information of your site
                            
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-xxl-4 col-md-6 general_setting searchItems">
                <div class="widget-two box-shadow2 b-radius-5 has-link bg-white">
                    <a href="{{route('admin.settings.logo')}}" class="item-link"></a>
                    <i class="far fa-fw fa-images overlay-icon text-primary"></i>

                    <div class="widget-two__icon b-radius-5 bg-primary">
                        <i class="far fa-fw fa-images"></i>
                    </div>

                    <div class="widget-two__content">
                        <h3>
                            Logo and Favicon
                        </h3>
                        <p>
                            Upload your site logo
                            
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-xxl-4 col-md-6 general_setting searchItems">
                <div class="widget-two box-shadow2 b-radius-5 has-link bg-white">
                    <a href="{{route('admin.settings.permissions')}}" class="item-link"></a>
                    <i class="far fa-fw fa-handshake overlay-icon text-primary"></i>

                    <div class="widget-two__icon b-radius-5 bg-primary">
                        <i class="far fa-fw fa-handshake"></i>
                    </div>

                    <div class="widget-two__content">
                        <h3>
                            System Permissions
                        </h3>
                        <p>
                            Control all the basic permissions of your site
                            
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-xxl-4 col-md-6 general_setting searchItems">
                <div class="widget-two box-shadow2 b-radius-5 has-link bg-white">
                    <a href="{{route('admin.settings.api')}}" class="item-link"></a>
                    <i class="fas fa-fw fa-code overlay-icon text-primary"></i>

                    <div class="widget-two__icon b-radius-5 bg-primary">
                        <i class="fas fa-fw fa-code"></i>
                    </div>

                    <div class="widget-two__content">
                        <h3>
                            API Settings
                        </h3>
                        <p>
                            Configure all the basic apis
                            
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-xxl-4 col-md-6 general_setting searchItems">
                <div class="widget-two box-shadow2 b-radius-5 has-link bg-white">
                    <a href="{{route('admin.settings.seo')}}" class="item-link"></a>
                    <i class="fas fa-fw fa-globe-africa overlay-icon text-primary"></i>

                    <div class="widget-two__icon b-radius-5 bg-primary">
                        <i class="fas fa-fw fa-globe-africa"></i>
                    </div>

                    <div class="widget-two__content">
                        <h3>
                            SEO Configuration
                        </h3>
                        <p>
                            Configure keywords, meta descriptions
                            
                        </p>
                    </div>
                </div>
            </div>
           
            <div class="col-xxl-4 col-md-6 general_setting searchItems">
                <div class="widget-two box-shadow2 b-radius-5 has-link bg-white">
                    <a href="{{route('admin.settings.extensions')}}" class="item-link"></a>
                    <i class="fab fa-fw fa-github overlay-icon text-primary"></i>

                    <div class="widget-two__icon b-radius-5 bg-primary">
                        <i class="fab fa-fw fa-github"></i>
                    </div>

                    <div class="widget-two__content">
                        <h3>
                            Third Party Extensions
                        </h3>
                        <p>
                            Manage Third Party extensions
                            
                        </p>
                    </div>
                </div>
            </div>
           
            
           
        </div>
    </div>
</div>
	 




				</div>
			</main>


@endsection
