@extends('layouts.admin')

@section('css')

<style>
   

.notification-via {
    text-align: center;
    border: 2px solid #cdcdcd;
    padding: 12px 0px;
    border-radius: 5px;
    background: #efefef;
    cursor: pointer;
    transition: all 0.3s;
}
 .notification-via.active {
    border-color: #4634ff;
    position: relative;
}
</style>

@endsection
@section('content')

            <main class="content">
				<div class="container-fluid p-0">

					<div class="row mb-2 mb-xl-3 d-flex justify-content-between">
						<div class="col-auto d-none d-sm-block">
							<h3>All Trade Symbols</h3>
						
						</div>
						<div>
						   <a href="javascript:;" class="btn btn-primary me-3" data-bs-target="#addSymbol" data-bs-toggle="modal">Add Symbol</a>
						</div>

					</div>
				
@include('components.admin.error-message')

<div class="row">
    <div class="col-xl-12">
           <div class="row gy-4">
    <!-- User Sidebar -->
   
<div class="card">
    
        <div class="card-datatable table-responsive">
            <div id="DataTables_Table_0_wrapper" class="dataTables_wrapper dt-bootstrap5 no-footer">
             
                <table class="datatables-users table border-top dataTable no-footer dtr-column" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info" style="width: 1033px;">
                    <thead>
                        <tr role="row">
                            <th class="control " rowspan="1" colspan="1" style="width: 0px; display: none;" aria-label=""></th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 237px;" aria-label="User: activate to sort column ascending" aria-sort="descending">Base Curr</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 237px;" aria-label="User: activate to sort column ascending" aria-sort="descending">Quote Curr</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 73px;" aria-label="Symbol: activate to sort column ascending">Symbol</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 112px;" aria-label="Role: activate to sort column ascending">Category</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 73px;" aria-label="Symbol: activate to sort column ascending">Name</th>
                            
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 74px;" aria-label="Status: activate to sort column ascending">Trade View</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 74px;" aria-label="Status: activate to sort column ascending">Digits</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 141px;" aria-label="Billing: activate to sort column ascending">Spread</th>
                            <th class="" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" style="width: 141px;" aria-label="Billing: activate to sort column ascending">Status</th>
                            <th class="_disabled" rowspan="1" colspan="1" style="width: 85px;" aria-label="Actions">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if(!empty($trades))
                                @for($i = 0; $i < count($trades); $i++)
                        <tr class="@if($i % 2 == 0 ) odd @else even @endif">
                            <td class="control" tabindex="0" style="display: none;"></td>
                            <td>{{$trades[$i]->base_curr}}</td>
                            <td class="_1">
                                {{$trades[$i]->quote_curr}}
                            </td>
                           
                            <td>
                             {{$trades[$i]->symbol}}
                            
                            </td>
                            <td>{{$trades[$i]->cat}}</td>
                            <td>{{$trades[$i]->name}}</td>
                            
                            <td>{{$trades[$i]->trade_view}}</td>
                            <td>{{$trades[$i]->digits}}</td>
                            <td>{{$trades[$i]->spread}}</td>
                            <td>@if($trades[$i]->active == '1') Active @else Inactive @endif</td>
                            <td>
                                <div class="d-inline-block text-nowrap">
                              <a href="javascript:;" class="btn btn-primary me-3 mb-2" data-bs-target="#editSymbolModal_{{$trades[$i]->id}}" data-bs-toggle="modal">Edit</a>
                    <br/>
               
                    <a href="javascript:;" class="btn btn-primary delete_plan" data-id="{{$trades[$i]->id}}" data-name="{{$trades[$i]->symbol}}"  >Delete</a>
                                   
                            
                                 
                                  
                                    
                                
                                </div>
                            </td>
                        </tr>
                        <div class="modal fade" id="editSymbolModal_{{$trades[$i]->id}}" tabindex="-1" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-simple modal-edit-user">
        <div class="modal-content p-3 p-md-5">
            <div class="modal-body">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                <div class="text-center mb-4">
                    <h3>Edit Trade Information</h3>
                   
                </div>
                <form id="editUserForm" class="row g-3" action="{{ route('admin.symbols.edit') }}" method="post">
                    @csrf
                    <div class="col-12 fv-plugins-icon-container">
                        <label class="form-label" for="modalEditUserFirstName">Base Currency</label>
                        <input type="text" id="modalEditUserFirstName" name="base_curr" class="form-control" placeholder="" value="{{$trades[$i]->base_curr}}" />
                        <div class="fv-plugins-message-container invalid-feedback"></div>
                    </div>
                    
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditUserEmail">Quote Currency</label>
                        <input type="text" id="modalEditUserEmail" name="qcurr" class="form-control" value="{{$trades[$i]->quote_curr}}" />
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Symbol</label>
                        <input type="text" id="" name="symbol" class="form-control" value="{{$trades[$i]->symbol}}" />
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Category</label>
                         <select id="modalEditUserStatus" name="cat" class="form-select" aria-label="Default select example">
                           <option selected="{{$trades[$i]->cat}}">{{$trades[$i]->cat}}</option>
                            <option value="forex">forex</option>
                            <option value="crypto">crypto</option>
                            <option value="stock">stock</option>
                            <option value="cfd">cfd</option>
                        
                        </select>
                    </div>
                   
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Name</label>
                        <input type="text" id="" name="name" class="form-control " value="{{$trades[$i]->name}}" />
                    </div>
                    
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditUserEmail">Trade View</label>
                        <input type="text" id="modalEditUserEmail" name="tview" class="form-control" value="{{$trades[$i]->trade_view}}" />
                    </div>
                     <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Spread</label>
                        <input type="text" id="" name="spread" class="form-control " value="{{$trades[$i]->spread}}" />
                    </div>
                    
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditUserEmail">Digits</label>
                        <input type="text" id="modalEditUserEmail" name="digits" class="form-control" value="{{$trades[$i]->digits}}" />
                    </div>
                    
                     <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Active</label>
                         <select id="modalEditUserStatus" name="acts" class="form-select" aria-label="Default select example">
                          
                            <option @if($trades[$i]->active == '1') selected @endif value="1">1</option>
                            <option value="0" @if($trades[$i]->active == '0') selected @endif value="1">0</option>
                           
                        </select>
                    </div>
                     
                    
                    <div class="col-12 text-center mt-4">
                        <button type="submit" class="btn btn-primary ">Submit</button>
                        <button type="reset" class="btn btn-label-secondary" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                    </div>
                    <div></div>
                   <input type="hidden" /><input type="hidden" name="gixd" value="{{$trades[$i]->id}}" />
                </form>
            </div>
        </div>
    </div>
</div>
                         @endfor
                                @endif
                       
                    </tbody>
                </table>
                <div class="row mx-2">
                    <div class="col-sm-12 col-md-6"><div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite"></div></div>
                    <div class="col-sm-12 col-md-6">
                        <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
                            {{ $trades->links() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Offcanvas to add new user -->
    
    </div>





    <!--/ User Sidebar -->

    <!-- User Content -->
   
    <!--/ User Content -->
</div>

<div class="modal fade" id="addSymbol" tabindex="-1" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-simple modal-edit-user">
        <div class="modal-content p-3 p-md-5">
            <div class="modal-body">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                <div class="text-center mb-4">
                    <h3>Add Symbol</h3>
                  
                </div>
                <form id="editUserForm" class="row g-3" action="{{ route('admin.symbols.add') }}" method="post">
                    @csrf
                    <div class="col-12 fv-plugins-icon-container">
                        <label class="form-label" for="modalEditUserFirstName">Base Currency</label>
                        <input type="text" id="modalEditUserFirstName" name="base_curr" class="form-control" placeholder=""  />
                        <div class="fv-plugins-message-container invalid-feedback"></div>
                    </div>
                    
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditUserEmail">Quote Currency</label>
                        <input type="text" id="modalEditUserEmail" name="qcurr" class="form-control"  />
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Symbol</label>
                        <input type="text" id="" name="symbol" class="form-control"  />
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Category</label>
                         <select id="modalEditUserStatus" name="cat" class="form-select" aria-label="Default select example">
                          
                            <option value="forex">forex</option>
                            <option value="crypto">crypto</option>
                            <option value="stock">stock</option>
                            <option value="cfd">cfd</option>
                        
                        </select>
                    </div>
                   
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Name</label>
                        <input type="text" id="" name="name" class="form-control "  />
                    </div>
                    
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditUserEmail">Trade View</label>
                        <input type="text" id="modalEditUserEmail" name="tview" class="form-control"  />
                    </div>
                     <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Spread</label>
                        <input type="text" id="" name="spread" class="form-control"  />
                    </div>
                    
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditUserEmail">Digits</label>
                        <input type="text" id="modalEditUserEmail" name="digits" class="form-control"  />
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label" for="modalEditTaxID">Active</label>
                         <select id="modalEditUserStatus" name="acts" class="form-select" aria-label="Default select example">
                          
                            <option value="1">1</option>
                            <option value="0">0</option>
                           
                        </select>
                    </div>
                     
                    
                    <div class="col-12 text-center mt-4">
                        <button type="submit" class="btn btn-primary ">Submit</button>
                        <button type="reset" class="btn btn-label-secondary" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                    </div>
                    <div></div>
                  
                </form>
            </div>
        </div>
    </div>
</div>
    
    </div>
</div>

				</div>
			</main>


@endsection

@section('script')
<script>
    $(function(){
        
        $('.delete_plan').on('click' , function(){
        var dataid = $(this).attr('data-id'); 
        var dataname = $(this).attr('data-name'); 
       

        if (confirm(`are you sure want to delete ${dataname}?`)) {

            window.location.href = "{{secure_url('admin/symbols/delete')}}/"+dataid;
            

        }
        })
        
       
    })
</script>

@endsection