@extends('layouts.admin')

@section('css')

<style>
   

.notification-via {
    text-align: center;
    border: 2px solid #cdcdcd;
    padding: 12px 0px;
    border-radius: 5px;
    background: #efefef;
    cursor: pointer;
    transition: all 0.3s;
}
 .notification-via.active {
    border-color: #4634ff;
    position: relative;
}
</style>

@endsection
@section('content')

            <main class="content">
				<div class="container-fluid p-0">

					<div class="row mb-2 mb-xl-3">
						<div class="col-auto d-none d-sm-block">
							<h3>Send Notification</h3>
						
						</div>

					</div>
				
@include('components.admin.error-message')

<div class="row">
    <div class="col-xl-12">
        <div class="card">
            <form class="notify-form" method="POST" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="cH8NT8pFHeE4nYrcgTmyZvHFCdET8o3wRcjjhhuR" autocomplete="off" /> <input type="hidden" name="via" value="email" />
                <div class="card-body">
                    <div class="row">
                        <div class="col-12">
                            <div class="row">
                                <div class="col-xxl-2 col-xl-3 col-lg-4 col-md-3 col-sm-6">
                                    <div class="notification-via mb-4 active" data-method="email">
                                        <span class="active-badge"> <i class="las la-check"></i> </span>
                                        <div class="send-via-method">
                                            <i class="fas fa-envelope"></i>
                                            <h5>Send Via Email</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xxl-2 col-xl-3 col-lg-4 col-md-3 col-sm-6">
                                    <div class="notification-via mb-4" data-method="sms">
                                        <span class="active-badge"> <i class="las la-check"></i> </span>
                                        <div class="send-via-method">
                                            <i class="fas fa-mobile-alt"></i>
                                            <h5>Send Via SMS</h5>
                                        </div>
                                    </div>
                                </div>
                               
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group my-2">
                                <label for="being_sent_to" class="required">Being Sent To </label>
                                <div class="position-relative">
                                    <select
                                        class="form-control select2 select2-hidden-accessible"
                                        name="being_sent_to"
                                        required=""
                                        data-minimum-results-for-search="1"
                                        id="being_sent_to"
                                        data-select2-id="select2-data-being_sent_to"
                                        tabindex="-1"
                                        aria-hidden="true"
                                    >
                                        <option value="allUsers" data-select2-id="select2-data-2-zp6s">All Users</option>
                                        <option value="selectedUsers">Selected Users</option>
                                        <option value="withBalance">With Balance Users</option>
                                        <option value="emptyBalanceUsers">Empty Balance Users</option>
                                        <option value="twoFaDisableUsers">2FA Disable User</option>
                                        <option value="twoFaEnableUsers">2FA Enable User</option>
                                        <option value="pendingTicketUser">Pending Ticket Users</option>
                                        <option value="answerTicketUser">Answer Ticket Users</option>
                                        <option value="closedTicketUser">Closed Ticket Users</option>
                                        <option value="notLoginUsers">Last Few Days Not Login Users</option>
                                    </select>
                                    
                                </div>
                                <small class="text--info d-none userCountText"> <i class="las la-info-circle"></i> <strong class="userCount">0</strong> active users found to send the notification</small>
                            </div>
                            <div class="input-append"></div>
                        </div>
                        <div class="form-group my-2 col-md-12 subject-wrapper">
                            <label for="subject">Subject <span class="text--danger">*</span> </label>
                            <input type="text" class="form-control" placeholder="Subject / Title" name="subject" value="" id="subject" />
                        </div>
                        <div class="form-group my-2 col-md-12 push-notification-file d-none">
                            <label for="image">Image (optional) </label>
                            <input type="file" class="form-control" name="image" accept=".png,.jpg,.jpeg" id="image" />
                            <small class="mt-3 text-muted"> Supported Files:<b>.png, .jpg, .jpeg</b> </small>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group my-2">
                                <label>Message <span class="text--danger">*</span> </label>
                                <div style="width: 921px;" unselectable="on">
                                    <div class="nicEdit-panelContain" unselectable="on" style="overflow: hidden; width: 100%; border: 1px solid rgb(204, 204, 204); background-color: rgb(239, 239, 239);">
                                        <div class="nicEdit-panel" unselectable="on" style="margin: 0px 2px 2px; zoom: 1; overflow: hidden;">
                                            <div style="float: left; margin-top: 2px; display: none;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -432px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -54px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -126px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -342px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -162px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -72px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -234px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined nicEdit-button-hover" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -144px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -180px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -324px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin: 2px 1px 0px;">
                                                <div class="nicEdit-selectContain" unselectable="on" style="width: 90px; height: 20px; cursor: pointer; overflow: hidden; opacity: 1;">
                                                    <div unselectable="on" style="overflow: hidden; zoom: 1; border: 1px solid rgb(204, 204, 204); padding-left: 3px; background-color: rgb(255, 255, 255);">
                                                        <div
                                                            class="nicEdit-selectControl"
                                                            unselectable="on"
                                                            style="
                                                                overflow: hidden;
                                                                float: right;
                                                                height: 18px;
                                                                width: 16px;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -450px 0px;
                                                            "
                                                        ></div>
                                                        <div
                                                            class="nicEdit-selectTxt"
                                                            unselectable="on"
                                                            style="overflow: hidden; float: left; width: 66px; height: 14px; margin-top: 1px; font-family: sans-serif; text-align: center; font-size: 12px;"
                                                        >
                                                            Font&nbsp;Size...
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin: 2px 1px 0px;">
                                                <div class="nicEdit-selectContain" unselectable="on" style="width: 90px; height: 20px; cursor: pointer; overflow: hidden; opacity: 1;">
                                                    <div unselectable="on" style="overflow: hidden; zoom: 1; border: 1px solid rgb(204, 204, 204); padding-left: 3px; background-color: rgb(255, 255, 255);">
                                                        <div
                                                            class="nicEdit-selectControl"
                                                            unselectable="on"
                                                            style="
                                                                overflow: hidden;
                                                                float: right;
                                                                height: 18px;
                                                                width: 16px;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -450px 0px;
                                                            "
                                                        ></div>
                                                        <div
                                                            class="nicEdit-selectTxt"
                                                            unselectable="on"
                                                            style="overflow: hidden; float: left; width: 66px; height: 14px; margin-top: 1px; font-family: sans-serif; text-align: center; font-size: 12px;"
                                                        >
                                                            Font&nbsp;Family...
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin: 2px 1px 0px;">
                                                <div class="nicEdit-selectContain" unselectable="on" style="width: 90px; height: 20px; cursor: pointer; overflow: hidden; opacity: 1;">
                                                    <div unselectable="on" style="overflow: hidden; zoom: 1; border: 1px solid rgb(204, 204, 204); padding-left: 3px; background-color: rgb(255, 255, 255);">
                                                        <div
                                                            class="nicEdit-selectControl"
                                                            unselectable="on"
                                                            style="
                                                                overflow: hidden;
                                                                float: right;
                                                                height: 18px;
                                                                width: 16px;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -450px 0px;
                                                            "
                                                        ></div>
                                                        <div
                                                            class="nicEdit-selectTxt"
                                                            unselectable="on"
                                                            style="overflow: hidden; float: left; width: 66px; height: 14px; margin-top: 1px; font-family: sans-serif; text-align: center; font-size: 12px;"
                                                        >
                                                            Font&nbsp;Format...
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -108px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -198px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -360px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -468px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -378px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -396px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -36px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -18px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -288px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -306px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -270px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -216px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div unselectable="on" style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" unselectable="on" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" unselectable="on" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: -90px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div style="float: left; margin-top: 2px;">
                                                <div class="nicEdit-buttonContain nicEdit-buttonEnabled" style="width: 20px; height: 20px; opacity: 1;">
                                                    <div class="nicEdit-button-undefined" style="background-color: rgb(239, 239, 239); border: 1px solid rgb(239, 239, 239);">
                                                        <div
                                                            class="nicEdit-button"
                                                            unselectable="on"
                                                            style="
                                                                width: 18px;
                                                                height: 18px;
                                                                overflow: hidden;
                                                                zoom: 1;
                                                                cursor: pointer;
                                                                background-image: url('https://script.viserlab.com/bitlab/assets/global/js/nicEditIcons-latest.gif');
                                                                background-position: 0px 0px;
                                                            "
                                                        ></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div
                                    style="
                                        width: 921px;
                                        border-width: 0px 1px 1px;
                                        border-top-style: initial;
                                        border-right-style: solid;
                                        border-bottom-style: solid;
                                        border-left-style: solid;
                                        border-top-color: initial;
                                        border-right-color: rgb(204, 204, 204);
                                        border-bottom-color: rgb(204, 204, 204);
                                        border-left-color: rgb(204, 204, 204);
                                        border-image: initial;
                                        overflow: hidden auto;
                                    "
                                >
                                    <div class="nicEdit-main" contenteditable="true" style="width: 913px; margin: 4px; min-height: 223px; overflow: hidden;"><br /></div>
                                </div>
                                <textarea class="form-control nicEdit" id="nicEditor0" name="message" rows="10" style="display: none;"></textarea>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-4 start-from-col">
                                    <div class="form-group my-2">
                                        <label for="start" class="required">Start Form </label>
                                        <input class="form-control" name="start" value="" type="number" placeholder="Start form user id. e.g. 1" required="" id="start" />
                                    </div>
                                </div>
                                <div class="col-md-4 per-batch-col">
                                    <div class="form-group my-2">
                                        <label for="batch" class="required">Per Batch </label>
                                        <div class="input-group">
                                            <input class="form-control" name="batch" value="" type="number" placeholder="How many user" required="" id="batch" />
                                            <span class="input-group-text"> User </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 cooling-period-col">
                                    <div class="form-group my-2">
                                        <label for="cooling_time" class="required">Cooling Period </label>
                                        <div class="input-group">
                                            <input class="form-control" name="cooling_time" value="" type="number" placeholder="Waiting time" required="" id="cooling_time" />
                                            <span class="input-group-text"> Seconds </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <button class="btn w-100 h-45 btn--primary me-2" type="submit">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>

				</div>
			</main>


@endsection
