<!DOCTYPE html>
<html lang="en">
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="description" content="{{__system_settings('site_description')}}">
	<meta name="author" content="{{__system_settings('site_author')}}">
	<meta name="keywords" content="{{__system_settings('site_keywords')}}">

	<link rel="preconnect" href="https://fonts.gstatic.com/">
	<link rel="shortcut icon" href="img/icons/icon-48x48.png" />

	<title>@yield('title' , 'Admin Dashboard')| {{__system_settings('site_name')}}</title>

	<link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;600&amp;display=swap" rel="stylesheet">

	<!-- Choose your prefered color scheme -->
	<!-- <link href="css/light.css" rel="stylesheet"> -->
	<!-- <link href="css/dark.css" rel="stylesheet"> -->

	<!-- BEGIN SETTINGS -->
	<!-- Remove this after purchasing -->
	<link class="js-stylesheet" href="{{secure_url('assets/admin/css/light.css')}}" rel="stylesheet">
	<script src="{{url('/')}}/assets/admin/js/settings.js"></script>
	
	@yield('css')

</head>
<!--
  HOW TO USE: 
  data-theme: default (default), dark, light, colored
  data-layout: fluid (default), boxed
  data-sidebar-position: left (default), right
  data-sidebar-layout: default (default), compact
-->

<body data-theme="dark" data-layout="fluid" data-sidebar-position="left" data-sidebar-layout="default">
	<div class="wrapper">
		<nav id="sidebar" class="sidebar js-sidebar">
			<div class="sidebar-content js-simplebar">
				<a class='sidebar-brand' href='index.html'>
					<span class="sidebar-brand-text align-middle">
						{{__system_settings('site_name')}}
					</span>
					<svg class="sidebar-brand-icon align-middle" width="32px" height="32px" viewBox="0 0 24 24" fill="none" stroke="#FFFFFF" stroke-width="1.5"
						stroke-linecap="square" stroke-linejoin="miter" color="#FFFFFF" style="margin-left: -3px">
						<path d="M12 4L20 8.00004L12 12L4 8.00004L12 4Z"></path>
						<path d="M20 12L12 16L4 12"></path>
						<path d="M20 16L12 20L4 16"></path>
					</svg>
				</a>

				<div class="sidebar-user">
					<div class="d-flex justify-content-center">
						<div class="flex-shrink-0">
							<img src="{{secure_url('5856.jpg')}}" class="avatar img-fluid rounded me-1" alt="{{Auth::user()->name}}" />
						</div>
						<div class="flex-grow-1 ps-2">
							<a class="sidebar-user-title " data-bs-toggle="dropdown">
								{{ucfirst(Auth::user()->name)}}
							</a>
							

							<div class="sidebar-user-subtitle"><small>{{ucfirst(Auth::user()->role)}}</small></div>
						</div>
					</div>
				</div>

				<ul class="sidebar-nav">
				    <li class="sidebar-item active">
						<a class='sidebar-link' href='{{route("admin.dashboard")}}'>
							<i class="align-middle" data-feather="sliders"></i> <span class="align-middle">Dashboard</span>
						</a>
					</li>
					<li class="sidebar-header">
						User Management
					</li>
					<li class="sidebar-item">
						<a class='sidebar-link' href='{{route("admin.user.index")}}'>
							<i class="align-middle" data-feather="list"></i> <span class="align-middle">All User</span>
						</a>
					</li>
	
					<li class="sidebar-header">
						Fund Management
					</li>
					<li class="sidebar-item">
						<a class='sidebar-link' href='{{route("admin.plan.index")}}'>
							<i class="align-middle" data-feather="list"></i> <span class="align-middle">Manage Plans</span>
						</a>
					</li>
					<li class="sidebar-item">
						<a class='sidebar-link' href='{{route("admin.symbols.index")}}'>
							<i class="align-middle" data-feather="list"></i> <span class="align-middle">Trade Symbols</span>
						</a>
					</li>
					
					<li class="sidebar-header">
						Fund Management
					</li>
					
				
					<li class="sidebar-item">
						<a data-bs-target="#transactS" data-bs-toggle="collapse" class="sidebar-link collapsed">
						<i class="align-middle fas fa-fw fa-receipt"></i> <span class="align-middle">Transactions</span>
						</a>
						<ul id="transactS" class="sidebar-dropdown list-unstyled collapse " data-bs-parent="#sidebar">
	
							<li class="sidebar-item"><a class='sidebar-link' href='{{route("admin.transaction.list.all")}}'>All Transactions </a></li>
							<li class="sidebar-item"><a class='sidebar-link' href='{{route("admin.transaction.list.all")}}/deposit/pending'>Pending Deposits</a></li>
							<li class="sidebar-item"><a class='sidebar-link' href='{{route("admin.transaction.list.all")}}/withdrawal/pending'>Pending Withdrawals</a></li>
						</ul>
					</li>
				
					<li class="sidebar-header">
						Settings
					</li>
				
				    <li class="sidebar-item">
						<a class='sidebar-link' href='{{route("admin.settings.payment")}}'>
							<i class="align-middle" data-feather="list"></i> <span class="align-middle">Payment Method</span>
						</a>
					</li>
					<li class="sidebar-item">
						<a class='sidebar-link' href='{{route("admin.settings.tier")}}'>
							<i class="align-middle" data-feather="list"></i> <span class="align-middle">Tier Level</span>
						</a>
					</li>
					<li class="sidebar-item">
						<a class='sidebar-link' href='{{route("admin.profile")}}'>
							<i class="align-middle" data-feather="list"></i> <span class="align-middle">Profile</span>
						</a>
					</li>
					
					<li class="sidebar-item">
						<a class='sidebar-link' href='{{route("admin.settings")}}'>
							<i class="align-middle" data-feather="list"></i> <span class="align-middle">Settings</span>
						</a>
					</li>
				
				    <li class="sidebar-item">
						<a class='sidebar-link' onclick="event.preventDefault();
                        document.getElementById('logout-form').submit();">
							<i class="align-middle" data-feather="list"></i> <span class="align-middle">Log Out</span>
						</a>
						 <form id="logout-form" action="{{ route('auth.logout') }}" method="POST" style="display: none;">
                        {{ csrf_field() }}
                    </form>
					</li>
				
				</ul>

				
			</div>
		</nav>

		<div class="main">
			<nav class="navbar navbar-expand navbar-light navbar-bg">
				<a class="sidebar-toggle js-sidebar-toggle">
					<i class="hamburger align-self-center"></i>
				</a>

				<div class="navbar-collapse collapse">
					<ul class="navbar-nav navbar-align">
						<li class="nav-item dropdown">
							<a class="nav-icon dropdown-toggle" href="#" id="alertsDropdown" data-bs-toggle="dropdown">
								<div class="position-relative">
									<i class="align-middle" data-feather="bell"></i>
									<span class="indicator">4</span>
								</div>
							</a>
					
						</li>
					
						<li class="nav-item">
							<a class="nav-icon js-fullscreen d-none d-lg-block" href="#">
								<div class="position-relative">
									<i class="align-middle" data-feather="maximize"></i>
								</div>
							</a>
						</li>
						<li class="nav-item dropdown">
							<a class="nav-icon pe-md-0 dropdown-toggle" href="#" data-bs-toggle="dropdown">
								<img src="{{secure_url('5856.jpg')}}" class="avatar img-fluid rounded" alt="{{Auth::user()->name}}" />
							</a>
							<div class="dropdown-menu dropdown-menu-end">
								<a class='dropdown-item' href='pages-profile.html'><i class="align-middle me-1" data-feather="user"></i> Profile</a>
								
								<div class="dropdown-divider"></div>
							
								<a class="dropdown-item" href="#" onclick="event.preventDefault();document.getElementById('logout-form').submit();">Log out</a>
								 <form id="logout-form" action="{{ route('auth.logout') }}" method="POST" style="display: none;">
                        @csrf
                    </form>
							</div>
						</li>
					</ul>
				</div>
			</nav>

			@yield('content')

			<footer class="footer">
				<div class="container-fluid">
					<div class="row text-muted">
						<div class="col-6 text-start">
							<p class="mb-0">
								<a target="_blank" class="text-muted"><strong>{{__system_settings('site_name')}}</strong></a> &copy; {{date('Y')}}
							</p>
						</div>
						<div class="col-6 text-end">
							
						</div>
					</div>
				</div>
			</footer>
		</div>
	</div>

	<script src="{{url('/')}}/assets/admin/js/app.js"></script>
 
	<script>
		document.addEventListener("DOMContentLoaded", function() {
			var ctx = document.getElementById("chartjs-dashboard-line").getContext("2d");
			var gradientLight = ctx.createLinearGradient(0, 0, 0, 225);
			gradientLight.addColorStop(0, "rgba(215, 227, 244, 1)");
			gradientLight.addColorStop(1, "rgba(215, 227, 244, 0)");
			var gradientDark = ctx.createLinearGradient(0, 0, 0, 225);
			gradientDark.addColorStop(0, "rgba(51, 66, 84, 1)");
			gradientDark.addColorStop(1, "rgba(51, 66, 84, 0)");
			// Line chart
			new Chart(document.getElementById("chartjs-dashboard-line"), {
				type: "line",
				data: {
					labels: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
					datasets: [{
						label: "Sales ($)",
						fill: true,
						backgroundColor: window.theme.id === "light" ? gradientLight : gradientDark,
						borderColor: window.theme.primary,
						data: [
							2115,
							1562,
							1584,
							1892,
							1587,
							1923,
							2566,
							2448,
							2805,
							3438,
							2917,
							3327
						]
					}]
				},
				options: {
					maintainAspectRatio: false,
					legend: {
						display: false
					},
					tooltips: {
						intersect: false
					},
					hover: {
						intersect: true
					},
					plugins: {
						filler: {
							propagate: false
						}
					},
					scales: {
						xAxes: [{
							reverse: true,
							gridLines: {
								color: "rgba(0,0,0,0.0)"
							}
						}],
						yAxes: [{
							ticks: {
								stepSize: 1000
							},
							display: true,
							borderDash: [3, 3],
							gridLines: {
								color: "rgba(0,0,0,0.0)",
								fontColor: "#fff"
							}
						}]
					}
				}
			});
		});
	</script>
	<script>
		document.addEventListener("DOMContentLoaded", function() {
			// Bar chart
			new Chart(document.getElementById("chartjs-dashboard-bar"), {
				type: "bar",
				data: {
					labels: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
					datasets: [{
						label: "This year",
						backgroundColor: window.theme.primary,
						borderColor: window.theme.primary,
						hoverBackgroundColor: window.theme.primary,
						hoverBorderColor: window.theme.primary,
						data: [54, 67, 41, 55, 62, 45, 55, 73, 60, 76, 48, 79],
						barPercentage: .75,
						categoryPercentage: .5
					}]
				},
				options: {
					maintainAspectRatio: false,
					legend: {
						display: false
					},
					scales: {
						yAxes: [{
							gridLines: {
								display: false
							},
							stacked: false,
							ticks: {
								stepSize: 20
							}
						}],
						xAxes: [{
							stacked: false,
							gridLines: {
								color: "transparent"
							}
						}]
					}
				}
			});
		});
	</script>
	<script>
		document.addEventListener("DOMContentLoaded", function() {
			var markers = [{
					coords: [37.77, -122.41],
					name: "San Francisco: 375"
				},
				{
					coords: [40.71, -74.00],
					name: "New York: 350"
				},
				{
					coords: [39.09, -94.57],
					name: "Kansas City: 250"
				},
				{
					coords: [36.16, -115.13],
					name: "Las Vegas: 275"
				},
				{
					coords: [32.77, -96.79],
					name: "Dallas: 225"
				}
			];
			var map = new jsVectorMap({
				map: "us_aea_en",
				selector: "#usa_map",
				zoomButtons: true,
				markers: markers,
				markerStyle: {
					initial: {
						r: 9,
						stroke: window.theme.white,
						strokeWidth: 7,
						stokeOpacity: .4,
						fill: window.theme.primary
					},
					hover: {
						fill: window.theme.primary,
						stroke: window.theme.primary
					}
				},
				regionStyle: {
					initial: {
						fill: window.theme["gray-200"]
					}
				},
				zoomOnScroll: false
			});
			window.addEventListener("resize", () => {
				map.updateSize();
			});
			setTimeout(function() {
				map.updateSize();
			}, 250);
		});
	</script>
	<script>
	    $('body').on('click' ,'.delete_data', function(){
        var dataname = $(this).attr('data-name');
        var dataurl = $(this).attr('data-url');
        

        if (confirm('are you sure want to delete '+dataname+'?')) {

            window.location.href = dataurl;
            

        }
        })
	</script>
    @yield('script')
    
</body>

</html>