@extends('layouts.base')

@section('title', __('My Accounts'))

@section('css')
 
<style>
    .hide{
        display: none !important;
    }
    .account_button_div{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100%;
    gap: 0.5rem;
    }
</style>
@endsection

@section('content')
<div class="nk-content nk-content-fluid">
    <div class="container-xl wide-lg">
        <div class="nk-content-body">
            <div class="content-page">
                <div class="nk-block-head">
                <div class="nk-block-head-sub"><span>My Account</span></div>
                <div class="nk-block-between-md g-4">
                    <div class="nk-block-head-content">
                        <h2 class="nk-block-title fw-normal">Account</h2>
                        <div class="nk-block-des"><p>Here is the list of your accounts!</p></div>
                    </div>
                    <div class="nk-block-head-content">
                        <ul class="nk-block-tools gx-3">
                          
                            <li>
                                <a href="{{secure_url('create-new-account')}}" class="btn btn-primary"><span>Add New</span> <em class="icon ni ni-plus"></em></a>
                            </li>
                          
                        </ul>
                    </div>
                </div>
            </div>
            <div class="nk-block">
                <div class="nk-block-head-sm">
    <div class="nk-block-head-content"><h5 class="nk-block-title title">Active Account: {{$accountx->accountUnder()->title}}</h5></div>
</div>
@if(Session::has('errmessage'))
                    <div class="alert alert-danger alert-thick alert-plain">
                        <div class="alert-cta flex-wrap flex-md-nowrap g-2">
                            <div class="alert-text has-icon">
                                <em class="icon ni ni-info-fill text-danger"></em>
                                <p>{{Session::get('errmessage')}}</p>
                            </div>
                            <button type="button" class="close" data-bs-dismiss="alert" aria-label="Close">
    <span aria-hidden="true" style="color:#000">&times;</span>
  </button> 
                        </div>
                    </div>
                    @endif
                    @if(Session::has('sucmessage'))
                    <div class="alert alert-success alert-thick alert-plain">
                        <div class="alert-cta flex-wrap flex-md-nowrap g-2">
                            <div class="alert-text has-icon">
                                <em class="icon ni ni-info-fill text-success"></em>
                                <p>{{Session::get('sucmessage')}}</p>
                            </div>
                            <button type="button" class="close" data-bs-dismiss="alert" aria-label="Close">
    <span aria-hidden="true" style="color:#000">&times;</span>
  </button> 
                        </div>
                    </div>
                    @endif
<div class="nk-block">
                <div class="row g-gs">
                    

                    @if($accounts->isNotEmpty())
                    @foreach($accounts as $account)
                    <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                    <div class="card card-bordered sp-plan">
                         
        <div class="row no-gutters">
            <div class="col-md-8">
                <div class="sp-plan-info card-inner"> 
                    <div class="row gx-0 gy-3">
                        <div class="col-xl-9 col-sm-8">
                            <div class="sp-plan-name">
                                <h6 class="title nk-wgw-title title">
                                    <a>{{$account->accountUnder()->title}} <span class="badge bg-success rounded-pill">Active</span></a>
                                </h6>
                                <p>Account ID: <span class="text-base">{{$account->realaccount_id}}</span></p>
                            </div>
                        </div>
                     
                    </div>
                     <div class="row">
                        <p>Balance: {{__format_number($account->balance)}} {{$user->user_curr()}}</p>
                    </div>
                </div>
                <div class="sp-plan-desc card-inner">
                   
                    <ul class="row gx-1">
                        <li class="col-6 col-lg-3">
                            <p><span class="text-soft">Started On</span> {{__date_parse($account->created_at , 'M d, Y')}}</p>
                        </li>
                 
                        <li class="col-6 col-lg-3">
                            <p><span class="text-soft">Access</span> Unlimited</p>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="col-md-4">
                <div class="sp-plan-action card-inner mb-2 account_button_div">
                     @if($user->account_id != $account->id)
                    <div class="sp-plan-btn">
                        <a class="btn btn-primary"  href="{{secure_url('switch-account')}}/{{__the_hash($account->id)}}" ><span>Switch Account</span></a>
                    </div>
                    @endif
                    @if(in_array($account->accountUnder()->id, $brokerage))
                    <div class="sp-plan-btn">
                        <a class="btn btn-primary" href="{{route('user.plans.index' , __the_hash($account->id) )}}"><span>Buy Plan</span></a>
                    </div>
                    @if(!blank($account->webTrader()))
                       <div class="sp-plan-btn mb-2">
                        <a class="btn btn-primary" href="{{route('user.trade.webtrader' , $account->webTrader()->trade_id )}}"><span>WebTrader</span></a>
                    </div>
                    @else
                    <div class="sp-plan-btn mb-2">
                        <a class="btn btn-primary" href="{{route('user.webtrader.create' , __the_hash($account->id) )}}"><span>Start Trading</span></a>
                    </div>
                    @endif
                    @endif
                    @if(in_array($account->accountUnder()->id, $acc))
                       <div class="sp-plan-btn mb-2">
                        <a class="btn btn-primary" href="{{route('user.trade.stock' , __the_hash($account->id) )}}"><span>Trade Stock</span></a>
                    </div>
                 
                    @endif 
                    
            
                </div>
            </div>
        </div>
    </div>
      </div>

                    @endforeach
                    @endif
                </div>
                </div>
            </div>
            </div>
        </div>
    </div>
</div>


@endsection

@section('scripts')


@endsection