
@php
$title = "Trading History";
$lighttitle = [
            ];
$subtitle = "<p>Welcome to your funds history! Here you can view your  <span class='subOrange'> TRANSACTIONS </span> including deposits, withdrawals, profits and others </p>";
$links = [
    0 => ['title' => 'Deposits',
          'route' => route('user.funds.deposits')
          ],
    2 => [
        'title' => 'Withdrawals',
        'route' => route('user.funds.withdrawals'),
    ],
];
@endphp
@extends('layouts.base')

@section('title', __('Fund History'))

@section('css')
<style>
.dark-mode .nk-odr-amount .number-md{
    color: #b6c6e3;
}
.dark-mode .nk-olist {
    border: 1px solid #dbdfea;
    border-radius: 4px;
    background: #141c26 !important;
}
.dark-mode .lead-text{
    color: #fff !important;
}
.dark-mode .nk-olist-item .data {
    font-weight: 500;
    color: #fff;
}
.dark-mode .nk-olist-item-final .data {
    font-weight: 500;
    color: #fff !important;
}

</style>
@endsection

@section('content')
<div class="nk-content nk-content-fluid">
    <div class="container-xl wide-lg">
        <div class="nk-content-body">
          
            <div class="nk-block">
                @include('components.user.subheader')
            <div class="nk-block-head">
               
                <div class="nk-block-between-md g-4">
                    <div class="nk-block-head-content">
                        <h2 class="nk-block-title fw-normal">Transactions</h2>
                        <div class="nk-block-des"><p>List of transactions in your account.</p></div>
                    </div>
                    <div class="nk-block-head-content">
                        <ul class="nk-block-tools gx-3">
                          
                            <li>
                                <a href="{{route('user.funds.deposits')}}" class="btn btn-primary"><span>Deposit</span> <em class="icon ni ni-arrow-long-right"></em></a>
                            </li>
                            <li>
                                <a href="{{route('user.funds.withdrawals')}}" class="btn btn-dim btn-outline-light"><span>Withdraw</span> <em class="icon ni ni-arrow-long-right"></em></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>

            <ul class="nk-nav nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link {{ __active_class($type , 'transacts') }}" href="{{route('user.funds.history')}}">History</a>
                </li> 
                <li class="nav-item">
                    <a class="nav-link  {{ __active_class($type , 'deposit') }}" href="{{route('user.funds.history')}}?type=deposit">Deposit</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link  {{ __active_class($type , 'withdrawal') }}" href="{{route('user.funds.history')}}?type=withdrawal">Withdraw</a>
                </li>
              
            </ul>
 @include('components.error-message')
            <div class="nk-block">
    <div class="card card-bordered card-stretch">
        <div class="card-inner-group">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title"><h5 class="title">{{__get_txn_title($type)}}</h5></div>
                    <div class="card-tools me-n1">
                        <ul class="btn-toolbar gx-1">
                            <li>
                                <a href="#" class="search-toggle toggle-search btn btn-icon" data-target="search"><em class="icon ni ni-search"></em></a>
                            </li>
                        
                        </ul>
                    </div>
                    <div class="card-search search-wrap" data-search="search">
                        <div class="search-content">
                            <a href="#" class="search-back btn btn-icon toggle-search" data-target="search"><em class="icon ni ni-arrow-left"></em></a>
                            <input type="text" class="form-control border-transparent form-focus-none" placeholder="Quick search by transaction" /><button class="search-submit btn btn-icon"><em class="icon ni ni-search"></em></button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0">
                <div class="nk-tb-list nk-tb-tnx">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col"><span>Details</span></div>
                        <div class="nk-tb-col tb-col-lg"><span>Source</span></div>
                        <div class="nk-tb-col tb-col-lg"><span>Order</span></div>
                        <div class="nk-tb-col text-end"><span>Amount</span></div>
                   
                        <div class="nk-tb-col nk-tb-col-status"><span class="sub-text d-none d-md-block">Status</span></div>
                        <div class="nk-tb-col nk-tb-col-tools"></div>
                    </div>
                    @if(!blank($trans))
                        @foreach($trans as $tran)
                            @if($type == 'deposit')
                                @include('user.funds.trans-deposit')
                            @elseif($type == 'withdrawal')
                                @include('user.funds.trans-withdraw')
                            @else
                                @include('user.funds.trans-row')
                            @endif
                        @endforeach  
                    @else
                    <div class="nk-tb-item">
                        No transaction yet 
                        </div>
                    @endif
                </div>
            </div>
            <div class="card-inner">
                <ul class="pagination justify-content-center justify-content-md-start">
                    <li class="page-item"><a class="page-link" href="#">Prev</a></li>
                    <li class="page-item"><a class="page-link" href="#">1</a></li>
                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                    <li class="page-item">
                        <span class="page-link"><em class="icon ni ni-more-h"></em></span>
                    </li>
                    <li class="page-item"><a class="page-link" href="#">6</a></li>
                    <li class="page-item"><a class="page-link" href="#">7</a></li>
                    <li class="page-item"><a class="page-link" href="#">Next</a></li>
                </ul>
            </div>
        </div>
    </div>
</div>

           </div> 
        </div>
    </div>
</div>

@endsection

@section('modals')
<div class="modal fade" role="dialog" id="ajax-modal"></div>
@endsection

@section('scripts')
<script>
    $(function(){
       
        $('.tnx-details').on('click', function(){
            var id = $(this).attr('data-tnx');
            var type = $(this).attr('data-type');
            
            var url = "{{secure_url('details')}}/"+type+'/'+id
           
            $.ajax({
                url: url ,
                type: "GET",
                dataType: "json",
                
                success: function(res){
                    if(res.status == true){
                    $('#ajax-modal').html(res.view)   
                    $('#ajax-modal').modal('show');
                    }
                }
            })
        })
    })
</script>
@endsection