@extends('layouts.base')
@section('title' ,  $title)

@section('css')
<link rel="stylesheet" href="{{secure_url('assets/user/css/plans.css?ver=3.2.3')}}" />
@endsection

@section('content')
<div class="nk-content nk-content-lg nk-content-fluid">
    <div class="container-xl wide-lg">
        <div class="nk-content-inner">
            <div class="nk-content-body">
                <div class="nk-block-head nk-block-head-lg">
                    <div class="nk-block-head-content">
                        <div class="nk-block-head-sub">
                            <a href="{{route('user.plans.index' , __the_hash($account->id) )}}" class="back-to"><em class="icon ni ni-arrow-left"></em><span>Back to plan</span></a>
                        </div>
                        <div class="nk-block-head-content"><h2 class="nk-block-title fw-normal">Ready to get started?</h2></div>
                        @include('components.error-message')
                    </div>
                </div>
                <div class="nk-block invest-block">
                    <form action="{{route('user.plans.confirm')}}" class="invest-form" method="post">
                        @csrf
                        <div class="row g-gs">
                            <div class="col-lg-7">
                        
                                
                                <div class="invest-field form-group">
                                    <input type="hidden" value="{{__the_hash($plan->id)}}" name="iv-plan" id="invest-choose-plan" />
                                    <input type="hidden" value="{{__the_hash($account->id)}}" name="iv-account" id="invest-choose-account" />
                                    <div class="dropdown invest-cc-dropdown">
                                        <a href="#" class="invest-cc-chosen ">
                                            <div class="coin-item">
                                                <div class="coin-icon"><em class="icon ni ni-offer-fill"></em></div>
                                                <div class="coin-info"><span class="coin-name">{{$plan->name}}</span><span class="coin-text">Invest for {{$plan->duration}} {{__plan_duration($plan->duration , $plan->duration_time)}} and get {{__plan_interval($plan->intervals)}} profit {{$plan->percs}}%</span></div>
                                            </div>
                                        </a>
                                        
                                    </div>
                                </div>
                          
                                <div class="invest-field form-group">
                                    <div class="form-label-group">
                                        <label class="form-label">Enter Your Amount</label>
                                       
                                    </div>
                                    <div class="form-control-group">
                                        <div class="form-info">{{$user->user_curr()}}</div>
                                        <input type="text" class="form-control form-control-amount form-control-lg" id="custom-amount" name="amount" value="{{$plan->c_price()}}" min="{{$plan->c_price()}}" required />
                              
                                    </div>
                                   
                                </div>
                                <div class="invest-field form-group">
                                    <div class="form-label-group"><label class="form-label">Account to Debit</label></div>
                               
                                     <div class="dropdown invest-cc-dropdown">
                                        <a href="#" class="invest-cc-chosen ">
                                            <div class="coin-item">
                                                <div class="coin-icon"><em class="icon ni ni-offer-fill"></em></div>
                                                <div class="coin-info"><span class="coin-name">{{$account->accountUnder()->title}} ({{$account->realaccount_id}})</span><span class="coin-text">{{__format_number($account->balance)}} {{$user->user_curr()}}</span></div>
                                            </div>
                                        </a>
                                        
                                    </div>
                                </div>
                                <div class="invest-field form-group">
                                    <div class="custom-control custom-control-xs custom-checkbox">
                                     <div class="nk-iv-wg4-sub text-center bg-lighter"><button class="btn btn-lg btn-primary ttu" type="submit">Confirm &amp; proceed</button></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-5 offset-xl-1">
                                <div class="card card-bordered ms-lg-4 ms-xl-0">
                                    <div class="nk-iv-wg4">
                                        <div class="nk-iv-wg4-sub">
                                            <h6 class="nk-iv-wg4-title title">Your Investment Details</h6>
                                            <ul class="nk-iv-wg4-overview g-2">
                                                <li>
                                                    <div class="sub-text">Name of scheme</div>
                                                    <div class="lead-text">{{$plan->name}}</div>
                                                </li>
                                                <li>
                                                    <div class="sub-text">Term of the scheme</div>
                                                    <div class="lead-text">{{$plan->duration}} {{__plan_duration($plan->duration , $plan->duration_time)}}</div>
                                                </li>
                                                <li>
                                                    <div class="sub-text">{{__plan_interval($plan->intervals)}} profit</div>
                                                    <div class="lead-text"> {{__format_number($profit)}}</div>
                                                </li>
                                                <li>
                                                    <div class="sub-text">{{__plan_interval($plan->intervals)}} profit %</div>
                                                    <div class="lead-text">{{$plan->percs}}%</div>
                                                </li>
                                              
                                                <li>
                                                    <div class="sub-text">Term start at</div>
                                                    <div class="lead-text">Today {{__date_parse($dateNow)}}</div>
                                                </li>
                                                <li>
                                                    <div class="sub-text">Term end at</div>
                                                    <div class="lead-text">{{__date_parse($dateEnd)}}</div>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="nk-iv-wg4-sub">
                                            <ul class="nk-iv-wg4-list">
                                                <li>
                                                    <div class="sub-text">Payment Method</div>
                                                    <div class="lead-text">Balance</div>
                                                </li>
                                            </ul>
                                        </div>
                                     
                                      
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection



