@extends('layouts.base')
@section('title' ,  $title)

@section('css')

<link rel="stylesheet" href="{{secure_url('assets/user/css/plans.css?ver=3.2.3')}}" />
<!-- Slick CSS -->
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.css">

<!-- Slick Theme (Optional) -->
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.min.css">




<style>
    .btn-primary:hover ,.dark-mode .bg-white:hover{
        background-color:#ff875b !important;
        border-color:#ff875b !important;
        color:#fff !important;
      }
      .slick-next:before, .slick-prev:before{
          font-size:40px;
      }
</style>
@endsection

@section('content')
<div class="nk-content nk-content-fluid">
    <div class="container-xl wide-lg">
        <div class="nk-content-inner">
            <div class="nk-content-body">
                <div class="nk-block-head text-center">
                    <div class="nk-block-head-content">
                        <div class="nk-block-head-sub"><span>Choose an Option</span></div>
                        <div class="nk-block-head-content">
                            <h2 class="nk-block-title fw-normal">Investment Plan</h2>
                            <div class="nk-block-des"><p>Choose your investment plan and start earning.</p></div>
                        </div>
                    </div>
                </div>
                <div class="nk-block">
                    <form action="{{route('user.plans.start')}}" class="plan-iv" method="post">
                        <input type="hidden" value="{{__the_hash($account->id)}}" name="account" class="acc-control" tabindex="0" />
                        @csrf
                        <div class="plan-iv-currency text-center">
                            <ul class="nav nav-switch nav-tabs bg-white">
                                <li class="nav-item"><a href="#" class="nav-link">{{$account->accountUnder()->title}}</a></li>
                                
                            </ul>
                        </div>
                         @if(!empty($mainplans))
                         <div class="plan-iv-list nk-slider nk-slider-s2">
                          <ul
                                class="plan-list slider"
                            >
                               @foreach($mainplans as $plan)
                            <li class="plan-item" data-slick-index="0" aria-hidden="false" style="width: 376px;" tabindex="0">
                                            <input type="radio" id="plan-iv-{{__the_hash($plan->id)}}" value="{{__the_hash($plan->id)}}" name="plan" class="plan-control" tabindex="0" />
                                            
                                            <div class="plan-item-card">
                                                <div class="plan-item-head">
                                                    <div class="plan-item-heading">
                                                        <h4 class="plan-item-title card-title title">{{$plan->name}}</h4>
                                                        <p class="sub-text">Enjoy entry level of invest &amp; earn money.</p>
                                                    </div>
                                                   <div class="plan-item-summary card-text">
                                                        <div class="row">
                                                            <div class="col-6"><span class="lead-text">{{$plan->percs}}%</span><span class="sub-text">{{__plan_interval($plan->intervals)}}</span></div>
                                                            <div class="col-6">
                                                                @if($plan->duration == '0') 
                    
                    <span class="lead-text">Term Unlimited</span><span class="sub-text"></span>
                    @else 
                
                    
                                                                <span class="lead-text">{{$plan->duration}}  </span><span class="sub-text">Term {{__plan_duration($plan->duration , $plan->duration_time)}}</span>
                                                                @endif
                                                                </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="plan-item-body">
                                                    <div class="plan-item-desc card-text">
                                                         <ul class="plan-item-desc-list">
                                                            <li><span class="desc-label">Min Deposit</span> - <span class="desc-data">{{$user->user_curr()}} {{__format_number($plan->c_price())}}</span></li>
                                                            <li><span class="desc-label">Max Deposit</span> - <span class="desc-data">{{$user->user_curr()}} {{__format_number($plan->c_max())}}</span></li>
                                                            <li><span class="desc-label">Deposit Return</span> - <span class="desc-data">Yes</span></li>
                                                            <li><span class="desc-label">Commision</span> - <span class="desc-data">Yes</span></li>
                                                        </ul>
                                                        <div class="plan-item-action">
                                                            <label for="plan-iv-{{__the_hash($plan->id)}}" class="plan-label"><span class="plan-label-base">Choose this plan</span><span class="plan-label-selected">Plan Selected</span></label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </li>
                            @endforeach
                          </ul>
                         </div>
                        <div class="plan-iv-actions text-center">
                            <button class="btn btn-primary btn-lg"><span>Continue to Invest</span> <em class="icon ni ni-arrow-right"></em></button>
                        </div>
                        
                        @endif
        

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

@section('scripts')
<!-- Slick JS -->
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"></script>
<script>
    $(document).ready(function(){
  $('.slider').slick({
    infinite: true,
    slidesToShow: 3,
    slidesToScroll: 1,
    autoplay: false,
    dots: false,
    arrows: true,
    responsive: [
      {
        breakpoint: 1024, // Adjust at this screen width
        settings: {
          slidesToShow: 3,
          slidesToScroll: 1,
        }
      },
      {
        breakpoint: 768, // Adjust at this screen width
        settings: {
          slidesToShow: 1,
          slidesToScroll: 1,
        }
      },
      {
        breakpoint: 480, // Adjust at this screen width
        settings: {
          slidesToShow: 1,
          slidesToScroll: 1,
        }
      }
    ]
    
  });
});

</script>
@endsection

