@extends('layouts.base')

@section('title', __($myplan->txn_id .' | My Investment'))

@section('css')
 
<style>
.nk-plan-start:after {
    border: none !important;
    font-family: Nioicon;
    vertical-align: middle;
    position: absolute;
    top: 50%;
    left: 100%;
    margin-left: -.7rem;
    content: "\e93b";
    transform: translateY(-50%);
    font-size: 18px;
    color: #8094ae;
}
 .dark-mode .overline-title{
    color: #8094ae;
 }
  .dark-mode .sub-text{
      color: #fff;
  } 
 .dark-mode .nk-wgacc-amount {
     color: #8094ae; 
  }
</style>
@endsection

@section('content')
<div class="nk-content nk-content-fluid">
    <div class="container-xl wide-lg">
        <div class="nk-content-body">
            <div class="nk-block-head">
                <div class="nk-block-head-sub">
                    <a href="{{route('user.plans.user')}}" class="text-soft back-to"><em class="icon ni ni-arrow-left"> </em><span>Investment</span></a>
                </div>
                <div class="nk-block-between-md g-4">
                    <div class="nk-block-head-content">
                        <h3 class="nk-block-title fw-normal">{{$myplan->get_meta_value('name')}}</h3>
                        <div class="nk-block-des">{{$myplan->txn_id}}<span class="badge {{__plan_badge($myplan->active)}} ml-1" style="text-transform: uppercase">{{$myplan->active}}</span></div>
                    </div>
                    <div class="nk-block-head-content">
                        <ul class="nk-block-tools gx-3">
                            <li>
                                <a href="{{route('user.plans.single' , $myplan->txn_id)}}" class="btn btn-icon btn-white btn-light"><em class="icon ni ni-reload"></em></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="nk-block">
                <div class="card card-bordered">
                    <div class="card-inner">
                        <div class="row gy-gs">
                            <div class="col-md-6">
                                <div class="nk-wgacc">
                                    <div class="nk-wgacc-group flex-lg-nowrap gx-4">
                                        <div class="nk-wgacc-sub">
                                            <div class="nk-wgacc-amount">
                                                <div class="number">{{__format_number($myplan->amount)}}  <span class="fw-normal text-base">{{$user->user_curr()}}</span></div>
                                            </div>
                                            <div class="nk-wgacc-subtitle">Invested</div>
                                        </div>
                                        <div class="nk-wgacc-sub">
                                            <span class="nk-wgacc-sign text-soft"><em class="icon ni ni-plus"></em></span>
                                            <div class="nk-wgacc-amount">
                                                <div class="number">{{__format_number($myplan->roi)}} {{$user->user_curr()}}</div>
                                            </div>
                                            <div class="nk-wgacc-subtitle">Profit</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 col-lg-4 offset-lg-2">
                                
                            </div>
                        </div>
                    </div>
                    <div class="nk-plan-details">
                        <ul class="nk-wgacc-list">
                            <li>
                                <div class="sub-text">Term basis</div>
                                <div class="lead-text" style="text-transform: capitalize">{{__plan_interval($myplan->get_meta_value('return_interval'))}}</div>
                            </li>
                            <li>
                                <div class="sub-text">Term duration</div>
                                <div class="lead-text" style="text-transform: capitalize">  @if($myplan->get_meta_value('duration') > 0) {{$myplan->get_meta_value('duration')}}   {{__plan_duration($myplan->get_meta_value('duration') , $myplan->get_meta_value('duration_time'))}} @else Unlimited @endif </div>
                            </li>
                            <li>
                                <div class="sub-text">Term start at</div>
                                <div class="lead-text">{{__date_parse($myplan->activated_at)}}</div>
                            </li>
                            <li>
                                <div class="sub-text">Term end at</div>
                                <div class="lead-text">@if(!empty($myplan->end_date)) {{__date_parse($myplan->end_date)}} @else Unlimited @endif</div>
                            </li>
                        </ul>
                        <ul class="nk-wgacc-list">
                            <li>
                                <div class="sub-text">Type</div>
                                <div class="lead-text">{{$myplan->get_meta_value('type')}}</div>
                            </li>
                            <li>
                                <div class="sub-text">Interest </div>
                                <div class="lead-text">{{$myplan->get_meta_value('return')}}%</div>
                            </li>
                            <li>
                                <div class="sub-text">Current Profit</div>
                                <div class="lead-text">
                                   <span class="currency">{{$user->user_curr()}}</span> {{__format_number($myplan->roi)}} 
                                </div>
                            </li>
                            <li>
                                <div class="sub-text"></div>
                                <div class="lead-text"></div>
                            </li>
                            
                            
                        </ul>
                        <ul class="nk-wgacc-list">
                            
                            <li>
                                <div class="sub-text">Payment source</div>
                                <div class="lead-text">@if(!blank($myplan->account())) {{$myplan->account()->accountUnder()->title}} @endif</div>
                            </li>
                            <li>
                                <div class="sub-text">Paid amount</div>
                                <div class="lead-text"><span class="currency">{{$user->user_curr()}}</span> {{__format_number($myplan->amount)}}</div>
                            </li>
                            <li>
                                <div class="sub-text">{{__system_settings('currency')}} amount</div>
                                <div class="lead-text"><span class="currency">{{__system_settings('currency')}}</span> {{__format_number($myplan->amount * __system_exchange_rate())}} </div>
                            </li>
                            <li>
                                <div class="sub-text">Exchange Rate</div>
                                <div class="lead-text">{{$myplan->exchange_rate}}</div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
         

            <div class="nk-block nk-block-lg">
                <div class="nk-block-head">
                    <h5 class="nk-block-title">Transactions</h5>
                </div>
                <div class="card card-bordered">
                    <table class="nk-plan-tnx table">
                        <thead class="thead-light">
                            <tr>
                                <th class="tb-col-type"><span class="overline-title">Details</span></th>
                                <th class="tb-col-date tb-col-sm"><span class="overline-title">Date &amp; Time</span></th>
                                <th class="tb-col-amount tb-col-end"><span class="overline-title">Amount</span></th>
                                <th class="tb-col-paid tb-col-end" style="width: 20px;"><em class="icon ni ni-info nk-tooltip small text-soft" title="" data-original-title="The profit transfered into account balance or not."></em></th>
                            </tr>
                        </thead>
                        <tbody>
                            @if($transacts->isNotEmpty())
                            @foreach($transacts as $transact)
                            <tr>
                                <td class="tb-col-type"><span class="sub-text">ROI</span></td>
                                <td class="tb-col-date tb-col-sm">
                                    <span class="sub-text">{{__date_parse($transact->created_at)}}</span>
                                </td>
                                <td class="tb-col-amount tb-col-end"><span class="lead-text text-success">+ {{__format_number($transact->amount)}}</span></td>
                                <td class="tb-col-paid tb-col-end">
                                    <span class="sub-text"><em class="icon ni ni-info nk-tooltip text-soft" title="" data-original-title="Received from Main Account"></em></span>
                                </td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


@endsection