@extends('layouts.base')
@section('title' ,  $title)

@section('css')

@endsection

@section('content')
<div class="nk-content nk-content-fluid">
    <div class="container-xl wide-lg">
        <div class="nk-content-body pt-head-sm">
       
<div class="card card-bordered">
    <div class="card-aside-wrap">
        <div class="card-inner card-inner-lg">
            <div class="nk-block-head nk-block-head-lg">
                <div class="nk-block-between">
                    <div class="nk-block-head-content">
                        <h4 class="nk-block-title">Personal Information</h4>
                        <div class="nk-block-des"><p>Basic info, like your name and address, that you use on our platform.</p></div>
                    </div>
                    <div class="nk-block-head-content align-self-start d-lg-none">
                        <a href="#" class="toggle btn btn-icon btn-trigger mt-n1" data-target="userAside"><em class="icon ni ni-menu-alt-r"></em></a>
                    </div>
                </div>
            </div>
            <div class="nk-block">
                <div class="nk-data data-list">
                    <div class="data-head"><h6 class="overline-title">Basics</h6></div>
                   <div class="data-item" data-bs-toggle="modal" data-bs-target="#profile-edit">
                            <div class="data-col">
                                <span class="data-label">Full Name</span>
                                <span class="data-value">{{ucfirst($user->name)}}</span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more"><em class="icon ni ni-forward-ios"></em></span>
                            </div>
                        </div>
                      
                        <div class="data-item">
                            <div class="data-col">
                                <span class="data-label">Email</span>
                                <span class="data-value">{{$user->email}}</span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more disable"><em class="icon ni ni-lock-alt"></em></span>
                            </div>
                        </div>
                        <div class="data-item">
                            <div class="data-col">
                                <span class="data-label">Currency</span>
                                <span class="data-value">{{$user->user_curr()}}</span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more disable"><em class="icon ni ni-lock-alt"></em></span>
                            </div>
                        </div>
                        <div class="data-item">
                            <div class="data-col">
                                <span class="data-label">Email Verified</span>
                                <span class="data-value">{!! __get_email_verification_status($user->email_verify) !!}</span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more disable"><em class="icon ni ni-lock-alt"></em></span>
                            </div>
                        </div>
                        @if(__system_settings('kyc_verification') == 'on')
                        <div class="data-item">
                            <div class="data-col">
                                <span class="data-label">KYC Verification</span>
                                <span class="data-value">{!! __get_verification_status($user->kyc_verify) !!}</span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more disable"><em class="icon ni ni-lock-alt"></em></span>
                            </div>
                        </div>
                        @endif
                        <div class="data-item" data-bs-toggle="modal" data-bs-target="#profile-edit">
                            <div class="data-col">
                                <span class="data-label">Phone Number</span>
                                <span class="data-value text-soft font-italic">
                                  {{__profile_details($user->phone)}}
                                </span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more"><em class="icon ni ni-forward-ios"></em></span>
                            </div>
                        </div>
                        <div class="data-item" data-bs-toggle="modal" data-bs-target="#profile-edit">
                            <div class="data-col">
                                <span class="data-label">Gender</span>
                                <span class="data-value text-soft font-italic">
                                    {{__profile_details($user->gender)}}
                                </span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more"><em class="icon ni ni-forward-ios"></em></span>
                            </div>
                        </div>
                        <div class="data-item" data-bs-toggle="modal" data-bs-target="#profile-edit">
                            <div class="data-col">
                                <span class="data-label">Date of Birth</span>
                                <span class="data-value text-soft font-italic">
                                    {{__profile_dob($user->dob)}}
                                </span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more"><em class="icon ni ni-forward-ios"></em></span>
                            </div>
                        </div>
                        <div class="data-item" data-bs-toggle="modal" data-bs-target="#address-edit" data-bs-tab-target="#address">
                            <div class="data-col">
                                <span class="data-label">Country <em class="icon ni ni-info" data-bs-toggle="tooltip" data-placement="right" title="" data-original-title="Your residential country"></em></span>
                                <span class="data-value text-soft font-italic">
                                     {{__profile_details(get_country_three_abbr($user->country))}}
                                </span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more"><em class="icon ni ni-forward-ios"></em></span>
                            </div>
                        </div>
                        <div class="data-item" data-bs-toggle="modal" data-bs-target="#address-edit" data-bs-tab-target="#address">
                            <div class="data-col">
                                <span class="data-label">Address</span>
                                <span class="data-value">
                                    <span class="text-soft font-italic">{{__profile_details($user->get_address())}}</span>
                                </span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more"><em class="icon ni ni-forward-ios"></em></span>
                            </div>
                        </div>
                        <div class="data-item" data-bs-toggle="modal" data-bs-target="#profile-edit">
                            <div class="data-col">
                                <span class="data-label">Theme Style</span>
                                <span class="data-value">{{ucfirst($user->theme_style)}}</span>
                            </div>
                            <div class="data-col data-col-end">
                                <span class="data-more"><em class="icon ni ni-forward-ios"></em></span>
                            </div>
                        </div>
                </div>
              
            </div>
        </div>
        @include('user.profile.components.sidebar')
    </div>
</div>

</div>
</div>
</div>

@endsection

@section('modals')
<div class="modal fade" id="profile-edit" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <a href="javascript:void(0)" class="close" data-bs-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
            <div class="modal-body modal-body-md">
                <h4 class="title">Update Profile</h4>
                <ul class="nk-nav nav nav-tabs">
                    <li class="nav-item">
                        <a class="nav-link active" data-bs-toggle="tab" href="#personal">Personal</a>
                    </li>
                 
                </ul>

                <div class="tab-content">
                    <div class="tab-pane active" id="personal">
                        <form action="{{ route('user.profile.edit') }}" method="POST" class="form-validate is-alter form-profile" id="profile-personal-form" novalidate="novalidate">
                            @csrf
                            <div class="row gy-4">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="form-label-group">
                                            <label class="form-label" for="full-name">Full Name <span class="text-danger">*</span></label>
                                        </div>

                                        <div class="form-control-wrap">
                                            <input type="text" name="name" value="{{$user->name}}" class="form-control form-control-lg" id="full-name" placeholder="Enter Full name" required="" maxlength="190" />
                                        </div>
                                    </div>
                                </div>
                               
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <div class="form-label-group">
                                            <label class="form-label" for="phone-no">Phone Number <span class="text-danger">*</span></label>
                                        </div>

                                        <div class="form-control-wrap">
                                            <input type="text" name="profile_phone" value="{{$user->phone}}" class="form-control form-control-lg" id="phone-no" placeholder="Phone Number" />
                                        </div>
                                    </div>
                                </div>

                               

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label" for="gender">Gender</label>
                                        <select name="profile_gender" class="form-control select2-selection select2-selection--single" id="gender" data-placeholder="Please select" data-ui="lg" data-select2-id="gender" tabindex="-1" aria-hidden="true">
                                            <option value="" data-select2-id="2">Please Select</option>
                                            <option value="Male" {{__getSelected($user->gender , 'Male')}}>Male</option>
                                            <option value="Female" {{__getSelected($user->gender , 'Female')}}>Female</option>
                                            <option value="other">Others</option>
                                        </select>
                                       
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label" for="birth-day">Date of Birth <span class="text-danger">*</span></label>
                                        <input
                                            type="text"
                                            name="profile_dob"
                                            value="{{$user->dob}}"
                                            data-date-start-date="-85y"
                                            data-date-end-date="-12y"
                                            class="form-control form-control-lg date-picker-alt"
                                            id="birth-day"
                                            required=""
                                            placeholder="Enter your date of birth"
                                        />
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="form-label" for="theme_style">Theme Style</label>
                                        <select name="theme_style" class="form-control select2-selection select2-selection--single" id="theme_style"  data-ui="lg" data-select2-id="theme_style" tabindex="-1" aria-hidden="true">
                                          
                                            <option value="dark" {{__getSelected($user->theme_style , 'dark')}}>Dark</option>
                                            <option value="semi-dark" {{__getSelected($user->theme_style , 'semi-dark')}}>Semi Dark</option>
                                            <option value="light" {{__getSelected($user->theme_style , 'light')}}>Light</option>
                                        </select>
                                       
                                    </div>
                                </div>
                               
                                <div class="col-12">
                                    <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2 pt-2">
                                        <li>
                                            <button type="submit" class="btn btn-lg btn-primary ua-updp " data-action="profile" >Update Profile</button>
                                        </li>
                                        <li>
                                            <a href="#" data-bs-dismiss="modal" class="link link-light">Cancel</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </form>
                    </div>
                   
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="address-edit" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <a href="javascript:void(0)" class="close" data-bs-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
            <div class="modal-body modal-body-md">
                <h4 class="title">Update Profile</h4>
                <ul class="nk-nav nav nav-tabs">
                  
                    <li class="nav-item">
                        <a class="nav-link active" data-bs-toggle="tab" href="#address">Address</a>
                    </li>
                </ul>

                <div class="tab-content">
                  
                    <div class="tab-pane active" id="address">
                        <form action="{{ route('user.profile.address') }}" method="POST" class="form-validate is-alter form-profile" id="profile-address-form" novalidate="novalidate">
                           @csrf
                            <div class="row gy-4">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="form-label-group">
                                            <label class="form-label" for="address-l1">Address <span class="text-danger">*</span></label>
                                        </div>
                                        <div class="form-control-wrap">
                                            <input type="text" name="profile_address_line_1" class="form-control form-control-lg" id="address-l1" value="{{$user->address}}" required=""  />
                                        </div>
                                    </div>
                                </div>
                               
                                <div class="col-md-12 col-lg-6">
                                    <div class="form-group">
                                        <div class="form-label-group">
                                            <label class="form-label" for="address-city">City</label>
                                        </div>
                                        <div class="form-control-wrap">
                                            <input type="text" name="profile_city" class="form-control form-control-lg" id="address-city" value="{{$user->city}}" maxlength="190" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 col-lg-3">
                                    <div class="form-group">
                                        <div class="form-label-group">
                                            <label class="form-label" for="address-st">State / Province <span class="text-danger">*</span></label>
                                        </div>
                                        <div class="form-control-wrap">
                                            <input type="text" name="profile_state" class="form-control form-control-lg" id="address-st" value="{{$user->state}}" required="" maxlength="190" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 col-lg-3">
                                    <div class="form-group">
                                        <div class="form-label-group">
                                            <label class="form-label" for="address-zip">Zip / Postal Code</label>
                                        </div>
                                        <div class="form-control-wrap">
                                            <input type="text" name="profile_zip" class="form-control form-control-lg" id="address-zip" value="{{$user->zipcode}}" maxlength="50" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="form-label" for="address-county">Country <span class="small">(Residential)</span> <span class="text-danger">*</span></label>
                                        <select
                                            name="profile_country"
                                            class="select2 select2-container select2-container--default select2-lg form-control"
                                            id="address-county"
                                            data-ui="lg"
                                            data-placeholder="Please select"
                                            data-search="on"
                                            data-select2-id="address-county"
                                            tabindex="-1"
                                            aria-hidden="true" required
                                        >
                                        {!! get_country_select_html($user->country) !!}
                                        </select>
                                   
                                        
                                    </div>
                                </div>
                                
                            </div>

                            <div class="row gy-4">
                                <div class="col-12">
                                    <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2 pt-2">
                                        <li>
                                            <button type="submit" class="btn btn-lg btn-primary ua-updp " data-action="address" >Update Address</button>
                                        </li>
                                        <li>
                                            <a href="#" data-bs-dismiss="modal" class="link link-light">Cancel</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@endsection
