@extends('layouts.base')
@section('title' ,  $title)

@section('css')

@endsection

@section('content')
<div class="nk-content nk-content-fluid">
    <div class="container-xl wide-lg">
        <div class="nk-content-body pt-head-sm">
       
<div class="card card-bordered">
    <div class="card-aside-wrap">
        <div class="card-inner card-inner-lg">
            @include('components.error-message')
            <div class="nk-block-head nk-block-head-lg">
                <div class="nk-block-between">
                    <div class="nk-block-head-content">
                        <h4 class="nk-block-title">Security Settings
</h4>
                        <div class="nk-block-des"><p>These settings are helps you keep your account secure.

</p></div>
                    </div>
                    <div class="nk-block-head-content align-self-start d-lg-none">
                        <a href="#" class="toggle btn btn-icon btn-trigger mt-n1" data-target="userAside"><em class="icon ni ni-menu-alt-r"></em></a>
                    </div>
                </div>
            </div>
            <div class="nk-block">
    <div class="card card-bordered">
        <div class="card-inner-group">
            <div class="card-inner">
                <div class="between-center flex-wrap flex-md-nowrap g-3">
                    <div class="nk-block-text">
                        <h6>Save my Activity Logs</h6>
                        <p>You can save your all activity logs including unusual activity detected.</p>
                    </div>
                    <div class="nk-block-actions">
                        <ul class="align-center gx-3">
                            <li class="order-md-last">
                                <div class="custom-control custom-switch me-n2 {{__get_value($user->activity_log , 'checked')}}"><input type="checkbox" class="custom-control-input" name="activity_log"   id="activity-log" data-key="setting" {{__get_value($user->activity_log , 'checked')}}/><label class="custom-control-label" for="activity-log"></label></div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="card-inner">
                <div class="between-center flex-wrap g-3">
                    <div class="nk-block-text">
                        <h6>Change Password</h6>
                        <p>Set a unique password to protect your account.</p>
                    </div>
                    <div class="nk-block-actions flex-shrink-sm-0">
                        <ul class="align-center flex-wrap flex-sm-nowrap gx-3 gy-2">
                            <li class="order-md-last"><a href="javascript:void(0)" id="settings-change-password" data-bs-toggle="modal" data-bs-target="#change-password" class="btn btn-primary">Change Password</a></li>
                            <li>
                                <em class="text-soft text-date fs-12px">Last changed: <span>
                                {{__date_parse($user->last_update_password , 'M d, Y h:i A')}}
                                </span></em>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="card-inner">
                <div class="between-center flex-wrap flex-md-nowrap g-3">
                    <div class="nk-block-text">
                        <h6>2 Factor Auth &nbsp;  @if($user->fa2_status == 'on')
                            <span class="badge badge-success ms-0">Enabled</span>
                            @else
                            <span class="badge badge-danger ms-0">Disabled</span>
                            
                            @endif</h6>
                        <p>Secure your account with 2FA security. When it is activated you will need to enter not only your password, but also a special code using app. You can receive this code by in mobile app.</p>
                    </div>
                    <div class="nk-block-actions">@if($user->fa2_status == 'enabled')
                        <a href="javascript:void(0)" id="settings-enable-2fa" data-toggle="modal" data-target="#enable-2fa" data-type="disable" class="btn btn-sm btn-primary">Disable</a>
                         @else
                        <a href="javascript:void(0)" id="settings-enable-2fa" data-toggle="modal" data-target="#enable-2fa" class="btn btn-sm btn-primary" data-type="enable" >Enable</a>
                        @endif</div>
                </div>
            </div>
        </div>
    </div>
</div>

        </div>
        @include('user.profile.components.sidebar')
    </div>
</div>

</div>
</div>
</div>
@endsection
@section('modals')
<div class="modal fade" tabindex="-1" role="dialog" id="change-password">
    <div class="modal-dialog modal-dialog-centered modal-md" role="document">
        <div class="modal-content">
            <a href="#" class="close" data-bs-dismiss="modal"><em class="icon ni ni-cross-sm"></em></a>
            <div class="modal-body modal-body-md">
                <h5 class="title">Change Password</h5>
                <form action="{{route('user.profile.password.update')}}" method="POST" class="form-validate is-alter mt-4 form-authentic" id="change-password-form" novalidate="novalidate">
                    @csrf
                    <div class="form-group">
                        <label class="form-label" for="current-password">Current Password <span class="text-danger">*</span></label>
                        <div class="form-control-wrap">
                            <input type="password" name="oldpass" class="form-control form-control-lg" id="current-password" placeholder="Enter Current Password" required="" maxlength="190" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-label" for="new-password">New Password <span class="text-danger">*</span></label>
                        <div class="form-control-wrap">
                            <input type="password" name="newpass" class="form-control form-control-lg" id="new-password" placeholder="Enter new password" required="" maxlength="190" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="form-label" for="new-password">Retype New Password <span class="text-danger">*</span></label>
                        <div class="form-control-wrap">
                            <input type="password" name="repassword" class="form-control form-control-lg" id="new-password-confirmation" placeholder="Retype new password" required="" maxlength="190" />
                        </div>
                    </div>
                    <ul class="align-center flex-wrap flex-sm-nowrap gx-4 gy-2">
                        <li>
                            <button type="submit" id="update-password" class="btn btn-primary">Update Password</button>
                        </li>
                        <li>
                            <a href="javascript:void(0)" data-bs-dismiss="modal" class="link link-light">Cancel</a>
                        </li>
                    </ul>
                </form>
            </div>
        </div>
    </div>
</div>

@endsection

@section('script')
<script>
    $(function(){
        
        $('#activity-log').on('change' , function(){
            var url = "{{route('user.profile.activity.switch')}}";
            var data = "_token={{csrf_token()}}";
            $.ajax({
                type: 'POST',
                url: url,
                data: data,
                dataType: 'json',
                
                success: function(res){
                   if(res.status == true){
             
                      new SnackBar({
                    message: res.message,
                     status: "success",
                     dismissible: true,
                    timeout: 2500
}); 
                      
                       
                    }
                }
            })
            
        });
    
        
        $('#settings-enable-2fa').on('click', function(){
            var dataType = $(this).attr('data-type');
            if(confirm('Do you want to '+ dataType +' 2fa')){
                location.href = "{{secure_url('profile/security/2fa')}}";
            }
        })
        
    })
</script>
@endsection

