@extends('layouts.base')

@section('title', __('Create a trading account'))

@section('css')

<link href="{{secure_url('assets/user/css/stock2.css?ver=132')}}" type="text/css" rel="stylesheet"> 
<style>
    :root {
    --color-primary-pressed: #0026C2;
    --color-primary: #0C34F0;
    --color-primary-light: #F3F5FE;
    --color-divider: #E2E6F9;
    --color-success-hover-pressed: #008C32;
    --color-success: #00B432;
    --color-success-light: #F2FBF4;
    --color-notify: #FFA217;
    --color-notify-light: #FFF6E8;
    --color-error: #F5281E;
    --color-error-light: #FEEEED;
    --color-black: #0B0B16;
    --color-subscript: #828CA0;
    --color-subscript-10: rgba(130, 140, 160, .1);
    --color-hint: #171720;
    --color-white: #FFFFFF;
    --color-transparent: transparent
}

:root {
    --font_brand_font-family: Plus Jakarta Sans, system-ui, -apple-system, BlinkMacSystemFont, sans-serif;
    --font_body_font-family: Roboto, RobotoDraft, Droid Sans, system-ui, -apple-system, BlinkMacSystemFont, sans-serif;
    --font_uppercase: uppercase
}

:root {
    --radius_full: 999em;
    --radius_xs: 8px;
    --radius_s: 12px;
    --radius_m: 16px;
    --radius_l: 24px;
    --radius_xl: 32px
}

:root {
    --headline_1_font-weight: 700;
    --headline_1_font-size: 48px;
    --headline_1_line-height: 56px;
    --headline_2_font-weight: 700;
    --headline_2_font-size: 32px;
    --headline_2_line-height: 40px;
    --headline_3_font-weight: 600;
    --headline_3_font-size: 24px;
    --headline_3_line-height: 32px;
    --headline_4_font-weight: 600;
    --headline_4_font-size: 20px;
    --headline_4_line-height: 24px;
    --headline_4_letter-spacing: .15px;
    --special_numbers_font-weight: 700;
    --special_numbers_font-size: 24px;
    --special_numbers_line-height: 32px;
    --subtitle_1_font-weight: 600;
    --subtitle_1_font-size: 16px;
    --subtitle_1_line-height: 24px;
    --subtitle_2_font-weight: 600;
    --subtitle_2_font-size: 14px;
    --subtitle_2_line-height: 20px;
    --body_1_font-weight: 400;
    --body_1_font-size: 16px;
    --body_1_line-height: 24px;
    --body_1_letter-spacing: .5px;
    --body_2_font-weight: 400;
    --body_2_font-size: 14px;
    --body_2_line-height: 20px;
    --body_2_letter-spacing: .25px;
    --button_font-weight: 700;
    --button_font-size: 14px;
    --button_line-height: 24px;
    --button_letter-spacing: 1.25px;
    --caption_font-weight: 400;
    --caption_font-size: 12px;
    --caption_line-height: 16px;
    --caption_letter-spacing: .4px;
    --overline_font-weight: 600;
    --overline_font-size: 10px;
    --overline_line-height: 14px;
    --overline_letter-spacing: 1.5px;
    --overline_text-transform: uppercase;
    --label_font-weight: 500;
    --label_font-size: 8px;
    --label_line-height: 9.5px;
    --label_letter-spacing: .5 px
}

:root {
    --space-xl: 56px;
    --space_l: 32px;
    --space_m: 24px;
    --space_s: 16px;
    --space_xs: 8px
}

:root {
    --button_height: 56px;
    --button_height_small: 48px;
    --button_block_min-width: 312px;
    --button_border-radius: 100px;
    --button_border-width: 2px;
    --button_padding-y: 16px;
    --button_padding-y_small: 8px;
    --button_padding-x: 32px;
    --button_padding-x_small: 16px
}

:root {
    --radiobox_size: 20px;
    --radiobox_border-radius: 4px;
    --radiobox_border-width: 2px;
    --radiobox-inner_size: 10px
}

:root {
    --input_height: 56px;
    --input_height-small: 36px;
    --input_border-width: 2px;
    --input_border-radius: var(--radius_m);
    --input_padding-x: 22px;
    --input_padding-y: var(--space_s);
    --input_padding: var(--input_padding-y) var(--input_padding-x);
    --input_shadow: none;
    --input_disabled-opacity: .5;
    --input_label-position: absolute;
    --input_label-z-index: 1;
    --input_label-x-padding: 7px;
    --input_label-padding: 0 var(--input_label-x-padding);
    --input_label-margin-bottom: 0;
    --input_label-focus-margin-x: calc(var(--input_padding-x) - var(--input_label-x-padding));
    --input_label-focus-margin: 0 var(--input_label-focus-margin-x);
    --input_label-focus-pointer-event: none;
    --input_label-top: calc(var(--input_height) / 2);
    --input_label-focus-top: 0;
    --input_label-transform: translateY(-50%);
    --input_label-transition: all .3s ease;
    --input_label-max-width: calc(100% - var(--input_label-focus-margin-x) * 2);
    --input_label-overflow: hidden;
    --input_label-text-overflow: ellipsis;
    --input_label-white-space: nowrap;
    --input_label-overflow-direction-rtl: ltr;
    --input_post-label-margin: 8px var(--input_padding-x) 0;
    --input_prefix-width: 36px;
    --input_prefix-icon-width: 24px;
    --input_prefix-icon-height: 24px;
    --input_padding-width-prefix: calc(var(--input_prefix-width) + var(--input_padding-x) - 3px);
    --input_padding-width-prefix-icon: calc(var(--input_prefix-icon-width) + var(--input_padding-x)*2);
    --input_padding-width-slot: calc(var(--input_prefix-width) + var(--input_padding-x) + 10px);
    --input_color-error: var(--color-error);
    --input_placeholder-color: var(--color-subscript);
    --input_background-color: var(--color-white);
    --input_text-color: var(--color-black);
    --input_focus-color: var(--color-primary);
    --input_border-color: var(--color-divider)
}

:root {
    --multiselect_shadow: none;
    --multiselect_min-height: var(--input_height);
    --multiselect_padding-x: var(--input_padding-x);
    --multiselect_border-width: var(--input_border-width);
    --multiselect_border-radius: var(--input_border-radius);
    --multiselect_label-z-index: 11;
    --multiselect_label-max-width: calc(var(--input_label-max-width) - 40px + var(--multiselect_padding-x));
    --multiselect_caret-height: 100%;
    --multiselect_content-margin: 4px 0 18px;
    --multiselect_content-box-shadow: 0px 4px 5px rgba(0, 0, 0, .1), 0px 1px 10px rgba(0, 0, 0, .08), 0px 2px 4px rgba(0, 0, 0, .14);
    --multiselect_content-border-with: 0;
    --multiselect_content-border-radius: var(--radius_xs);
    --multiselect_content-y-margin: var(--space_s);
    --multiselect_content-min-height: var(--space-xl);
    --multiselect_content-padding-x: var(--space_m);
    --multiselect_content-padding-y: var(--space_s);
    --multiselect_border-color: var(--color-divider);
    --multiselect_content-border-color: transparent;
    --multiselect_content-hover-color: rgba(0, 38, 194, .04);
    --multiselect_placeholder-color: var(--input_placeholder-color);
    --multiselect_error-color: var(--color-error);
    --multiselect_active-color: var(--color-primary)
}

:root {
    --badge_radius: var(--radius_full);
    --badge_padding-top: 4px;
    --badge_padding-right: 8px;
    --badge_color-primary: var(--color-primary);
    --badge_color-secondary: var(--color-primary-light);
    --badge_color-success: var(--color-success);
    --badge_color-danger: var(--color-error);
    --badge_color-warning: var(--color-notify);
    --badge_color-info: var(--color-divider);
    --badge_color-light: var(--color-white);
    --badge_color-dark: var(--color-black);
    --badge_font-size: 8px;
    --badge_font-weight: 500;
    --badge_letter-spacing: .5px
}

:root {
    --accordion_transition: .15s;
    --accordion_box-shadow: 0 4px 5px rgba(85, 51, 0, .1), 0 1px 10px rgba(85, 51, 0, .08), 0 2px 4px rgba(85, 51, 0, .14)
}

:root {
    --modal_radius: var(--radius_l);
    --modal_padding: var(--space_m);
    --modal_opacity: .6;
    --modal_close-color: var(--color-subscript)
}

:root {
    --tabs_color-text: var(--color-subscript);
    --tabs_color-text-active: var(--color-primary);
    --tabs_color-border: var(--color-divider);
    --tabs_color-border-active: var(--color-primary);
    --tabs_font-family: var(--font_brand_font-family);
    --tabs_paddings: var(--space_s);
    --tabs_indent-content: var(--space_s)
}

:root {
    --progress-bar_height: 12px;
    --progress-bar_height-inner: 8px;
    --progress-bar_padding: 2px;
    --progress-bar_radius: 46px;
    --progress-bar_percent-margin: 12px
}

</style>
<link href="{{secure_url('assets/user/css/stock.css?ver=132')}}" type="text/css" rel="stylesheet"> 
<style>
    .dark-mode .card-stats-data .amount{
        color: #fff;
    }
    .dark-mode .nk-wgw-balance .amount{
        color: #fff;
    }
</style>

<style>
    .step-container[data-v-d99edeb4] {
    width: 100%;
    max-width: 760px;
    padding: 24px;
    margin-left: auto;
    margin-right: auto;
    background-color: #fff;
    margin-bottom: 16px;
    border-radius: 24px;
    font-family: var(--font_body_font-family);
    font-weight: var(--body_1_font-weight);
    font-size: var(--body_1_font-size);
    line-height: var(--body_1_line-height);
    letter-spacing: var(--body_1_letter-spacing);
    color: var(--color-black);
}

@media (min-width: 1025px) {
    .step-container[data-v-d99edeb4] {
        padding: 32px;
    }
}

@media (min-width: 768px) {
    .step-container[data-v-d99edeb4] {
        margin-bottom: var(--space_m);
        border-radius: 32px;
    }
}

@media (min-width: 768px) {
    .step-container._stick-upper[data-v-d99edeb4] {
        margin-top: var(--space_m);
        padding-bottom: 0;
        margin-bottom: 0;
        border-radius: 32px 32px 0 0;
    }
}

.step-container._first[data-v-d99edeb4] {
    border-radius: 0 0 24px 24px;
    margin-top: 0;
    padding-top: var(--space_l);
}

@media (min-width: 768px) {
    .step-container._first[data-v-d99edeb4] {
        border-radius: 0;
    }
}

@media (min-width: 1024px) {
    .step-container._first[data-v-d99edeb4] {
        border-radius: 32px 32px 0 0;
    }
}

@media (min-width: 768px) {
    .step-container._stick-upper[data-v-d99edeb4]::after {
        content: "";
        display: block;
        margin-top: var(--space_m);
        border-bottom: 1px solid #e9ebf1;
    }
}



.sheet[data-v-5b5916cf] {
    background-color: #fff;
}

@media (min-width: 1025px) {
    .sheet[data-v-5b5916cf] {
        border-radius: 4px;
    }
}





.sheet__title[data-v-20ccfa06] {
    font-family: var(--font_brand_font-family);
    font-weight: var(--headline_4_font-weight);
    font-size: var(--headline_4_font-size);
    line-height: var(--headline_4_line-height);
    letter-spacing: var(--headline_4_letter-spacing);
    margin-bottom: var(--space_s);
}

.sheet__title._h3[data-v-20ccfa06] {
    margin-bottom: var(--space_m);
}

@media (min-width: 768px) {
    .sheet__title._h3[data-v-20ccfa06] {
        font-size: var(--headline_3_font-size);
        line-height: var(--headline_3_line-height);
        font-weight: var(--headline_3_font-weight);
        letter-spacing: unset;
    }
}


.sheet__row[data-v-75aaab32] {
    margin-bottom: 24px;
}
.sheet__row._no-margin[data-v-75aaab32] {
    margin-bottom: 0;
}

.form-element-v2__item {
    width: 100%;
    max-width: 360px;
    position: relative;
}

.form-element-v2__multiselect {
    position: relative;
}


.multiselect, .multiselect__input, .multiselect__single {
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    font-family: inherit;
    font-size: 16px;
}

.multiselect {
    box-sizing: content-box;
    text-align: left;
    color: #35495e;
    width: 100%;
    min-height: 40px;
    display: block;
    position: relative;
}
.form_e_fav{
    display:flex;
    gap:10px;
    font-size:1.1rem;
    color:#fff;
}
</style>
<style>
    .form-element-v2__item , .form-element-v2__unit , .base-form__fieldset._horizontal-layout .base-form__field-wrapper{
        max-width: 100%;
    }
    .form_el_input{
            border: var(--multiselect_border-width, 1px) solid var(--multiselect_border-color, #ccc);
    min-height: var(--multiselect_min-height, 40px);
    border-radius: 13px;
    }
    .dark-mode .step-container[data-v-d99edeb4] , .dark-mode  .sheet[data-v-5b5916cf]{
        background-color:transparent !important;
    }
    .styled-btn-v2._primary{
        color: #FFFFFF;
    background: #2A7DA7;
    }
</style>
@endsection
@section('content')
<div class="nk-content nk-content-fluid">
    <div class="container-xl wide-lg">
        <div class="nk-content-body">
           
            <div class="nk-block-head">
                <div class="nk-block-head-sub"><span>Buy Stocks</span></div>
                <div class="nk-block-between-md g-4">
                    <div class="nk-block-head-content">
                        <h2 class="nk-block-title fw-normal h2">Start Ttading</h2>
                        <div class="nk-block-des"><p>Create a trading account</p></div>
                    </div>
                    <div class="nk-block-head-content">
                        <ul class="nk-block-tools gx-3">
                          
                      
                          
                        </ul>
                    </div>
                </div>
            </div>
            <div class="nk-block">
                <div class="nk-block-head-sm">

    <div class="nk-block-head-content"><h5 class="nk-block-title title">Create a trading account under {{$account->accountUnder()->title}} Account</h5></div>
</div>
@if(Session::has('errmessage'))
                    <div class="alert alert-danger alert-thick alert-plain">
                        <div class="alert-cta flex-wrap flex-md-nowrap g-2">
                            <div class="alert-text has-icon">
                                <em class="icon ni ni-info-fill text-danger"></em>
                                <p>{{Session::get('errmessage')}}</p>
                            </div>
                            <button type="button" class="close" data-bs-dismiss="alert" aria-label="Close">
    <span aria-hidden="true" style="color:#000">&times;</span>
  </button> 
                        </div>
                    </div>
                    @endif
                    @if(Session::has('sucmessage'))
                    <div class="alert alert-success alert-thick alert-plain">
                        <div class="alert-cta flex-wrap flex-md-nowrap g-2">
                            <div class="alert-text has-icon">
                                <em class="icon ni ni-info-fill text-success"></em>
                                <p>{{Session::get('sucmessage')}}</p>
                            </div>
                            <button type="button" class="close" data-bs-dismiss="alert" aria-label="Close">
    <span aria-hidden="true" style="color:#000">&times;</span>
  </button> 
                        </div>
                    </div>
                    @endif
          <div class="row">
              <div class="col-sm-12 col-lg-12 col-xl-12 col-xxl-12" class="_redesign">
                  <form id="submit_stocks" method="post" action="{{route('user.webtrader.save' , __the_hash($account->id))}}">
                      @csrf
                  <div data-anchor="paymentOptions">
    <div data-v-d99edeb4="" class="step-container _first _stick-upper">
        <div data-v-5b5916cf="" data-v-d99edeb4="" class="sheet">
            <div data-v-5b5916cf="">
                <h3 data-v-20ccfa06="" class="sheet__title _h3">
                    Account to create
                    <!---->
                </h3>
                <div data-v-75aaab32="" class="sheet__row _no-margin">
                    <!---->
                    <div data-v-75aaab32="" class="sheet__row">
                        <div data-v-99fb32aa="" class="form-element-v2__item _multiselect-component _plus-button" data-v-75aaab32="">
                            <!---->
                            <div class="form-element-v2__multiselect">
                                <input name="billingAddress" type="hidden" value="143200921" />
                                <div tabindex="0" role="combobox" aria-owns="listbox-billingAddress" class="multiselect multiselect--above">
                                    <div class="multiselect__select"></div>
                                    <div class="multiselect__tags">
                                        <div class="multiselect__tags-wrap" style="display: none;"></div>
                                        <!---->
                                        <div class="multiselect__spinner" style="display: none;"></div>
                                        <!---->
                                        <span class="multiselect__single">
                                            <div data-v-99fb32aa="" class="account-selector__badge-list">
                                                <span data-v-99fb32aa="" class="ds-badge _primary">
                                                    real
                                                </span>
                                            </div>
                                            <svg data-v-99fb32aa="" class="account-selector__platform _light svg-icon select-trade-platform-list__icon"><use data-v-99fb32aa="" xlink:href="#trade-platform--color--otr"></use></svg>
                                            <span data-v-99fb32aa="" class="account-selector__number">
                                                {{$account->realaccount_id}}
                                            </span>
                                            <span data-v-99fb32aa="" class="account-selector__balance _bold">
                                                {{__format_number($account->balance)}} {{$user->user_curr()}}
                                            </span>
                                        </span>
                                        <!---->
                                    </div>
                                
                                </div>
                                <!---->
                            </div>
                            <!---->
                        </div>
                    </div>
                    
                </div>
            </div>
            <!---->
        </div>
    </div>
    
    <div data-v-d99edeb4="" class="step-container _first _stick-upper">
        <div data-v-5b5916cf="" data-v-d99edeb4="" class="sheet">
            <div data-v-5b5916cf="">
                <h3 data-v-20ccfa06="" class="sheet__title _h3">
                    Select Instrument
                    <!---->
                </h3>
                <div data-v-75aaab32="" class="sheet__row _no-margin">
                    <!---->
                    <div data-v-75aaab32="" class="sheet__row">
                        <div data-v-99fb32aa="" class="form-element-v2__item _multiselect-component _plus-button" data-v-75aaab32="">
                             @foreach($symbols as $sym)
                               <label class="form-element-v2__title _outlined form_e_fav">
                                        <input type="checkbox" name="instrument[{{$sym->name}}]" value="{{__the_hash($sym->id)}}" /> <span class="form-element-v2__title-text">{{$sym->group_name}}</span>
                                        
                                        <!---->
                                    </label>
                            @endforeach
                    
                        </div>
                    </div>
                    
                </div>
            </div>
            <!---->
        </div>
    </div>
    
     <div data-v-d99edeb4="" class="step-container _first _stick-upper">
        <div data-v-5b5916cf="" data-v-d99edeb4="" class="sheet">
            <div data-v-5b5916cf="">
                <h3 data-v-20ccfa06="" class="sheet__title _h3">
                    Leverage
                    <!---->
                </h3>
                <div data-v-75aaab32="" class="sheet__row _no-margin">
                    <!---->
                    <div data-v-75aaab32="" class="sheet__row">
                        <div data-v-99fb32aa="" class="form-element-v2__item _multiselect-component _plus-button" data-v-75aaab32="">
                          <select  data-v-6ee3d820="" data-v-77549bdd="" name="leverage" class="tabs-box form-element-v2__item _multiselect-component form_el_input" id="stock_select" style="padding-left: 2rem;font-size: 1.4rem;">
                       <option value="1:1">1:1</option>
                       <option value="1:2">1:2</option>
                       <option value="1:10">1:10</option>
                       <option value="1:20">1:20</option>
                       <option value="1:50">1:50</option>
                       <option value="1:100">1:100</option>
                       <option value="1:200">1:200</option>
                       <option value="1:500">1:500</option>
                    </select>
                        </div>
                    </div>
                    
                </div>
            </div>
            <!---->
        </div>
    </div>
    
    <div data-v-d99edeb4="" class="step-container _first _stick-upper">
        <div data-v-5b5916cf="" data-v-d99edeb4="" class="sheet">
            <div data-v-5b5916cf="">
                <h3 data-v-20ccfa06="" class="sheet__title _h3">
                    Select Platform
                    <!---->
                </h3>
                <div data-v-75aaab32="" class="sheet__row _no-margin">
            
                    <div class="base-form__fieldset _horizontal-layout" data-v-75aaab32="" style="">
                        <!---->
                        <div class="base-form__field-wrapper">
                            <div class="base-form__prefix-wrapper">
                                <div class="form-element-v2__item _input-component" data-testid="deposit_amount">
                                    <label class="form-element-v2__title _outlined form_e_fav">
                                        <input type="radio" name="platform" value="webtrader" checked /> <span class="form-element-v2__title-text">Webtrader</span>
                                        
                                        <!---->
                                    </label>
                                    
                                    <!---->
                                    <!---->
                                </div>
                                <div class="form-element-v2__item _input-component" data-testid="deposit_amount">
                                    <label class="form-element-v2__title _outlined form_e_fav">
                                        <input type="radio" name="platform" value="mt4" /> <span class="form-element-v2__title-text">MT4</span>
                                        
                                        <!---->
                                    </label>
                                    
                                    <!---->
                                    <!---->
                                </div>
                                <div class="form-element-v2__item _input-component" data-testid="deposit_amount">
                                    <label class="form-element-v2__title _outlined form_e_fav">
                                        <input type="radio" name="platform" value="mt5" /> <span class="form-element-v2__title-text">MT5</span>
                                        
                                        <!---->
                                    </label>
                                    
                                    <!---->
                                    <!---->
                                </div>
                            </div>
                            <!---->
                            <!---->
                            <!---->
                            <!---->
                        </div>
                    </div>
                    <div id="unit_stock" style="color:#fff"></div>
                </div>
            </div>
            <!---->
        </div>
    </div>
      
    
    <div data-v-d99edeb4="" class="step-container _stick-bottom">
        <div data-v-5b5916cf="" data-v-d99edeb4="" class="sheet">
           
           <div data-v-75aaab32="" class="sheet__row _top-divider _no-margin" data-anchor="PaymentSettings" data-v-5b5916cf="" style="">
                <h3 data-v-20ccfa06="" class="sheet__title" data-v-75aaab32="">
                   Password:
                    <!---->
                </h3>
            
                <div data-v-75aaab32="" class="sheet__row _no-margin">
            
                    <div class="base-form__fieldset _horizontal-layout" data-v-75aaab32="" style="">
                        <!---->
                        <div class="base-form__field-wrapper">
                            <div class="base-form__prefix-wrapper">
                                <div class="form-element-v2__item _input-component" data-testid="deposit_amount">
                              
                                    <div class="form-element-v2__input-block">
                                      
                                        <!---->
                                        <input type="password" placeholder="" class="form-element-v2__unit   form_el_input" name="pass" id="password" />
                                        <!---->
                                        <!---->
                                    </div>
                                    <!---->
                                    <!---->
                                </div>
                            </div>
                            <!---->
                            <!---->
                            <!---->
                            <!---->
                        </div>
                    </div>
                    <div id="unit_stock" style="color:#fff"></div>
                </div>
            </div>
 
            <div data-v-75aaab32="" data-v-d99edeb4="" class="sheet__row step-container__buttons _top-divider _no-margin _flex-end" data-v-5b5916cf="">
                <!---->
                <input type="hidden" name="aid" value="{{__the_hash($account->id)}}"/>
                <input type="hidden" id="user_curr" value="{{$user->user_curr()}}"/>
              
                <button data-v-d99edeb4="" class="step-container__btn styled-btn-v2 _primary _normal" data-testid="continue" id="stock_continue" data-v-75aaab32="">
                    <!---->
                    <span class="styled-btn-v2__text">
                        Start Trading
                        <div data-v-d99edeb4="" class="component-loader__container" style="display: none;">
                            <span class="component-loader__dot"></span> <span class="component-loader__dot"></span> <span class="component-loader__dot"></span>
                            <p class="component-loader__label">
                                Loading
                            </p>
                        </div>
                    </span>
                    <!---->
                </button>
            </div>
        </div>
    </div>

</div>
                  </form>
              </div>
          </div>
            </div>
            
     
           
        </div>
    </div>
</div>


@endsection

@section('scripts')

<script>

   
   $("#stock_select").on('change' , function(){
     $("stock_amount").val('');
     $("unit_stock").text('');
   })
   
   
   $("#stock_continue").on("click" , function(e){
       e.preventDefault();
       let amt =  $("stock_amount").val();
       if(amt <= 0){
           return false;
       }
       
       if(confirm('Do you want to create a trading account')){
           $('#submit_stocks').submit()
       }
   })
   
</script>


@endsection