<?php $__env->startSection('title' ,  $title); ?>

<?php $__env->startSection('css'); ?>
<link rel="stylesheet" href="<?php echo e(secure_url('assets/user/css/plans.css?ver=3.2.3')); ?>" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="nk-content nk-content-lg nk-content-fluid">
    <div class="container-xl wide-lg">
        <div class="nk-content-inner">
            <div class="nk-content-body">
                <div class="nk-block-head nk-block-head-lg">
                    <div class="nk-block-head-content">
                        <div class="nk-block-head-sub">
                            <a href="<?php echo e(route('user.plans.index' , __the_hash($account->id) )); ?>" class="back-to"><em class="icon ni ni-arrow-left"></em><span>Back to plan</span></a>
                        </div>
                        <div class="nk-block-head-content"><h2 class="nk-block-title fw-normal">Ready to get started?</h2></div>
                        <?php echo $__env->make('components.error-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                </div>
                <div class="nk-block invest-block">
                    <form action="<?php echo e(route('user.plans.confirm')); ?>" class="invest-form" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="row g-gs">
                            <div class="col-lg-7">
                        
                                
                                <div class="invest-field form-group">
                                    <input type="hidden" value="<?php echo e(__the_hash($plan->id)); ?>" name="iv-plan" id="invest-choose-plan" />
                                    <input type="hidden" value="<?php echo e(__the_hash($account->id)); ?>" name="iv-account" id="invest-choose-account" />
                                    <div class="dropdown invest-cc-dropdown">
                                        <a href="#" class="invest-cc-chosen ">
                                            <div class="coin-item">
                                                <div class="coin-icon"><em class="icon ni ni-offer-fill"></em></div>
                                                <div class="coin-info"><span class="coin-name"><?php echo e($plan->name); ?></span><span class="coin-text">Invest for <?php echo e($plan->duration); ?> <?php echo e(__plan_duration($plan->duration , $plan->duration_time)); ?> and get <?php echo e(__plan_interval($plan->intervals)); ?> profit <?php echo e($plan->percs); ?>%</span></div>
                                            </div>
                                        </a>
                                        
                                    </div>
                                </div>
                          
                                <div class="invest-field form-group">
                                    <div class="form-label-group">
                                        <label class="form-label">Enter Your Amount</label>
                                       
                                    </div>
                                    <div class="form-control-group">
                                        <div class="form-info"><?php echo e($user->user_curr()); ?></div>
                                        <input type="text" class="form-control form-control-amount form-control-lg" id="custom-amount" name="amount" value="<?php echo e($plan->c_price()); ?>" min="<?php echo e($plan->c_price()); ?>" required />
                              
                                    </div>
                                   
                                </div>
                                <div class="invest-field form-group">
                                    <div class="form-label-group"><label class="form-label">Account to Debit</label></div>
                               
                                     <div class="dropdown invest-cc-dropdown">
                                        <a href="#" class="invest-cc-chosen ">
                                            <div class="coin-item">
                                                <div class="coin-icon"><em class="icon ni ni-offer-fill"></em></div>
                                                <div class="coin-info"><span class="coin-name"><?php echo e($account->accountUnder()->title); ?> (<?php echo e($account->realaccount_id); ?>)</span><span class="coin-text"><?php echo e(__format_number($account->balance)); ?> <?php echo e($user->user_curr()); ?></span></div>
                                            </div>
                                        </a>
                                        
                                    </div>
                                </div>
                                <div class="invest-field form-group">
                                    <div class="custom-control custom-control-xs custom-checkbox">
                                     <div class="nk-iv-wg4-sub text-center bg-lighter"><button class="btn btn-lg btn-primary ttu" type="submit">Confirm &amp; proceed</button></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-5 offset-xl-1">
                                <div class="card card-bordered ms-lg-4 ms-xl-0">
                                    <div class="nk-iv-wg4">
                                        <div class="nk-iv-wg4-sub">
                                            <h6 class="nk-iv-wg4-title title">Your Investment Details</h6>
                                            <ul class="nk-iv-wg4-overview g-2">
                                                <li>
                                                    <div class="sub-text">Name of scheme</div>
                                                    <div class="lead-text"><?php echo e($plan->name); ?></div>
                                                </li>
                                                <li>
                                                    <div class="sub-text">Term of the scheme</div>
                                                    <div class="lead-text"><?php echo e($plan->duration); ?> <?php echo e(__plan_duration($plan->duration , $plan->duration_time)); ?></div>
                                                </li>
                                                <li>
                                                    <div class="sub-text"><?php echo e(__plan_interval($plan->intervals)); ?> profit</div>
                                                    <div class="lead-text"> <?php echo e(__format_number($profit)); ?></div>
                                                </li>
                                                <li>
                                                    <div class="sub-text"><?php echo e(__plan_interval($plan->intervals)); ?> profit %</div>
                                                    <div class="lead-text"><?php echo e($plan->percs); ?>%</div>
                                                </li>
                                              
                                                <li>
                                                    <div class="sub-text">Term start at</div>
                                                    <div class="lead-text">Today <?php echo e(__date_parse($dateNow)); ?></div>
                                                </li>
                                                <li>
                                                    <div class="sub-text">Term end at</div>
                                                    <div class="lead-text"><?php echo e(__date_parse($dateEnd)); ?></div>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="nk-iv-wg4-sub">
                                            <ul class="nk-iv-wg4-list">
                                                <li>
                                                    <div class="sub-text">Payment Method</div>
                                                    <div class="lead-text">Balance</div>
                                                </li>
                                            </ul>
                                        </div>
                                     
                                      
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>




<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/micreffd/public_html/core_klik/resources/views/user/plans/invest.blade.php ENDPATH**/ ?>