<!DOCTYPE html>
<html lang="zxx" class="js">
  <head>
    <meta charset="utf-8">
    <meta name="author" content="Softnio">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="A powerful and conceptual apps base dashboard template that especially build for developers and programmers.">
    <link rel="shortcut icon" href="/demo9/images/favicon.png">
    <title>Payment - AI Copywriter | DashLite Admin Template</title>
    <link rel="stylesheet" href="<?php echo e(secure_url('assets/user/css/dash.css?ver=3.2.3')); ?>" />
    <link rel="stylesheet" href="/demo9/assets/css/dashlite.css?ver=3.2.4">
    <link id="skin-default" rel="stylesheet" href="/demo9/assets/css/theme.css?ver=3.2.4">

  </head>
  <body class="nk-body ui-rounder npc-general ui-light no-touch nk-nio-theme dark-mode">
    <div class="nk-app-root">
      <div class="nk-main ">
        <div class="nk-wrap nk-wrap-nosidebar">
          <div class="nk-content ">
            <div class="nk-split nk-split-page nk-split-lg">
              <div class="nk-split-content bg-lighter w-50 d-flex align-items-center justify-content-center justify-content-lg-end p-4 p-sm-5">
                <div class="wide-xs w-100">
                  <div class="d-flex">
                    <a class="pe-2 d-flex align-items-center" href="<?php echo e(route('user.dashboard')); ?>">
                      <em class="icon ni ni-arrow-left text-base"></em>
                      <div class="logo-link ms-3">
                        <img class="logo-light logo-img" src="/demo9/images/logo.png" srcset="/demo9/images/logo2x.png 2x" alt="logo">
                        <img class="logo-dark logo-img" src="/demo9/images/logo-dark.png" srcset="/demo9/images/logo-dark2x.png 2x" alt="logo-dark">
                      </div>
                    </a>
                  </div>
                  <div class="pt-4">
                    <div class="fs-6 fw-normal mb-1">Make Your Payment via <?php echo e($depositMethod->name); ?></div>
                    <h3 class="display-8 fw-semibold"><?php echo e($transaction->amount); ?> <?php echo e($transaction->get_config('payment_currency')); ?> <span class="caption-text text-base fw-normal"> <?php echo e($user->user_curr()); ?></span>
                    </h3>
                    <div class="fs-8 fw-normal mt-2">  Your deposit <strong class="text-dark"><?php echo e($transaction->txnID); ?></strong> has been placed successfully. To complete, please send the exact amount of <strong class="text-dark"><?php echo e($transaction->amount); ?> <?php echo e($user->user_curr()); ?></strong> to the address below.</div>
                  </div>
                  <ul class="mt-4 gy-4 pb-2">
                    <li class="d-flex justify-content-between">
                      <div class="">
                        <div class="caption-text">Amount</div>
                       
                      </div>
                      <div class="caption-text"><?php echo e($transaction->amount); ?> <?php echo e($user->user_curr()); ?></div>
                    </li>
               
                  </ul>
                  <div class="border-top border-bottom py-3">
                   
                  </div>
                  <div class="d-flex justify-content-between pt-2 pb-lg-5 mb-lg-5">
                    <div class="caption-text">Converted Amount</div>
                    <div class="caption-text"><?php echo e($transaction->amount / 1); ?> <?php echo e($depositMethod->symbol); ?></div>
                  </div>
                  <div class="d-flex flex-wrap align-items-center justify-content-between mt-5 pt-lg-5">
                <div class="text-base fs-14px">Powered By <?php echo e(__system_settings('site_name')); ?></div>
                    <ul class="nav nav-sm mx-n1">
                      <li class="nav-item">
                        <a class="nav-link px-1" href="#">Terms</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link px-1" href="#">Privacy</a>
                      </li>
                    </ul>
                  </div>
                </div>
              </div>
              <div class="nk-split-content bg-white w-50 d-flex align-items-center justify-content-center justify-content-lg-start p-4 p-sm-5">
                <div class="wide-xs w-100">
                  <h3 class="mb-3">Pay via <?php echo e(ucfirst($depositMethod->name)); ?></h3>
                  <div class="row g-3">
                      <div class="col-md-12">
                          <div class="nk-pps-card card card-bordered popup-inside">
                        <div class="card-inner-group">
                            <div class="card-inner card-inner-sm">
                                <div class="card-head mb-0">
                                    <h6 class="title mb-0">Pay <?php echo e($transaction->get_config('payment_currency')); ?></h6>
                                    <div class="card-opt"><span class="counter" data-countdown-second="<?php echo e($timeLeft); ?>" id="counterclock" data-countdown-text="Expire in">Expire in <?php echo e(__date_parse($transaction->depositEndDate())); ?></span></div>
                                </div>
                            </div>
                            <div class="card-inner">
                                <?php if($depositMethod->slug === 'crypto-deposit'): ?>
                                <div class="qr-media mx-auto mb-3 w-max-100px">
                                <?php if($transaction->get_config('qr_code') == 'show'): ?>
                                    <?php echo QrCode::size(200)->generate($transaction->get_config('qrcode')); ?>

                                    <?php endif; ?>
                                </div>
                                <div class="pay-info text-center">
                                    <h5 class="title text-dark mb-0 clipboard-init" data-clipboard-text="<?php echo e($transaction->amount); ?>"><?php echo e($transaction->amount); ?> <?php echo e($transaction->get_config('payment_currency')); ?> <em class="click-to-copy icon ni ni-copy-fill nk-tooltip" title="" data-original-title="Click to Copy"></em></h5>
                                    <p class="text-soft"><?php echo e($transaction->amount); ?> <?php echo e($user->user_curr()); ?></p>
                                </div>
                                <?php elseif($depositMethod->slug === 'bank-transfer'): ?>
                                <div class="pay-info text-center">
                                    <h5 class="title text-dark mb-0 clipboard-init" data-clipboard-text="<?php echo e($transaction->amount); ?>"><?php echo e($transaction->amount); ?> <?php echo e($transaction->get_config('payment_currency')); ?> <em class="click-to-copy icon ni ni-copy-fill nk-tooltip" title="" data-original-title="Click to Copy"></em></h5>
                                    <p class="text-soft"><?php echo e($transaction->amount); ?> <?php echo e($user->user_curr()); ?></p>
                                </div>
                                <?php endif; ?>
                                <div class="form-group pt-2">
                                    <div class="form-label overline-title-alt lg text-center"><?php echo e($transaction->get_config('payment')); ?> Address</div>
                                    <div class="form-control-wrap">
                                        <div class="form-clip clipboard-init nk-tooltip" data-clipboard-target="#wallet-address" title="" data-original-title="Copy">
                                            <em class="click-to-copy icon ni ni-copy"></em>
                                        </div>
                                        <div class="form-icon"></div>
                                        <input readonly="" type="text" class="form-control form-control-lg" id="wallet-address" value="<?php echo e($depositMethod->details); ?>" />
                                    </div>
                                </div>

                                <div class="nk-pps-action">
                                    <a href="#crypto-paid"  data-bs-toggle="modal" data-bs-target="#modalDefault" class="btn btn-block btn-primary popup-open"><span>Paid <?php echo e($transaction->get_config('payment')); ?></span></a>
                                </div>
                                <div class="nk-pps-action pt-2 text-center">
                                    <a href="<?php echo e(route('user.funds.history')); ?>?type=deposit" class="link link-btn link-primary">Pay Later</a>
                                </div>
                            
                            </div>
                            <div class="card-inner bg-lighter">
                                <ul>
                                    <li class="alert-note is-plain text-danger">
                                        <em class="icon ni ni-alert-circle"></em>
                                        <p>Be aware of that this order will be cancelled, if you send any other <?php echo e($transaction->get_config('payment_currency')); ?> amount.</p>
                                    </li>

                                    <li class="alert-note is-plain text-primary">
                                        <em class="icon ni ni-info"></em>
                                        <p>Account will credited once we received your payment.</p>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                      </div>
                  </div>
                
                </div> 
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal fade" tabindex="-1" id="modalDefault">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <a href="Javascript:void(0)" class="close" data-bs-dismiss="modal" aria-label="Close">
        <em class="icon ni ni-cross"></em>
      </a>
      <div class="modal-header">
        <h5 class="modal-title">Confirm your payment</h5>
      </div>
      <div class="modal-body">
        <div id="crypto-paid" class="">
                                    <div class="popup-content">
                                      
                                        <p>If you already paid, please provide us your payment reference to speed up verification procces.</p>
                                        <form class="form" action="<?php echo e(route('user.funds.deposit.save')); ?>" method="POST" >
                                            <div class="form-group">
                                                <div class="form-label">Payment Reference <span class="text-danger">*</span></div>
                                                <div class="form-control-wrap">
                                                    <input name="reference" type="text" class="form-control" value="" placeholder="Enter your reference id / hash" required />
                                                </div>
                                            </div>
                                            <ul class="btn-group justify-between align-center gx-4">
                                                <li><button type="submit" id="" class="btn btn-primary btn-block">Confirm Payment</button></li>
                                                <li><a href="Javascript:void(0)"  data-bs-dismiss="modal" aria-label="Close" class="link link-btn link-secondary popup-close">Close</a></li>
                                            </ul>
                                            <?php echo csrf_field(); ?>
                                            <input type="hidden" name="transact_id" value="<?php echo e(__the_hash($transaction->txnID)); ?>" />
                                            <input type="hidden" name="transact_hash" value="<?php echo e(__the_hash($transaction->id)); ?>" />
                                        </form>
                                       
                                    </div>
                                    <div class="popup-overlay"></div>
                                </div>
      </div>
        <div class="modal-footer bg-light">
        <div class="alert-note is-plain text-warning is-plain fs-11px  d-flex align-center gap-1">
                                            <em class="icon ni ni-alert-circle"></em>
                                            <p>Account will credited once we confirm that payment has been received.</p>
                                        </div>
      </div>
    </div>
  </div>
</div>
    
     <script src="<?php echo e(secure_url('assets/user/js/bundle.js?ver=3.2.3')); ?>"></script>
     
  
</html><?php /**PATH /home/micreffd/public_html/core_klik/resources/views/user/funds/deposit.blade.php ENDPATH**/ ?>